commit afff0e826bb5510f0adb4dc113e263660fd6c29d
Author: Vincent Untz <vuntz@gnome.org>
Date:   2011-03-29

    release: 2.91.93

M	NEWS
M	configure.ac

commit 52d18bdd765f5a2b8b745b3fdcb012c394a41a27
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2011-03-29

    Updated Arabic translation

M	po/ar.po

commit 0541c036eaca871afda8af1093a7d16dc12bd87b
Author: Daniel Nylander <po@danielnylander.se>
Date:	2011-03-29

    Updated Swedish translation

M	po/sv.po

commit eb352173eb6899cb484a417c00dfa972a893b5bb
Author: Daniel Nylander <po@danielnylander.se>
Date:	2011-03-29

    Updated Swedish translation

M	po/sv.po

commit 5e36fb0c76d1f76bf9b9cc67baa15acd0ac8efe5
Author: Daniel Nylander <po@danielnylander.se>
Date:	2011-03-29

    Updated Swedish translation

M	po/sv.po

commit 9c7f174eb78483377837d0f57a1403938841c39b
Author: Ryan Lortie <desrt@desrt.ca>
Date:	2011-03-29

    Remove unused inline gconf utility function

    ...and #include

M	gnome-panel/menu.c

commit c2c013e7c4339418c68e5b628860d643ea389e29
Author: A S Alam <aalam@users.sf.net>
Date:	2011-03-29

    update tranlation for Punjabi by A S Alam

M	po/pa.po

commit b5922f217df60367235c48df339aae79dbf6fcdc
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-03-29

    Updated Galician translations

M	po/gl.po

commit 30d415ecc557630ec1acf8c81e925abb88a00ac1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2011-03-28

    Updated Polish translation

M	po/pl.po

commit 4d179612593570ddf20d1e6875d051c110032869
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-28

    schemas: Make GSettings schemas translatable

M	data/Makefile.am
D	data/org.gnome.gnome-panel.applet.clock.gschema.xml
A	data/org.gnome.gnome-panel.applet.clock.gschema.xml.in.in
D	data/org.gnome.gnome-panel.applet.fish.gschema.xml
A	data/org.gnome.gnome-panel.applet.fish.gschema.xml.in.in
D	data/org.gnome.gnome-panel.applet.window-list.gschema.xml
A	data/org.gnome.gnome-panel.applet.window-list.gschema.xml.in.in
D	data/org.gnome.gnome-panel.applet.workspace-switcher.gschema.xml
A
data/org.gnome.gnome-panel.applet.workspace-switcher.gschema.xml.in.in
D	data/org.gnome.gnome-panel.gschema.xml
A	data/org.gnome.gnome-panel.gschema.xml.in.in
D	data/org.gnome.gnome-panel.launcher.gschema.xml
A	data/org.gnome.gnome-panel.launcher.gschema.xml.in.in
D	data/org.gnome.gnome-panel.menu-button.gschema.xml
A	data/org.gnome.gnome-panel.menu-button.gschema.xml.in.in
D	data/org.gnome.gnome-panel.object.gschema.xml
A	data/org.gnome.gnome-panel.object.gschema.xml.in.in
D	data/org.gnome.gnome-panel.toplevel.gschema.xml
A	data/org.gnome.gnome-panel.toplevel.gschema.xml.in.in
M	po/POTFILES.in
M	po/POTFILES.skip

commit 1c325749ab686470d8d2e1791115a93b1a00f5d0
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-28

    schemas: Do not ship the clock GSettings schema for now

    I won't port the clock applet, it needs to much work, really.

M	data/Makefile.am

commit e00ad6d31ec0d5b5e71ae2af9b7f7cd2a9445071
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-28

    panel: Also remove per-instance gconf path of applets on removal

    We were never removing gconf per-applet configuration of applets on
    removal, which means we'd keep stale data forever; this also means
    a new
    applet could inherit keys from a previous removed applet.

M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-gconf.c
M	gnome-panel/panel-gconf.h
M	gnome-panel/panel-layout.c
M	gnome-panel/panel-layout.h

commit 3faa80cd686026a28e7ea514af4388d8da7c81c6
Author: Ryan Lortie <desrt@desrt.ca>
Date:	2011-03-28

    workspace switcher: GSettings port

M	applets/wncklet/Makefile.am
M	applets/wncklet/workspace-switcher.c
D	applets/wncklet/workspace-switcher.schemas.in
M	data/org.gnome.gnome-panel.applet.workspace-switcher.gschema.xml

commit 1da2291670fa485d4d748926babf155d4831fe77
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-28

    panel: Fix generation of enums GSettings schemas

    Orientation is not a flag, really. Thanks Ryan for the tip on the fix!

M	gnome-panel/panel-enums-gsettings.h

commit 24ae51447b878e6ec7e73ec3ab5f7a37d4d078d7
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-28

    wncklet: Drop window list GConf schema

M	applets/wncklet/Makefile.am
D	applets/wncklet/window-list.schemas.in

commit 4916b40afe7e5f932b07947a39c7a2a9b128dbd3
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-28

    fish: Port to GSettings

    Note that the image that is being used is now defined in .fish files.
    There's no UI to choose this right now; will be for 3.2.

M	applets/fish/Makefile.am
M	applets/fish/fish.c
D	applets/fish/fish.schemas.in
M	applets/fish/fish.ui
A	applets/fish/fishanim.fish
A	applets/fish/footguy.fish
A	applets/fish/monkey.fish
A	applets/fish/oldwanda.fish
A	applets/fish/wanda.fish
M	data/org.gnome.gnome-panel.applet.fish.gschema.xml

commit 00f91d71ae51db5014a1884b7fde618c3a417033
Author: Ryan Lortie <desrt@desrt.ca>
Date:	2011-03-28

    window list applet: port to GSettings

    A fairly direct port, without use of g_settings_bind or anything
    fancy.

M	applets/wncklet/window-list.c
M	data/org.gnome.gnome-panel.applet.window-list.gschema.xml

commit dea38d7234cf078090aad61f8650466d259e1d6d
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-28

    applets: Add GSettings schemas for applets

M	data/Makefile.am
A	data/org.gnome.gnome-panel.applet.clock.gschema.xml
A	data/org.gnome.gnome-panel.applet.fish.gschema.xml
A	data/org.gnome.gnome-panel.applet.window-list.gschema.xml
A	data/org.gnome.gnome-panel.applet.workspace-switcher.gschema.xml

commit 07341274fe3427227584d7552414de30186cf052
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-27

    libpanel-applet: Mark all GConf-related API as deprecated

    Applet developers are encouraged to use GSettings :-)

M	libpanel-applet/panel-applet-gconf.c
M	libpanel-applet/panel-applet.c

commit 5e3685ca12aeed6c8c7b7d9c6afd8514fed72dba
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-27

    doc: Add panel_applet_settings_new() to API doc

M	doc/reference/panel-applet/panel-applet-sections.txt
M	doc/reference/panel-applet/tmpl/applet.sgml

commit 9d89bbc8a3cb37ded868dd642043535b68de9dd1
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-26

    libpanel-applet: Add panel_applet_settings_new() API

    This makes it convenient for applets to use per-instance configuration
    in GSettings.

    Note that  for compatibility reasons, we keep all the gconf API too.

M	libpanel-applet/panel-applet.c
M	libpanel-applet/panel-applet.h

commit 9ba82bcd808b9707553f88b5149b981e2f2a2df3
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-26

    panel, libpanel-applet: Send per-instance GSettings path to the
    applets

    We add a new "settings-path" property.

    This will enable applets to use GSettings for per-instance
    configuration.

M	gnome-panel/libpanel-applet-private/panel-applet-container.c
M	gnome-panel/libpanel-applet-private/panel-applet-frame-dbus.c
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-applet-frame.h
M	libpanel-applet/panel-applet.c

commit 987d9c132be42eb4a0c49fdee3db520189c55dfb
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Rename panel_toplevel_get_toplevel_id to panel_toplevel_get_id

M	gnome-panel/applet.c
M	gnome-panel/launcher.c
M	gnome-panel/panel-action-button.c
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-layout.c
M	gnome-panel/panel-menu-bar.c
M	gnome-panel/panel-menu-button.c
M	gnome-panel/panel-separator.c
M	gnome-panel/panel-toplevel.c
M	gnome-panel/panel-toplevel.h
M	gnome-panel/panel.c

commit 446ff991d2f9a221dbb6fd98d35731937ef827b4
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Change pack-end (boolean) key to pack (enum) in object schema

    This will make it easier to add a way to center objects later on.

M	data/org.gnome.gnome-panel.object.gschema.xml
M	data/panel-default-layout.layout
M	gnome-panel/applet.c
M	gnome-panel/panel-enums-gsettings.h
M	gnome-panel/panel-layout.c
M	gnome-panel/panel-object-loader.c
M	gnome-panel/panel-schemas.h

commit 456ecda3c9c43afc0065327b2db5ef76582eb431
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Remove some gconf-related includes where not needed

M	gnome-panel/applet.h
M	gnome-panel/menu.c
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-menu-items.c
M	gnome-panel/panel.c

commit a596db4e829fb1f8922e20a2dfcb2439104a4aa8
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Drop GConf schemas

    Woohoo!

M	gnome-panel/Makefile.am
D	gnome-panel/panel-compatibility.schemas
D	gnome-panel/panel-default-setup.entries
D	gnome-panel/panel-general.schemas.in
D	gnome-panel/panel-global.schemas.in
D	gnome-panel/panel-object.schemas.in
D	gnome-panel/panel-toplevel.schemas.in

commit 5da6a2695edaf25cfb6645d54e5c2e4bc6cf9ec4
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Drop panel-profile.[ch] and remove dead code in
    panel-gconf.[ch]

M	gnome-panel/Makefile.am
M	gnome-panel/applet.c
M	gnome-panel/main.c
M	gnome-panel/menu.c
M	gnome-panel/panel-addto.c
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-bindings.c
M	gnome-panel/panel-compatibility.c
M	gnome-panel/panel-compatibility.h
M	gnome-panel/panel-context-menu.c
M	gnome-panel/panel-enums.h
M	gnome-panel/panel-gconf.c
M	gnome-panel/panel-gconf.h
M	gnome-panel/panel-layout.h
D	gnome-panel/panel-profile.c
D	gnome-panel/panel-profile.h
M	gnome-panel/panel-shell.c
M	gnome-panel/panel-toplevel.c
M	gnome-panel/panel-widget.c
M	gnome-panel/panel.c

commit f7ef5d80eb174f5cd4ba39f539dba0aceeaf376f
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Port creation of PanelActionButton to GSettings

M	gnome-panel/panel-action-button.c

commit 48fab1f7f0f689af8db0d3ecbed7ab22455f4ba2
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Port PanelMenuButton to GSettings

M	gnome-panel/panel-menu-button.c
M	gnome-panel/panel-schemas.h

commit 81c039aeb6493e79371500c558d0d863d06e3a84
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Port launchers to GSettings

M	data/org.gnome.gnome-panel.launcher.gschema.xml
M	gnome-panel/launcher.c
M	gnome-panel/panel-schemas.h

commit 5a806da92d79c4fdb5c994d4288edda4fe1e45f8
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Add panel_layout_get_instance_settings() API

    This is needed so that objects can get their per-instance settings
    directory.

M	gnome-panel/panel-layout.c
M	gnome-panel/panel-layout.h

commit 9cc8e976a5ab970522694cd4c329aa40b5b0d866
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Remove code handling use_menu_path/user_custom_icon

    This is for PanelMenuButton. We really don't need those properties: if
    the menu_path/custom_icon is set to something not empty, we should
    simply use it.

M	gnome-panel/panel-action-protocol.c
M	gnome-panel/panel-addto.c
M	gnome-panel/panel-menu-button.c
M	gnome-panel/panel-menu-button.h
M	gnome-panel/panel.c

commit 780b810f9e844896c6f5faf90ee3c9807c1e4a2e
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Change gconf path of applet prefs

    This way, we're sure the configuration of applets won't be mixed with
    some GNOME 2 configuration.

M	gnome-panel/panel-applet-frame.c

commit 06e0724f2f9f8958472ba44f144bcbcc0fd6d7b9
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Port addition of menubar and separator to GSettings

M	gnome-panel/panel-menu-bar.c
M	gnome-panel/panel-separator.c

commit 3b5b10ebe7b3226cbaa2275fc68b0199d02701a6
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Port addition of objects to GSettings (first part)

    This adds the required API for the migration, and as a proof of
    example,
    it makes it possible to add applets. Other objects will follow.

M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-layout.c
M	gnome-panel/panel-layout.h
M	gnome-panel/panel-object-loader.c
M	gnome-panel/panel-object-loader.h

commit 9addabe6b8b3a017b76f08843f618861410a0f6d
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Fix warning when closing addto dialog

    We were removing a signal id from the wrong object.

M	gnome-panel/panel-addto.c

commit bc00786810a3ef03ad11b21f6f8714bb48a71aba
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Add panel_layout_is_writable()

    This replaces a similar gconf-based function.

M	gnome-panel/applet.c
M	gnome-panel/panel-addto.c
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-context-menu.c
M	gnome-panel/panel-layout.c
M	gnome-panel/panel-layout.h
M	gnome-panel/panel-profile.c
M	gnome-panel/panel.c

commit 20dd1a7ccc8d5040110f8bc8fd4f9d7be570c30a
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Port creation of new toplevels to GSettings

M	gnome-panel/panel-context-menu.c
M	gnome-panel/panel-layout.c
M	gnome-panel/panel-layout.h
M	gnome-panel/panel-profile.c
M	gnome-panel/panel-toplevel.c
M	gnome-panel/panel-toplevel.h

commit 21d12ddffb356db4789e028a7e3825dd83dd6c65
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Remove some dead code in panel-gconf

M	gnome-panel/panel-gconf.c
M	gnome-panel/panel-gconf.h

commit b2dc8aa026aa7ce246ccada119543f1537d31688
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Implement removing objects/toplevels from layout

    Also, the layout should now detect newly created objects/toplevels,
    but
    this is untested right now.

M	gnome-panel/applet.c
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-compatibility.c
M	gnome-panel/panel-compatibility.h
M	gnome-panel/panel-layout.c
M	gnome-panel/panel-layout.h
M	gnome-panel/panel-menu-button.c
M	gnome-panel/panel-profile.c
M	gnome-panel/panel.c

commit 99ed2febb92c2a87b415ce097ba0a2aa45bb1a2a
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Two small fixes to object loader

    a) Never queue an object twice
    b) Make stop_loading() also remove objects that are still marked as
    "to
       load", instead of just "loading" objects. That's really the
       behavior
       we want.

M	gnome-panel/panel-object-loader.c

commit ae9e84a328b521cf63466fea652baee21c9fad98
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Add panel_gsettings_remove_all_from_strv() API

M	gnome-panel/libpanel-util/panel-gsettings.c
M	gnome-panel/libpanel-util/panel-gsettings.h

commit b949a78a16111f911dd28d5f3254890122f2eec6
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: No need to check gnome-session 'logout-prompt'

    gnome-session checks it already, so we don't have to tell
    gnome-session
    if confirmation for logout is needed or not.

M	gnome-panel/panel-action-button.c

commit 8ca42a2169158529d37b11166b2ceeb69cd0ac82
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Make "action-type" property of PanelActionButton construct-only

    We can remove the monitoring of the old gconf key. Note that with
    GSettings, we use a detail field in the iid to know the type; there is
    no separate key.

M	gnome-panel/panel-action-button.c

commit 7d7d108b0a50aafaa180b898cf0120978789658b
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Save applet position in GSettings when moving

    Thanks to GSettings, we don't have to be as careful as we were with
    GConf (checking for writability, eg).

M	gnome-panel/applet.c

commit 45f25f52e9f22c82e7b05615c0c3482737ab80ec
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Replace '-' with '_' in applet gconf prefs path

    The applet ids are from GSettings (with '-'), but applets might store
    prefs in gconf where '_' is used.

M	gnome-panel/panel-applet-frame.c

commit 3b4ab1d7fdac0d0370658dbde4b26b745aa85e3d
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Drop unneeded arguments in panel_applet_register()

    Also pass a GSettings, which we'll use for the applet.

M	gnome-panel/applet.c
M	gnome-panel/applet.h
M	gnome-panel/launcher.c
M	gnome-panel/launcher.h
M	gnome-panel/panel-action-button.c
M	gnome-panel/panel-action-button.h
M	gnome-panel/panel-addto.c
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-applet-frame.h
M	gnome-panel/panel-menu-bar.c
M	gnome-panel/panel-menu-bar.h
M	gnome-panel/panel-menu-button.c
M	gnome-panel/panel-menu-button.h
M	gnome-panel/panel-object-loader.c
M	gnome-panel/panel-separator.c
M	gnome-panel/panel-separator.h
M	gnome-panel/panel.c

commit 2da7a44e3932f3762a05a5dd0dbee7dd0f1a2fb1
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Rename *_load_from_gconf to *_load

M	gnome-panel/launcher.c
M	gnome-panel/launcher.h
M	gnome-panel/panel-action-button.c
M	gnome-panel/panel-action-button.h
M	gnome-panel/panel-menu-bar.c
M	gnome-panel/panel-menu-bar.h
M	gnome-panel/panel-menu-button.c
M	gnome-panel/panel-menu-button.h
M	gnome-panel/panel-object-loader.c
M	gnome-panel/panel-separator.c
M	gnome-panel/panel-separator.h

commit 52d060cce20e4c7d4deb513a8c4c074acc0efe54
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Load objects from GSettings on startup

    This is far from the end of porting the panel objects to GSettings,
    but
    we can now have the full default panel!

    The object loading code was moved to its own file.

M	gnome-panel/Makefile.am
M	gnome-panel/applet.c
M	gnome-panel/applet.h
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-applet-frame.h
M	gnome-panel/panel-compatibility.c
M	gnome-panel/panel-compatibility.h
M	gnome-panel/panel-layout.c
A	gnome-panel/panel-object-loader.c
A	gnome-panel/panel-object-loader.h
M	gnome-panel/panel-profile.c

commit 8b79ec6dec12cd186f0df268cad11f18abc66d8e
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Port code to check if panel can be dragged to GSettings

M	gnome-panel/panel-profile.c
M	gnome-panel/panel-toplevel.c

commit 2dc604c01ee22f3f53432dbda144f2ad53ccf315
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Finish porting all background handling to GSettings

    There were still some code needed for drag and drop.

M	gnome-panel/panel-profile.c
M	gnome-panel/panel.c

commit 35e96311a0e68ff9d76f6f2b1a6a19e7908368c7
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Replace fit/stretch settings keys for background with
    image-style

    The two options were incompatibly, so it's really an enum.

M	data/org.gnome.gnome-panel.toplevel.gschema.xml
M	gnome-panel/panel-background.c
M	gnome-panel/panel-background.h
M	gnome-panel/panel-enums-gsettings.h
M	gnome-panel/panel-schemas.h

commit 3ee993a540d1f348d0977143e1eaddf539d1314a
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Change background image to an uri in gsettings

    We rename the key to make this clear, and we also rename the
    rotate key
    to image-rotate to clearly show it applies to the image only.

M	data/org.gnome.gnome-panel.toplevel.gschema.xml
M	gnome-panel/panel-background.c
M	gnome-panel/panel-properties-dialog.c
M	gnome-panel/panel-schemas.h

commit 672463885d072591b360a7cc89eb0f65e424d459
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Port panel properties to GSettings

M	gnome-panel/panel-background.c
M	gnome-panel/panel-profile.c
M	gnome-panel/panel-properties-dialog.c
M	gnome-panel/panel-schemas.h
M	gnome-panel/panel-toplevel.c

commit 5917d4242caa814f11e309ccbe450d91b3cb5802
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Add forgotten _KEY suffixes to defines

    Also remove a duplicate g_settings_bind() call in panel-toplevel.c

M	gnome-panel/panel-layout.c
M	gnome-panel/panel-schemas.h
M	gnome-panel/panel-toplevel.c

commit 88e0b8f697510b4e67a2d8ef1bc7fb927e71b68a
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-25

    panel: Port toplevel configuration to GSettings

    This is big, but actually mostly straightforward.

    The panel properties dialog still needs to be ported, and there
    is some
    code commented out (with #if 0) to enable build without porting this
    yet.

    We needed to split some enums in a new file (panel-enums-gsettings.h),
    so that we can generate GSettings schemas for them and use enums for
    keys.

    Note that we also drop the opacity key for background, as we directly
    store RGBA in the color key now.

M	data/Makefile.am
M	data/org.gnome.gnome-panel.toplevel.gschema.xml
M	gnome-panel/Makefile.am
M	gnome-panel/applet.c
M	gnome-panel/launcher.c
M	gnome-panel/panel-addto.c
M	gnome-panel/panel-background.c
M	gnome-panel/panel-background.h
A	gnome-panel/panel-enums-gsettings.h
M	gnome-panel/panel-enums.h
M	gnome-panel/panel-layout.c
M	gnome-panel/panel-profile.c
M	gnome-panel/panel-properties-dialog.c
M	gnome-panel/panel-schemas.h
M	gnome-panel/panel-toplevel.c
M	gnome-panel/panel-toplevel.h
M	gnome-panel/panel.c

commit 7454717e2f45e6b0ecd2d7db4f47c99dcf3e43b2
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-24

    panel: Fix check for unique id with dconf subdirs

    We were keeping a trailing slash in the subdirs, so the checks were
    not working.

M	gnome-panel/libpanel-util/panel-dconf.c
M	gnome-panel/libpanel-util/panel-dconf.h
M	gnome-panel/panel-layout.c

commit f458292b693924216a885f84be977a2e255b3e1c
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-24

    panel: Check that toplevel/object id is unique as a dconf dir

    We were only checking that the id is not in the id list, but we don't
    want to re-use a pre-existing dconf directory, so we have to
    check that
    too.

M	gnome-panel/panel-layout.c
M	gnome-panel/panel-schemas.h

commit bc4816b3a21694909e950996a40f108778f09aa7
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-24

    panel: Add some dconf helper API

    We'll need this later on.

M	configure.ac
M	gnome-panel/libpanel-util/Makefile.am
A	gnome-panel/libpanel-util/panel-dconf.c
A	gnome-panel/libpanel-util/panel-dconf.h

commit 02759ed229bb8024dcf5cb73a64a1733b9449803
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-24

    panel: Add code to import a panel layout in GSettings

    Now, on first start, we will populate GSettings with a layout.

    This is the first step for the migration to GSettings for
    toplevels/objects.

M	gnome-panel/Makefile.am
M	gnome-panel/main.c
A	gnome-panel/panel-layout.c
A	gnome-panel/panel-layout.h
M	gnome-panel/panel-schemas.h

commit 3a9a039840fa97db1c352cfa4b3cfaea77b345bc
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-24

    panel: Add some helper API for GSettings

M	gnome-panel/libpanel-util/Makefile.am
A	gnome-panel/libpanel-util/panel-gsettings.c
A	gnome-panel/libpanel-util/panel-gsettings.h

commit a13331a93f96d0879f664cec9792791375a0f609
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-24

    panel: Stop saving launchers in ~/.gnome2, and use XDG config dir

M	gnome-panel/panel-util.c

commit e479e57bd01af75a432205d00600228eb8bea703
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-24

    panel: Do not call gtk_widget_show_all() on internal applets

    Some applets might want to hide widgets by default.

    This fixes the visibility on startup of lock/logout/shutdown in the
    menubar when they are locked down.

M	gnome-panel/applet.c
M	gnome-panel/panel-menu-bar.c

commit b98311801b609ab24982196c93ce5c5791dac951
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-24

    panel: Add shutdown item in menu if shutdown is not available

    This was a small regression introduced with the lockdown change.

M	gnome-panel/panel-menu-items.c

commit f8759e60e2f03048b8aa682cd902afc532bec05d
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-24

    panel: Port to GDBus

    We can remove our PanelDBusService helper class now.

M	configure.ac
M	gnome-panel/libpanel-util/Makefile.am
D	gnome-panel/libpanel-util/panel-dbus-service.c
D	gnome-panel/libpanel-util/panel-dbus-service.h
M	gnome-panel/libpanel-util/panel-screensaver.c
M	gnome-panel/libpanel-util/panel-screensaver.h
M	gnome-panel/libpanel-util/panel-session-manager.c
M	gnome-panel/libpanel-util/panel-session-manager.h

commit 16187fe1f3671496652eb624657c191e20309861
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-24

    panel: Talk to gnome-screensaver via dbus

    We were using gnome-screensaver-command before, but there's no
    reason to
    stay this way.

    This means we lose support for xscreensaver; it could be added back,
    if some people want it, but this doesn't make a lot of sense since
    xscreensaver doesn't completely integrate in GNOME (in the system
    settings, for example).

    Also, open the system settings on the screen panel for screensaver
    properties.

M	gnome-panel/gnome-desktop-item-edit.c
M	gnome-panel/libpanel-util/Makefile.am
A	gnome-panel/libpanel-util/panel-screensaver.c
A	gnome-panel/libpanel-util/panel-screensaver.h
M	gnome-panel/panel-action-button.c
M	gnome-panel/panel-util.c
M	gnome-panel/panel-util.h

commit 638a9f0b727aed358588ad18afd6a10dbfecfd74
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-24

    cleanup

M	gnome-panel/panel-lockdown.c

commit c9aebbfc7b3802a9a80fd476cc1ef839240d439e
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-24

    panel: Move Lock before Activate in screensaver button popup

    Lock is the default action, so it should be first.

M	gnome-panel/panel-action-button.c

commit fc64192bd8a8ca3704c22c7e3683dd3638e5d8dd
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-24

    panel: Remove unneeded use_image field

M	gnome-panel/panel-menu-items.c

commit bb64244a00e67e8b12c0ad415817335aece82e29
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-24

    panel: Port lockdown to GSettings

M	gnome-panel/applet.c
M	gnome-panel/applet.h
M	gnome-panel/gnome-desktop-item-edit.c
M	gnome-panel/launcher.c
M	gnome-panel/main.c
M	gnome-panel/menu.c
M	gnome-panel/panel-action-button.c
M	gnome-panel/panel-addto.c
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-applet-frame.h
M	gnome-panel/panel-context-menu.c
M	gnome-panel/panel-lockdown.c
M	gnome-panel/panel-lockdown.h
M	gnome-panel/panel-menu-bar.c
M	gnome-panel/panel-menu-button.c
M	gnome-panel/panel-menu-items.c
M	gnome-panel/panel-profile.c
M	gnome-panel/panel-run-dialog.c
M	gnome-panel/panel-schemas.h
M	gnome-panel/panel-toplevel.c
M	gnome-panel/panel-util.c
M	gnome-panel/panel-util.h
M	gnome-panel/panel-widget.c
M	gnome-panel/panel.c

commit d4af3d340a3148e519a7a8e7bc9383cdddfaedbb
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-23

    panel: Port tooltips_enabled key to GSettings

    This also means we can get rid of panel-config-global.[ch] since it's
    now doing nothing.

M	data/org.gnome.gnome-panel.gschema.xml
M	gnome-panel/Makefile.am
M	gnome-panel/applet.c
M	gnome-panel/button-widget.c
M	gnome-panel/gnome-desktop-item-edit.c
M	gnome-panel/launcher.c
M	gnome-panel/main.c
M	gnome-panel/menu.c
M	gnome-panel/panel-action-button.c
D	gnome-panel/panel-config-global.c
D	gnome-panel/panel-config-global.h
M	gnome-panel/panel-context-menu.c
M	gnome-panel/panel-global.schemas.in
M	gnome-panel/panel-schemas.h
M	gnome-panel/panel-toplevel.c
M	gnome-panel/panel-util.c
M	gnome-panel/panel.c

commit 257fe5d1fd536aed99f25be946c0e54fad96dd83
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-23

    panel: Move highlight_launchers_on_mouseover setting from gconf
    to theme

    I don't think people want to change this as a setting. However, for
    themes, it might make sense.

    It can be changed with "-ButtonWidget-hover-highlight: false;" set for
    ButtonWidget. By default, it's set to true, and ButtonWidgets are
    highlighted on hover.

M	data/org.gnome.gnome-panel.gschema.xml
M	gnome-panel/button-widget.c
M	gnome-panel/panel-config-global.c
M	gnome-panel/panel-config-global.h
M	gnome-panel/panel-global.schemas.in

commit 00266f6183220c9dc902998b242f53528942dc56
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-23

    panel: Port confirm_panel_remove key to GSettings

M	gnome-panel/panel-config-global.c
M	gnome-panel/panel-config-global.h
M	gnome-panel/panel-global.schemas.in
M	gnome-panel/panel-schemas.h
M	gnome-panel/panel.c

commit d3073f409cf04f3366391babb71c7c75590d7a0f
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-23

    panel: Move defines for GSettings schemas in one header

    This will be much easier if we have all the defines in one file.

M	gnome-panel/Makefile.am
M	gnome-panel/panel-run-dialog.c
A	gnome-panel/panel-schemas.h

commit 738de59f34e32033f5eb1aafe7f147ca6b12cca7
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-23

    panel: Remove global enable_animations key

    Instead, we simply use the gtk-enable-animations property of
    GtkSettings.

M	data/org.gnome.gnome-panel.gschema.xml
M	gnome-panel/launcher.c
M	gnome-panel/panel-config-global.c
M	gnome-panel/panel-config-global.h
M	gnome-panel/panel-global.schemas.in

commit d991991b18ab78deba1adf6f2502eaa3cd790944
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-23

    panel: Remove enable_animations key for toplevels

    Instead, we simply use the gtk-enable-animations property of
    GtkSettings.

M	data/org.gnome.gnome-panel.toplevel.gschema.xml
M	gnome-panel/panel-profile.c
M	gnome-panel/panel-toplevel.c
M	gnome-panel/panel-toplevel.h
M	gnome-panel/panel-toplevel.schemas.in

commit 7321412e018e3a9425acfe71974a22fcda4f7898
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-23

    panel: Port run dialog history to GSettings

M	data/org.gnome.gnome-panel.gschema.xml
M	gnome-panel/panel-run-dialog.c

commit 1f0b69fa91666157d77898a6416d1f75d3af5499
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-23

    panel: Port run dialog to GSettings

    Also correctly handle change of "enable-program-list" key.

    Note: history of the run dialog is still saved in gconf.

M	gnome-panel/panel-general.schemas.in
M	gnome-panel/panel-profile.c
M	gnome-panel/panel-profile.h
M	gnome-panel/panel-run-dialog.c

commit 859efb57cacbb283ac66b152087f14aacbc9bb97
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-23

    panel: Add GSettings schema and new definition of default panel layout

    This is just the schemas, and no code has been ported. The schemas
    will
    need to be reviewed later on too.

    The default panel layout will be defined in a simple keyfile, that the
    panel will duplicate inside gsettings if there is no toplevel
    configured.

M	configure.ac
M	data/Makefile.am
A	data/org.gnome.gnome-panel.gschema.xml
A	data/org.gnome.gnome-panel.launcher.gschema.xml
A	data/org.gnome.gnome-panel.menu-button.gschema.xml
A	data/org.gnome.gnome-panel.object.gschema.xml
A	data/org.gnome.gnome-panel.toplevel.gschema.xml
A	data/panel-default-layout.layout

commit 639b4261a4f996d33ea28546f738594dd7cc717f
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-23

    misc: Rename icons directory to data

    We'll add gsettings schemas there too.

M	Makefile.am
M	configure.ac
R100	icons/16x16/Makefile.am data/16x16/Makefile.am
R100	icons/16x16/gnome-panel-clock.png
data/16x16/gnome-panel-clock.png
R100	icons/16x16/gnome-panel-clock.xcf.bz2
data/16x16/gnome-panel-clock.xcf.bz2
R100	icons/16x16/gnome-panel-fish.png
data/16x16/gnome-panel-fish.png
R100	icons/16x16/gnome-panel-fish.xcf.bz2
data/16x16/gnome-panel-fish.xcf.bz2
R100	icons/16x16/gnome-panel-force-quit.png
data/16x16/gnome-panel-force-quit.png
R100	icons/16x16/gnome-panel-force-quit.svg
data/16x16/gnome-panel-force-quit.svg
R100	icons/16x16/gnome-panel-launcher.png
data/16x16/gnome-panel-launcher.png
R100	icons/16x16/gnome-panel-launcher.svg
data/16x16/gnome-panel-launcher.svg
R100	icons/16x16/gnome-panel-notification-area.png
data/16x16/gnome-panel-notification-area.png
R100	icons/16x16/gnome-panel-notification-area.svg
data/16x16/gnome-panel-notification-area.svg
R100	icons/16x16/gnome-panel-separator.png
data/16x16/gnome-panel-separator.png
R100	icons/16x16/gnome-panel-separator.svg
data/16x16/gnome-panel-separator.svg
R100	icons/16x16/gnome-panel-window-list.png
data/16x16/gnome-panel-window-list.png
R100	icons/16x16/gnome-panel-window-list.xcf.bz2
data/16x16/gnome-panel-window-list.xcf.bz2
R100	icons/16x16/gnome-panel-window-menu.png
data/16x16/gnome-panel-window-menu.png
R100	icons/16x16/gnome-panel-window-menu.xcf.bz2
data/16x16/gnome-panel-window-menu.xcf.bz2
R100	icons/16x16/gnome-panel-workspace-switcher.png
data/16x16/gnome-panel-workspace-switcher.png
R100	icons/16x16/gnome-panel-workspace-switcher.svg
data/16x16/gnome-panel-workspace-switcher.svg
R100	icons/16x16/gnome-panel.png	data/16x16/gnome-panel.png
R100	icons/16x16/gnome-panel.svg	data/16x16/gnome-panel.svg
R100	icons/22x22/Makefile.am data/22x22/Makefile.am
R100	icons/22x22/gnome-panel-clock.png
data/22x22/gnome-panel-clock.png
R100	icons/22x22/gnome-panel-clock.svg
data/22x22/gnome-panel-clock.svg
R100	icons/22x22/gnome-panel-fish.png
data/22x22/gnome-panel-fish.png
R100	icons/22x22/gnome-panel-fish.xcf.bz2
data/22x22/gnome-panel-fish.xcf.bz2
R100	icons/22x22/gnome-panel-force-quit.png
data/22x22/gnome-panel-force-quit.png
R100	icons/22x22/gnome-panel-force-quit.xcf.bz2
data/22x22/gnome-panel-force-quit.xcf.bz2
R100	icons/22x22/gnome-panel-launcher.png
data/22x22/gnome-panel-launcher.png
R100	icons/22x22/gnome-panel-launcher.svg
data/22x22/gnome-panel-launcher.svg
R100	icons/22x22/gnome-panel-notification-area.png
data/22x22/gnome-panel-notification-area.png
R100	icons/22x22/gnome-panel-notification-area.svg
data/22x22/gnome-panel-notification-area.svg
R100	icons/22x22/gnome-panel-separator.png
data/22x22/gnome-panel-separator.png
R100	icons/22x22/gnome-panel-separator.svg
data/22x22/gnome-panel-separator.svg
R100	icons/22x22/gnome-panel-window-list.png
data/22x22/gnome-panel-window-list.png
R100	icons/22x22/gnome-panel-window-list.xcf.bz2
data/22x22/gnome-panel-window-list.xcf.bz2
R100	icons/22x22/gnome-panel-window-menu.png
data/22x22/gnome-panel-window-menu.png
R100	icons/22x22/gnome-panel-window-menu.xcf.bz2
data/22x22/gnome-panel-window-menu.xcf.bz2
R100	icons/22x22/gnome-panel-workspace-switcher.png
data/22x22/gnome-panel-workspace-switcher.png
R100	icons/22x22/gnome-panel-workspace-switcher.svg
data/22x22/gnome-panel-workspace-switcher.svg
R100	icons/22x22/gnome-panel.png	data/22x22/gnome-panel.png
R100	icons/22x22/gnome-panel.svg	data/22x22/gnome-panel.svg
R100	icons/24x24/Makefile.am data/24x24/Makefile.am
R100	icons/24x24/gnome-panel-clock.png
data/24x24/gnome-panel-clock.png
R100	icons/24x24/gnome-panel-fish.png
data/24x24/gnome-panel-fish.png
R100	icons/24x24/gnome-panel-force-quit.png
data/24x24/gnome-panel-force-quit.png
R100	icons/24x24/gnome-panel-launcher.png
data/24x24/gnome-panel-launcher.png
R100	icons/24x24/gnome-panel-notification-area.png
data/24x24/gnome-panel-notification-area.png
R100	icons/24x24/gnome-panel-separator.png
data/24x24/gnome-panel-separator.png
R100	icons/24x24/gnome-panel-window-list.png
data/24x24/gnome-panel-window-list.png
R100	icons/24x24/gnome-panel-window-menu.png
data/24x24/gnome-panel-window-menu.png
R100	icons/24x24/gnome-panel-workspace-switcher.png
data/24x24/gnome-panel-workspace-switcher.png
R100	icons/24x24/gnome-panel.png	data/24x24/gnome-panel.png
R100	icons/32x32/Makefile.am data/32x32/Makefile.am
R100	icons/32x32/gnome-panel-clock.png
data/32x32/gnome-panel-clock.png
R100	icons/32x32/gnome-panel-clock.svg
data/32x32/gnome-panel-clock.svg
R100	icons/32x32/gnome-panel-fish.png
data/32x32/gnome-panel-fish.png
R100	icons/32x32/gnome-panel-fish.svg
data/32x32/gnome-panel-fish.svg
R100	icons/32x32/gnome-panel-force-quit.png
data/32x32/gnome-panel-force-quit.png
R100	icons/32x32/gnome-panel-force-quit.svg
data/32x32/gnome-panel-force-quit.svg
R100	icons/32x32/gnome-panel-launcher.png
data/32x32/gnome-panel-launcher.png
R100	icons/32x32/gnome-panel-launcher.svg
data/32x32/gnome-panel-launcher.svg
R100	icons/32x32/gnome-panel-notification-area.png
data/32x32/gnome-panel-notification-area.png
R100	icons/32x32/gnome-panel-notification-area.svg
data/32x32/gnome-panel-notification-area.svg
R100	icons/32x32/gnome-panel-separator.png
data/32x32/gnome-panel-separator.png
R100	icons/32x32/gnome-panel-separator.svg
data/32x32/gnome-panel-separator.svg
R100	icons/32x32/gnome-panel-window-list.png
data/32x32/gnome-panel-window-list.png
R100	icons/32x32/gnome-panel-window-list.svg
data/32x32/gnome-panel-window-list.svg
R100	icons/32x32/gnome-panel-window-menu.png
data/32x32/gnome-panel-window-menu.png
R100	icons/32x32/gnome-panel-window-menu.svg
data/32x32/gnome-panel-window-menu.svg
R100	icons/32x32/gnome-panel-workspace-switcher.png
data/32x32/gnome-panel-workspace-switcher.png
R100	icons/32x32/gnome-panel-workspace-switcher.svg
data/32x32/gnome-panel-workspace-switcher.svg
R100	icons/32x32/gnome-panel.png	data/32x32/gnome-panel.png
R100	icons/32x32/gnome-panel.svg	data/32x32/gnome-panel.svg
R100	icons/48x48/Makefile.am data/48x48/Makefile.am
R100	icons/48x48/gnome-panel.png	data/48x48/gnome-panel.png
R100	icons/48x48/gnome-panel.svg	data/48x48/gnome-panel.svg
R100	icons/Makefile.am	data/Makefile.am
R100	icons/gnome-gegl.png	data/gnome-gegl.png
R100	icons/scalable/Makefile.am	data/scalable/Makefile.am
R100	icons/scalable/gnome-panel-clock.svg
data/scalable/gnome-panel-clock.svg
R100	icons/scalable/gnome-panel-fish.svg
data/scalable/gnome-panel-fish.svg
R100	icons/scalable/gnome-panel-force-quit.svg
data/scalable/gnome-panel-force-quit.svg
R100	icons/scalable/gnome-panel-launcher.svg
data/scalable/gnome-panel-launcher.svg
R100	icons/scalable/gnome-panel-notification-area.svg
data/scalable/gnome-panel-notification-area.svg
R100	icons/scalable/gnome-panel-separator.svg
data/scalable/gnome-panel-separator.svg
R100	icons/scalable/gnome-panel-window-list.svg
data/scalable/gnome-panel-window-list.svg
R100	icons/scalable/gnome-panel-window-menu.svg
data/scalable/gnome-panel-window-menu.svg
R100	icons/scalable/gnome-panel-workspace-switcher.svg
data/scalable/gnome-panel-workspace-switcher.svg
R100	icons/scalable/gnome-panel.svg	data/scalable/gnome-panel.svg

commit a9b9eb9a68b0376c4067f34267e9f52b98f4d1a8
Author: Colin Walters <walters@verbum.org>
Date:	2011-03-23

    main.c: Return 1 instead of -1

    A -1 error code will just turn into 255, which is lame.  Fix
    it to be just 1 like everything else; we have no error code
    standardization or anything.

M	gnome-panel/main.c

commit 483cd61754de161b70458913579dbed5fde1a92c
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-23

    panel, libpanel-applet: Put Move before Remove in applet menu

    It's better to put a non-destructive action first.

M	gnome-panel/applet.c
M	gnome-panel/applet.h
M	libpanel-applet/panel-applet.c

commit 0bdc51653c961d7b4de2b2352018993806d8d72b
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-23

    panel, libpanel-applet: Drop per-applet Lock setting

    This was mostly useful because it was too easy to move applets,
    but with
    the new way to edit panels, it's not needed anymore.

M	doc/reference/panel-applet/tmpl/applet.sgml
M	gnome-panel/applet.c
M	gnome-panel/applet.h
M	gnome-panel/launcher.c
M	gnome-panel/launcher.h
M	gnome-panel/libpanel-applet-private/panel-applet-container.c
M	gnome-panel/libpanel-applet-private/panel-applet-container.h
M	gnome-panel/libpanel-applet-private/panel-applet-frame-dbus.c
M	gnome-panel/panel-action-button.c
M	gnome-panel/panel-action-button.h
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-applet-frame.h
M	gnome-panel/panel-menu-bar.c
M	gnome-panel/panel-menu-bar.h
M	gnome-panel/panel-menu-button.c
M	gnome-panel/panel-menu-button.h
M	gnome-panel/panel-object.schemas.in
M	gnome-panel/panel-profile.c
M	gnome-panel/panel-separator.c
M	gnome-panel/panel-separator.h
M	gnome-panel/panel-widget.c
M	gnome-panel/panel-widget.h
M	libpanel-applet/panel-applet.c

commit f9a7efdc90727a2089bd5d8924d39afa1e1cd97e
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-23

    panel: Require modifier to move applets by clicking on handle

    Also do the same for internal object (eg: menubar) when clicking with
    middle button.

M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-widget.c

commit a1defe9a69dca2478dd267f88d43b8fdf64b9a82
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-23

    panel: Remove unneeded gconf calls for /desktop/gnome/interface

M	gnome-panel/main.c

commit b9fc819b956319b6ae99fa13bf54c4f54d9e3a0e
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-23

    panel: Drop hidden --profile argument, used for < 2.10 compatibility

M	gnome-panel/main.c

commit e57b3afd9255671789ea6c1b6136bbad82573cdc
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-23

    panel: Drop migration code for lock-object and logout-object (pre-2.2)

M	gnome-panel/applet.c
M	gnome-panel/panel-action-button.c
M	gnome-panel/panel-action-button.h
M	gnome-panel/panel-enums.h
M	gnome-panel/panel-profile.c

commit ea30fbff95f4917a10ca008d1172dbb6a0cffbf9
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-23

    panel: Remove unneeded includes

M	gnome-panel/panel-compatibility.c

commit 0737911b32cbd07f7b6e40afc9e230212846e0dc
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-23

    panel: Drop migration code for screenshot action buttons (pre-2.14
    days)

    Same rationale as previous commits.

M	gnome-panel/panel-action-button.c
M	gnome-panel/panel-compatibility.c
M	gnome-panel/panel-compatibility.h
M	gnome-panel/panel-enums.h

commit 373a69197149f57d2e15373d16dbeb2c10a5a426
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-23

    panel: Drop migration code for launchers from pre-2.10 days

    Same rationale as previous commit.

M	gnome-panel/launcher.c
M	gnome-panel/panel-compatibility.c
M	gnome-panel/panel-compatibility.h

commit 9c94a53b51d7093f4574b5e49c871d62c6e79ba7
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-23

    panel: Remove code to migrate pre-2.4 panel configuration

    Users migrating from such an old version shouldn't expect the
    upgrade to keep their configuration for 3.0, really.

M	gnome-panel/applet.c
M	gnome-panel/panel-compatibility.c
M	gnome-panel/panel-compatibility.h
M	gnome-panel/panel-general.schemas.in
M	gnome-panel/panel-profile.c
M	gnome-panel/panel.c

commit 7ca5dda8564abbbb77b869d04f822ec11c80ad13
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-23

    panel: Drop drawers

    It's finally time to drop drawers:
     - there are always been various issues here and there, and they've
       never got fixed
     - it added complexity to the code
     - number of users using it is small
     - 3.0 is a good time to do this change

M	gnome-panel/Makefile.am
M	gnome-panel/applet.c
M	gnome-panel/applet.h
D	gnome-panel/drawer.c
D	gnome-panel/drawer.h
M	gnome-panel/launcher.c
M	gnome-panel/main.c
M	gnome-panel/menu.c
M	gnome-panel/panel-action-button.c
M	gnome-panel/panel-addto.c
M	gnome-panel/panel-compatibility.c
M	gnome-panel/panel-config-global.c
M	gnome-panel/panel-config-global.h
M	gnome-panel/panel-context-menu.c
M	gnome-panel/panel-enums.h
M	gnome-panel/panel-global.schemas.in
M	gnome-panel/panel-icon-names.h
M	gnome-panel/panel-object.schemas.in
M	gnome-panel/panel-profile.c
M	gnome-panel/panel-profile.h
M	gnome-panel/panel-properties-dialog.c
M	gnome-panel/panel-properties-dialog.ui
M	gnome-panel/panel-struts.c
M	gnome-panel/panel-toplevel.c
M	gnome-panel/panel-toplevel.h
M	gnome-panel/panel-widget.c
M	gnome-panel/panel-widget.h
M	gnome-panel/panel.c
M	icons/16x16/Makefile.am
D	icons/16x16/gnome-panel-drawer.png
D	icons/16x16/gnome-panel-drawer.svg
M	icons/22x22/Makefile.am
D	icons/22x22/gnome-panel-drawer.png
D	icons/22x22/gnome-panel-drawer.svg
M	icons/24x24/Makefile.am
D	icons/24x24/gnome-panel-drawer.png
M	icons/32x32/Makefile.am
D	icons/32x32/gnome-panel-drawer.png
D	icons/32x32/gnome-panel-drawer.svg
M	icons/scalable/Makefile.am
D	icons/scalable/gnome-panel-drawer.svg

commit c1ab7e84f6478a826a746d5999d95f2fcbe13d4f
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-23

    panel: Remove popup menu for items in applications menu

    This just does not work with GTK+ 3, and was considered bad design
    for a
    long time since it's the only menu in the desktop where a popup menu
    exists.

    Users can achieve most of it with alacarte / the addto dialog.

M	gnome-panel/menu.c

commit b71a10617788104a036d73f2bbcf6bfcd30fbbeb
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:	2011-03-27

    Added UG translation

M	po/ug.po

commit ffb358e8f69a5a2aac0473e6db4f8683bb6994c3
Author: Rodrigo Padula de Oliveira <contato@rodrigopadula.com>
Date:	2011-03-25

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit ba29f7eeb3ec41bd780454afaddd32c1b27ca907
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-22

    release: post-release bump to 3.0.0

M	configure.ac

commit a9622af7f40bb0b5a39d6cbb7206ee9676541eba
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-22

    release: 2.91.92

M	NEWS

commit e3134f45cf88634f40914ac38519984cd93879a7
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-22

    panel, clock: Remove _gtk_label_make_bold() workaround

    The font is now made bold in the theme, which is the right way
    to handle
    this.

M	applets/clock/clock.c
M	gnome-panel/panel-menu-bar.c

commit 02495b500dd88a9d3964572732581256975c8c05
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-22

    panel: Remove X-GNOME-Autostart-Notify from .desktop file

    This isn't used by gnome-session.

M	gnome-panel/gnome-panel.desktop.in.in

commit f7034790d19477461650527abad2149ab397a0a1
Author: Amitakhya Phukan <amitakhya@svn.gnome.org>
Date:	2011-03-21

    Updated Assamese translations

M	po/as.po

commit f51ec418f76e72261e7ea808e7cae5ac4bef0709
Author: Simos Xenitellis <simos@gnome.org>
Date:	2011-03-21

    l10n: Updated Greek translation for gnome-panel

M	po/el.po

commit f0c0e906911e8ea5007a7e7d969f388e806e66ba
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:	2011-03-20

    Updated Latvian translation.

M	po/lv.po

commit ee03f07f10b3eeafad61abedc357603d35b7be6a
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-03-12

    panel-applet-frame: Fix background of handles for transparent panels

M	gnome-panel/panel-applet-frame.c

commit 586dea3538fd2fc992bbbdfc5ff71493385cfa21
Author: William Jon McCann <jmccann@redhat.com>
Date:	2011-03-19

    Add style classes to make panel easier to theme

M	gnome-panel/menu.c
M	gnome-panel/panel-menu-bar.c

commit 45d98234d2c3baa341fef3d1294cff07ce02cda8
Author: Luca Ferretti <lferrett@gnome.org>
Date:	2011-03-17

    Updated Italian translation

M	help/fish/it/it.po

commit 99bac91a93121aa305da11e261588f1acedd8915
Author: Luca Ferretti <lferrett@gnome.org>
Date:	2011-03-17

    Small fix to Italian translation

M	help/clock/it/it.po

commit d177a6a416d8bb00cb30a6b1175c52f99189d66a
Author: Luca Ferretti <lferrett@gnome.org>
Date:	2011-03-17

    Updated Italian translation

M	help/clock/it/it.po

commit 1d7cc029af08cd6cda75dc26265eff6d099a2998
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:	2011-03-16

    Updated Romanian translation

M	po/ro.po

commit e012e8b27ac8d5b139f5c3c13560afd7a0fa6c66
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:	2011-03-16

    Updated Romanian translation

M	po/ro.po

commit 9bb63d177f0a23a49d43aa6d738497cb746cda59
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2011-03-16

    Updated British English translation

M	po/en_GB.po

commit c94a35ff90e768397e84666ffb430f9c827bdf0a
Author: Marek Černocký <marek@manet.cz>
Date:	2011-03-16

    Updated Czech translation

M	po/cs.po

commit 304300deec0fecabb46df7b3e1bc71e74ef69aad
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-03-15

    Updated Hungarian translation

M	po/hu.po

commit 6b917c3c2ec4643400c557141ca16085d2518ee4
Author: Luca Ferretti <lferrett@gnome.org>
Date:	2011-03-14

    Updated Italian translation

M	po/it.po

commit 7b6fb588421f052c08e285489fb42695785335cf
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2011-03-13

    Updated Russian translation

M	po/ru.po

commit b5aa4b81afa08791d79c848897a57855585f523c
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2011-03-12

    Updated Portuguese translation

M	po/pt.po

commit 82971622eadbb6deb15113ab54eea042ce6a4bea
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2011-03-12

    Uploaded Ukranian

M	po/uk.po

commit fd3fb58228c660fc4e7becc6213746274143d5c1
Author: Leonardo Ferreira Fontenelle <leonardof@gnome.org>
Date:	2011-03-10

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit c06e961e6015ebe6ecdc49718b30979d2cb467a8
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:	2011-03-09

    Updated Latvian translation.

M	po/lv.po

commit 6e0d8e2cdc9e7b5d595c037c040bd608dd38b10f
Author: Colin Walters <walters@verbum.org>
Date:	2011-03-09

    Fix uninitialized variable warnings

M	gnome-panel/launcher.c
M	gnome-panel/libpanel-util/panel-show.c

commit 5f981cbc674ccc6f21d29bc166841bdf8fd657d8
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2011-03-09

    Updated Polish translation

M	po/pl.po

commit 583e591f8a20430515d304cd93afa0a9cdac19e5
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:	2011-03-09

    Updated Latvian translation.

M	po/lv.po

commit 77a6dce899cddcd1b3992e0bd89fe45d4b35b1b2
Author: Andre Klapper <a9016009@gmx.de>
Date:	2011-03-07

    Fix a bunch of broken translations. Fixes bug 569609, bug 569607,
    bug 569606, bug 569603, bug 569599, bug 569594, bug 569593, bug
    569591, bug 569590, bug 569589, 569588

M	po/br.po
M	po/dz.po
M	po/hy.po
M	po/kn.po
M	po/mai.po
M	po/ml.po
M	po/mn.po
M	po/ne.po
M	po/ps.po
M	po/si.po
M	po/uz.po

commit 2157c9c2e123d4c3620564c475d2c5dfff6188cc
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-07

    release: post-release bump to 2.91.92

M	configure.ac

commit 3f96a21623b1d5095a3617aeaccbdea505da9e4f
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-07

    release: 2.91.91

M	NEWS

commit 594e71d14cc96fb5d03704da1907a280d13dcba6
Author: Daniel Nylander <po@danielnylander.se>
Date:	2011-03-06

    Updated Swedish translation

M	po/sv.po

commit 8d243f97e96ba647cc62be552dc2daa5def85cd2
Author: Daniel Nylander <po@danielnylander.se>
Date:	2011-03-06

    Updated Swedish translation

M	po/sv.po

commit f31f2bced1630f796bd50dac4f61fc55aed5b3b6
Author: Daniel Nylander <po@danielnylander.se>
Date:	2011-02-03

    Updated Swedish translation

M	po/sv.po

commit 800992bdfb5dae959d8efcdb8591e291eed5d395
Author: David Planella <david.planella@gmail.com>
Date:	2011-03-06

    [l10n] Updated Catalan translation

M	po/ca.po

commit 63222c7e047d18316c9daa971fd42f7a3c68e289
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2011-03-06

    Uploaded Ukranian

M	po/uk.po

commit 085448c55c7c28c64b07d33982805f0e3343d360
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2011-03-06

    Remove translation help images which are identical to original

D	help/fish/ko/figures/fish_applet.png
D	help/fish/uk/figures/fish_applet.png

commit eda53725b0020f47548c7d22fe6b346aa50c25a7
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-03-04

    configure: Bump GTK+ requirements to 3.0

M	configure.ac

commit 92cf33e0667ad9dbcd8a85e2426b5e2c970b6482
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2011-03-04

    Updated Arabic translation

M	po/ar.po

commit 6f5fb58214f3cd7ee1e9e8b654f81f1debcfd1cd
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:	2011-03-04

    Updated Latvian translation.

M	po/lv.po

commit c702e1bcefcfdf3c8d855a6ec0229c3093ee9161
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-03

    build: Remove libcanberra-gtk3 dependency

    It's not needed anymore, nothing is using it.

M	configure.ac

commit 7ebee9d9aeea4adcdfe89382ca0f27a964ab5ed2
Author: David Woodhouse <David.Woodhouse@intel.com>
Date:	2011-03-02

    Bug 633566 - fix missing calendar sources, harder.

    Still need to do this by querying for type/capabilities rather than
    having incestuous knowledge in the client about what the various
    backend
    names are for. But this is at least moving it closer to the right
    place,
    and making it display events from unknown back ends instead of
    completely
    ignoring them.

M	applets/clock/calendar-window.c

commit 8cda45de434f65cc908effb772c8058deb9aece3
Author: Wei Li <lw124124@gmail.com>
Date:	2011-03-01

    Update Simplified Chinese translation.

M	po/zh_CN.po

commit 4b4af6fc96536d313a82e8342764b378dda196b0
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:	2011-02-28

    Updated Hindi Translations

M	po/hi.po

commit d0e665f6a5715aaa4d0fbe42a9a2f237dcf7e07d
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2011-02-27

    Updated Esperanto translation

M	po/eo.po

commit ce34abe878ca3a859cee08cb10254d207966643d
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2011-02-27

    Updated Korean translation

M	po/ko.po

commit d13c633849c3a776d9d0769a666ceb7f6e975af2
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-02-25

    Updated Slovenian translation

M	po/sl.po

commit 20c0e8a3169f77478583c11d813c4b6a238ef435
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-25

    libpanel-applet: Correctly set min & max of orient and flags
    properties

M	libpanel-applet/panel-applet.c
M	libpanel-applet/panel-applet.h

commit 7f5052cf32f45a050c6c04cd0c4aa7f25594d6af
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-24

    libpanel-applet: Stop printing errors for gconf API

    If the caller doesn't care about errors, then it's not up to the
    library
    to compensate.

M	libpanel-applet/panel-applet-gconf.c
M	libpanel-applet/panel-applet-gconf.h
M	libpanel-applet/panel-applet.c
M	libpanel-applet/panel-applet.h

commit 1b10ece93c1423fc151afd1d78139f92b7ffbc0a
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-24

    libpanel-applet: Change names of arguments to make g-ir-scanner happy

M	libpanel-applet/panel-applet.c

commit 1bccf18e7b4abbf7cac3adebb954e3e122ee6e4e
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-24

    doc: Update and complete libpanel-applet API doc

    Also move the doc inline.

M	doc/reference/panel-applet/Makefile.am
M	doc/reference/panel-applet/panel-applet-docs.sgml
M	doc/reference/panel-applet/panel-applet-sections.txt
A	doc/reference/panel-applet/tmpl/applet-factory.sgml
A	doc/reference/panel-applet/tmpl/applet.sgml
A	doc/reference/panel-applet/tmpl/gconf.sgml
D	doc/reference/panel-applet/tmpl/panel-applet-gconf.sgml
M	doc/reference/panel-applet/tmpl/panel-applet-unused.sgml
D	doc/reference/panel-applet/tmpl/panel-applet.sgml
M	libpanel-applet/panel-applet-gconf.c
M	libpanel-applet/panel-applet.c
M	libpanel-applet/panel-applet.h

commit fd519ef025d724beed3ee92a5fbd0d7919adb73b
Author: Bruno Brouard <annoa.b@gmail.com>
Date:	2011-02-24

    Updated French translation

M	po/fr.po

commit 28db2934bbc71fb16853078401d43821a46f9ed1
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-24

    doc: Add guidelines for context menu

M	doc/reference/panel-applet/panel-applet-docs.sgml

commit 471e1530900cb7d8295a78a6c1c1973d72a7c10f
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-24

    doc: Add mention about per-screen settings

M	doc/reference/panel-applet/panel-applet-docs.sgml

commit fafd912f8c11eae082dfbf309bf62249f9055731
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-24

    doc: Rewrite the libpanel-applet doc

    It now includes good documentation explaining how to use
    libpanel-applet, as well as links to help port from GNOME 2.

    Note that I didn't touch the API reference.

M	doc/reference/panel-applet/panel-applet-docs.sgml

commit 5ad4d9e38a7f5c86a499dfad9c6abef2d3697e7e
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-24

    libpanel-applet: Add test applet in python

    This is an example of how to use libpanel-applet from introspection
    data.

A	libpanel-applet/test-dbus-applet.py

commit 6ef943dd473ac662dea01645e0ab1f6564361253
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-24

    libpanel-applet: Remove out_process from panel_applet_factory_main()

    This argument makes no sense when introspection is used since, in that
    case, the applet will be out-of-process anyway.

    Instead, create a panel_applet_factory_setup_in_process() API that is
    marked as "skip" for introspection, that is used to setup the factory
    for in-process applets.

M	libpanel-applet/panel-applet.c
M	libpanel-applet/panel-applet.h

commit f76747c90e3e0814378b2e5b2afc907e7890b0b3
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-24

    libpanel-applet: Mark priv field of PanelApplet as private

M	libpanel-applet/panel-applet.h

commit 6750d738ddf644ec79a144bc1e49096d190a3395
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-24

    libpanel-applet: Remove FIXME that should never have been committed

M	libpanel-applet/panel-applet.c

commit 133befebc70aa656542911c95f46a2c7f4ceacbc
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-24

    libpanel-applet: Remove unused name arg in FACTORY macros

    This breaks API, so all applets need to be udpated. But it's just
    removing a name, so it's easy.

M	applets/clock/clock.c
M	applets/fish/fish.c
M	applets/notification_area/main.c
M	applets/wncklet/wncklet.c
M	libpanel-applet/panel-applet.h
M	libpanel-applet/test-dbus-applet.c

commit 66602bab12f55e09b2205b493c7e0e5e9c560911
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-24

    libpanel-applet: Only declare _panel_applet_shlib_factory() when
    needed

    This function only makes sense when PANEL_APPLET_IN_PROCESS_FACTORY is
    used.

M	libpanel-applet/panel-applet.h

commit 59b4e0fdd0b296d22d36bd4a23a8660f4b0d73bd
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-24

    libpanel-applet: Remove panel_applet_new()

    It really cannot be used this way since we need some properties to be
    set for the PanelApplet object to work.

M	libpanel-applet/panel-applet.c
M	libpanel-applet/panel-applet.h

commit 79d40f1be753bdfc40773a053a92bfbf7a4df62a
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-24

    libpanel-applet: Make sure people cannot misuse PanelApplet

    If people just create a PanelApplet object and hope it works, then it
    will just fail. People should use panel_applet_factory_main().

    https://bugzilla.gnome.org/show_bug.cgi?id=640968

M	libpanel-applet/panel-applet.c

commit 21578a8d3cb8c39039b15fc6c547d26a5b0af71e
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-24

    clock, fish, wncklet: Use a GBinding to track locked-down for
    popup menu

    We don't need to monitor the property to change visibility of items in
    popup menus: GBinding can do it for us.

M	applets/clock/clock.c
M	applets/fish/fish.c
M	applets/wncklet/window-list.c
M	applets/wncklet/workspace-switcher.c

commit ac94492abc873ef1bbf79a9d812d60b77a452d72
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-23

    clock: Only display "edit locations" button if panel is not locked
    down

M	applets/clock/calendar-window.c
M	applets/clock/clock.c

commit 896d07f06816437b9b1bc11f54a9d3a2549a1a26
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-23

    panel: Fix warning when recreating panel context menu

    If the menu was recreated because of a locked-down change, then
    the menu
    was deactivated while it was not open; this created a warning in our
    deactivated handler.

M	gnome-panel/panel.c

commit fbc1a7ab87444ad49f404df8d915141a95fcf118
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-23

    fish: Monitor locked-down property to update prefs visibility

    We want the prefs item in the context menu to appear when needed, and
    only when needed.

M	applets/fish/fish.c

commit e52888d43798d1468b0a03976c1ecefebfc4df26
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-23

    clock, wncklet: Remove useless about field

M	applets/clock/clock.c
M	applets/wncklet/window-list.c
M	applets/wncklet/workspace-switcher.c

commit ecdb801884317a5dfd45de111386d8eb0623c1fb
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-23

    wncklet: Monitor locked-down property to update prefs visibility

    We want the prefs item in the context menu to appear when needed, and
    only when needed.

M	applets/wncklet/window-list.c
M	applets/wncklet/workspace-switcher.c

commit 46e6cb2ce3345551483fc75b02c60e64d73ce8b6
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-23

    libpanel-applet: Remove unused SAVE_YOURSELF from enum

M	libpanel-applet/panel-applet.c

commit 8795c474a5f65ddf42a652fe9bbde81e8f5c43e5
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-23

    release: post-release bump to 2.91.91

M	configure.ac

commit f7ae41a9b2e563caa5757ad005a0f02baf46a77c
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-23

    release: 2.91.90

M	NEWS

commit 963fc6abe7506779eca6dc13667bb7902e554c06
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-23

    panel: Do not lock any objects by default

    With the new way to edit panels, this is not needed anymore.

M	gnome-panel/panel-default-setup.entries

commit ae637906f49f467e4ad8d7cf5f83d63f9cfbe6b7
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-23

    na: Add icon-padding style property to NaTrayApplet to set padding

    It can be used this way:

    NaTrayApplet {
	-NaTrayApplet-icon-padding: 6;
    }

    https://bugzilla.gnome.org/show_bug.cgi?id=583273

M	applets/notification_area/main.c

commit 3b31fc3e17af7996071bbcc48c27f7012bb2c689
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-23

    na: Add support for _NET_SYSTEM_TRAY_PADDING in backend

    We still need to get a padding value from somewhere.

    Based on patch from Matthias Clasen <mclasen@redhat.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=583273

M	applets/notification_area/na-tray-manager.c
M	applets/notification_area/na-tray-manager.h
M	applets/notification_area/na-tray.c
M	applets/notification_area/na-tray.h

commit bab66d73a71a8988c4c24249e9e887cdb83e608d
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-23

    na: Rewrite main.c to subclass PanelApplet as NaTrayApplet

    This is cleaner, and we'll be able to add style properties to this
    widget.

M	applets/notification_area/Makefile.am
M	applets/notification_area/main.c
A	applets/notification_area/main.h

commit f8c112246f7805bf4c5816b43196e392f1a31f0e
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-23

    fish, wncklet: Remove useless about_dialog field

M	applets/fish/fish.c
M	applets/wncklet/showdesktop.c
M	applets/wncklet/window-menu.c

commit 61da7b013935b3297914b00206b22c0cd850a89c
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-22

    panel: Fix obvious error (unref on wrong objects)

M	gnome-panel/applet.c

commit 58ab84b9677c1e74a2791f891dda0cae94e1fd9e
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-22

    panel: Do not show "Edit Menus" in menubar context menu if locked down

    Same for PanelMenuButton.

M	gnome-panel/panel-lockdown.c
M	gnome-panel/panel-lockdown.h
M	gnome-panel/panel-menu-bar.c
M	gnome-panel/panel-menu-button.c

commit 3b0c5bd72f1ac009283f58019e559020415d17fb
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-22

    panel: Fix an issue where autohide disabler was stuck

    This only happened when a popup menu was recreated while it was open.

M	gnome-panel/applet.c
M	gnome-panel/panel-menu-button.c

commit 4ef09d1f93453114d64ee0d8b8718686ffb177fb
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-22

    panel: Fix warning when locked_down key was changed

    PanelMenuButtons were re-creating their menus, but without
    disconnecting
    from some signal.

M	gnome-panel/panel-menu-button.c

commit eca306dfa831ef16fbc958fb2d50fccba7fed94b
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-22

    panel: Reorder context menu item of menu bar

    Help should be last.

    Note that I consider this help item to be useful, compared to the
    others.

M	gnome-panel/panel-menu-bar.c

commit 06494b5117ff90e46b71fdf50673bd11afcba7d1
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-22

    panel: Drop help menu item from menu buttons context menu

M	gnome-panel/panel-menu-button.c

commit 80a8bef840280dfd55a9828967558182b7b28690
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-22

    panel: Remove help in popup menu of action buttons

    For most of them, that was the only item in the popup menu, and people
    usually know what they do when they add those buttons...

M	gnome-panel/panel-action-button.c

commit 12abd2c8f73edbf7dbf609dbace817529b5a250e
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-22

    panel: Add comments about keeping in sync code that was copied

    Since we copied the code to libpanel-applet, we want to make sure
    changes go there too.

M	gnome-panel/panel-bindings.c
M	gnome-panel/panel-util.c
M	gnome-panel/panel-xutils.c

commit 4c860ac5a236171eb4327d4f1b1e84c18d6d67f7
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-22

    panel: Ensure we never ever display both popup menus for panel objects

M	gnome-panel/applet.c

commit a7c9ed7e9732263e11d0c069d0363aa8e29bcad9
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-22

    libpanel-applet, panel: Make edit actions of applets a second menu

    This is really the same as previous commits :-)

M	gnome-panel/libpanel-applet-private/panel-applet-container.c
M	gnome-panel/libpanel-applet-private/panel-applet-container.h
M	gnome-panel/libpanel-applet-private/panel-applet-frame-dbus.c
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-applet-frame.h
M	libpanel-applet/Makefile.am
A	libpanel-applet/panel-applet-bindings.c
A	libpanel-applet/panel-applet-bindings.h
M	libpanel-applet/panel-applet.c

commit 4654237e4b2b925e2138e6c9f76f0861896b8f52
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-22

    panel: Show panel context menu only if mouse button modifier is
    pressed

    In the same way we only allow moving the panel when a mouse button
    modifier is used (like in metacity), we only display context menu
    of the
    panel (which are used to edit it) when the modifier is pressed.

    The default setting is Alt.

M	gnome-panel/gnome-desktop-item-edit.c
M	gnome-panel/panel-util.c
M	gnome-panel/panel-util.h
M	gnome-panel/panel.c

commit 3d3a06399a8290a351cce5230eee626acaab89d3
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-22

    panel: Move popup-discovery code to panel-util.c

M	gnome-panel/applet.c
M	gnome-panel/gnome-desktop-item-edit.c
M	gnome-panel/panel-util.c
M	gnome-panel/panel-util.h

commit 36ae32d34ee09f4ca2d78365de6fed5210586ece
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-22

    panel: Do not use a custom position for Edit menu of objects

    Using the default positioning algorithm makes the difference
    between the
    two menus more visible.

M	gnome-panel/applet.c

commit 4b30e4e8376a2fa0a194c3694fdde87b039a6f03
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-22

    panel: Make edit actions of panel objects a second different
    popup menu

    In the same way we only allow moving the panel when a mouse button
    modifier is used (like in metacity), we only display "edit" actions of
    panel objects when the modifier is pressed too.

    This means a menu with "Remove"/"Move"/"Lock" options is displayed
    only
    when Alt (default setting) is pressed. When this is not the case, the
    action menu from the object is displayed instead.

M	gnome-panel/applet.c
M	gnome-panel/applet.h
M	gnome-panel/panel-context-menu.c

commit b78aca5ab6cac112835043a04988241e74cffaa8
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-22

    na: Set tray colors based on the ones set in the theme

    Loosely based on patch by William Jon McCann <jmccann@redhat.com>.

    https://bugzilla.gnome.org/show_bug.cgi?id=614711

M	applets/notification_area/main.c

commit 054d2bdbadb86a09e1742eb0a77b1df464e09bda
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-22

    panel: Make it possible to show icon in menu bar, with theme

    With "-PanelMenuBar-icon-visible: true;" set for PanelMenuBar, the
    menubar icon is displayed.

M	gnome-panel/panel-menu-bar.c
M	gnome-panel/panel-stock-icons.h

commit e5a7947b25ae2c0aee0fca0c4734db790b978acc
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-22

    panel: Fix warning

M	gnome-panel/panel-applet-frame.c

commit 8261b19d008b92ab614ca6e3797b65ca125cec34
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-22

    panel: Fix issue with context menu

M	gnome-panel/panel-context-menu.c

commit 325c5ea6086c80f37dc4d9bc33ce7ca2acc03d79
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-22

    fish: Remove help and about from fish applet

M	applets/fish/fish-menu.xml
M	applets/fish/fish.c

commit 6c6c3def3a049971faaf95a0e0b634d5aaf376d0
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-22

    wncklet: Do not setup applet menu since we have no item anymore

    Also remove unused wncklet_display_about().

M	applets/wncklet/Makefile.am
D	applets/wncklet/showdesktop-menu.xml
M	applets/wncklet/showdesktop.c
M	applets/wncklet/window-list.c
D	applets/wncklet/window-menu-menu.xml
M	applets/wncklet/window-menu.c
M	applets/wncklet/wncklet.c
M	applets/wncklet/wncklet.h
M	applets/wncklet/workspace-switcher.c

commit 844a82afd23b9f4e1b432cdfecf06853f5716bcd
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-22

    na: Do not setup applet menu since we have no item anymore

M	applets/notification_area/Makefile.am
M	applets/notification_area/main.c
D	applets/notification_area/notification-area-menu.xml

commit 65732214859cbd53892d078d5cbc736e17fb8945
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-22

    Revert "Don't show handles on locked and unmovable applets"

    This reverts commit 5e22739b7f79f26bf8a604920a6d0158e664a5d9.

    We want to go there, but we're not ready yet. We first need an
    alternative way to reach applet prefs when they need handles for that.

M	gnome-panel/panel-applet-frame.c

commit d82ae61d00638599bddc7d1e293268a6d9e147ab
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-22

    Revert "Lockdown the panels by default"

    This reverts commit c1b03dccbc6b64aa40b0221423b016a45784f3a0.

    This is broken: applets get locked down too, which means users can't
    change applet settings anymore.

M	gnome-panel/panel-global.schemas.in

commit 9037cb037a4c455a079d9e4e1cce6a8c538c3f26
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-22

    Revert "Make bottom panel autohide by default"

    This reverts commit a122df12297539b1d035a3663bbeeb8af4baff2e.

    Need more discussion: hidden panels are hard to find for some people.

M	gnome-panel/panel-default-setup.entries

commit 667d4da5ad4f730de3c12534ec42abbac44907f2
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-22

    Revert "Pass the style colors along to the notification tray"

    This reverts commit ab27257717b024af7ce44b935b4199b7e42a060e.

    Not done the right way: we're diverging from gnome-shell here. I've
    done
    it the right way.

M	applets/notification_area/main.c
M	applets/notification_area/na-tray-manager.c
M	applets/notification_area/na-tray-manager.h
M	applets/notification_area/na-tray.c
M	applets/notification_area/na-tray.h

commit b1140b6868f40b0d8e0ad775b29e3217dd6e424f
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-22

    Revert "Don't use tooltips on the main menu bar"

    This reverts commit 0d164d88cbc281c8856863bc4a6db96ee18d5c44.

    If we want to do this, we should do this for more than just the
    menubar.
    I'd think adding a style property for this could make sense.

M	gnome-panel/panel-menu-bar.c

commit 69940432a8dda5471d2bfe4854a226686a42bfbe
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-22

    Revert "Remove Help item from menubar right click"

    This reverts commit 6a2dcc1fa81d52f16d371fd4b4336a439214c41b.

    I happen to disagree with this one; see comment in one of my later
    commits.

M	gnome-panel/panel-menu-bar.c

commit 0dc83b3e3341d845cec1bfd8875a09c7b5d9e3e1
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-22

    Revert "Don't show edit menus item if locked down"

    This reverts commit 69c8ba71ada41087cac54b27ac2a7faba3fe73dd.

    This is broken; I'll redo it properly to handle gconf changes.

M	gnome-panel/panel-menu-bar.c

commit 81128f6a16b94f41cb30bc80aa553cbe937f7720
Author: Runa Bhattacharjee <runab@redhat.com>
Date:	2011-02-22

    Updated Bengali India Translation

M	po/bn_IN.po

commit 69c8ba71ada41087cac54b27ac2a7faba3fe73dd
Author: William Jon McCann <jmccann@redhat.com>
Date:	2011-02-18

    Don't show edit menus item if locked down

M	gnome-panel/panel-menu-bar.c

commit 6a2dcc1fa81d52f16d371fd4b4336a439214c41b
Author: William Jon McCann <jmccann@redhat.com>
Date:	2011-02-18

    Remove Help item from menubar right click

M	gnome-panel/panel-menu-bar.c

commit 0d164d88cbc281c8856863bc4a6db96ee18d5c44
Author: William Jon McCann <jmccann@redhat.com>
Date:	2011-02-18

    Don't use tooltips on the main menu bar

M	gnome-panel/panel-menu-bar.c

commit ab27257717b024af7ce44b935b4199b7e42a060e
Author: William Jon McCann <jmccann@redhat.com>
Date:	2011-02-17

    Pass the style colors along to the notification tray

    https://bugzilla.gnome.org/show_bug.cgi?id=631553

M	applets/notification_area/main.c
M	applets/notification_area/na-tray-manager.c
M	applets/notification_area/na-tray-manager.h
M	applets/notification_area/na-tray.c
M	applets/notification_area/na-tray.h

commit a122df12297539b1d035a3663bbeeb8af4baff2e
Author: William Jon McCann <jmccann@redhat.com>
Date:	2011-02-16

    Make bottom panel autohide by default

    https://bugzilla.gnome.org/show_bug.cgi?id=631553

M	gnome-panel/panel-default-setup.entries

commit c1b03dccbc6b64aa40b0221423b016a45784f3a0
Author: William Jon McCann <jmccann@redhat.com>
Date:	2011-02-16

    Lockdown the panels by default

    https://bugzilla.gnome.org/show_bug.cgi?id=631553

M	gnome-panel/panel-global.schemas.in

commit a1d6215fc7371e200f928db8d57c092362cf3c98
Author: William Jon McCann <jmccann@redhat.com>
Date:	2011-02-16

    Remove help and about from panel context menus

    https://bugzilla.gnome.org/show_bug.cgi?id=631553

M	gnome-panel/panel-context-menu.c
M	gnome-panel/panel.c

commit 5e22739b7f79f26bf8a604920a6d0158e664a5d9
Author: William Jon McCann <jmccann@redhat.com>
Date:	2011-02-16

    Don't show handles on locked and unmovable applets

    https://bugzilla.gnome.org/show_bug.cgi?id=631553

M	gnome-panel/panel-applet-frame.c

commit ad0d5f54100b1f3685f2535a668084f05ca4e6ae
Author: William Jon McCann <jmccann@redhat.com>
Date:	2011-02-16

    Make clock bold

    https://bugzilla.gnome.org/show_bug.cgi?id=631553

M	applets/clock/clock.c

commit 58e5485b67d94cc303245274a1845418291dca97
Author: William Jon McCann <jmccann@redhat.com>
Date:	2011-02-16

    Remove help and about from wncklet applets

    https://bugzilla.gnome.org/show_bug.cgi?id=631553

M	applets/wncklet/showdesktop-menu.xml
M	applets/wncklet/showdesktop.c
M	applets/wncklet/window-list-menu.xml
M	applets/wncklet/window-list.c
M	applets/wncklet/window-menu-menu.xml
M	applets/wncklet/window-menu.c
M	applets/wncklet/workspace-switcher-menu.xml
M	applets/wncklet/workspace-switcher.c

commit 11b1f376af279b8d056e8af142cf33ebd3745933
Author: William Jon McCann <jmccann@redhat.com>
Date:	2011-02-16

    Remove help and about from clock applet

    https://bugzilla.gnome.org/show_bug.cgi?id=631553

M	applets/clock/clock-menu.xml
M	applets/clock/clock.c

commit 6bef1698cf8f62953c707d0a2168437dd9424a69
Author: William Jon McCann <jmccann@redhat.com>
Date:	2011-02-16

    Remove help and about from notification area

    https://bugzilla.gnome.org/show_bug.cgi?id=631553

M	applets/notification_area/main.c
M	applets/notification_area/notification-area-menu.xml

commit 84a149fd8d5893ae3847a979475b32130280e088
Author: William Jon McCann <jmccann@redhat.com>
Date:	2011-02-16

    Boldify menubar labels in top panel

    https://bugzilla.gnome.org/show_bug.cgi?id=631553

M	gnome-panel/panel-menu-bar.c

commit fbaf96b23e41eb533f70b253a00db72fd4751aff
Author: William Jon McCann <jmccann@redhat.com>
Date:	2011-02-16

    Remove show desktop applet from bottom panel

    https://bugzilla.gnome.org/show_bug.cgi?id=631553

M	gnome-panel/panel-default-setup.entries

commit f1dbe38871c978554ed8d4b974e7c61e3ae55ccc
Author: William Jon McCann <jmccann@redhat.com>
Date:	2011-02-16

    Remove the the window menu from top panel by default

    https://bugzilla.gnome.org/show_bug.cgi?id=631553

M	gnome-panel/panel-default-setup.entries

commit ce51a330157d27b14dc832b7b1cecd49c5b66fbd
Author: William Jon McCann <jmccann@redhat.com>
Date:	2011-02-16

    Remove launchers from top panel by default

    https://bugzilla.gnome.org/show_bug.cgi?id=631553

M	gnome-panel/panel-default-setup.entries

commit 14e5f2d5f485915cf64f9835fdaeb54ec33c2e6a
Author: William Jon McCann <jmccann@redhat.com>
Date:	2011-02-16

    Drop icon from Applications menu item

    https://bugzilla.gnome.org/show_bug.cgi?id=631553

M	gnome-panel/panel-menu-bar.c
M	gnome-panel/panel-stock-icons.c
M	gnome-panel/panel-stock-icons.h

commit 87f744b1f95c9fd4f438cbb011abd0e401057874
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-02-20

    Updated Spanish translation

M	help/clock/es/es.po

commit 3160b5557c6982ca347bd9b8eecf40e473ca588f
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-02-19

    Updated Norwegian bokmål translation.

M	po/nb.po

commit b130f26195efba8a1c3f8bd40f34ed45563635b7
Author: Magnus E <koma@lysator.liu.se>
Date:	2011-02-19

    clock: Open evo with right date when clicking on calendar

    https://bugzilla.gnome.org/show_bug.cgi?id=642603

M	applets/clock/calendar-window.c

commit 06c2ed8c90d481586054960efabcf2cb2f79b78f
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-01

    panel: Fix dbus applets to work in multiscreen environment

    When the applet is created, the frame itself is not yet added to a
    widget hierarchy, and is therefore not associated with any
    screen. So we
    always sent the default screen as the one to be used to the applet.

    We can simply use the screen of the PanelWidget that will contain the
    applet instead.

    https://bugzilla.gnome.org/show_bug.cgi?id=632369

M	gnome-panel/libpanel-applet-private/panel-applet-container.c
M	gnome-panel/libpanel-applet-private/panel-applet-container.h
M	gnome-panel/libpanel-applet-private/panel-applet-frame-dbus.c
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-applet-frame.h
M	gnome-panel/panel-test-applets.c

commit d8c4aa5a499a5ac3732337d6b13b8fd8d17dda62
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2011-02-17

    Updated Gujarati Translations & Added LINGUAS

M	po/gu.po

commit 73ed5c430371644a11b1421f77e04baafb4c40ea
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2011-02-16

    Updated Bulgarian translation

M	po/bg.po

commit dd0f9ea1df4135f6d81e653cfa41cd638e26e9fe
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-02-13

    Updated Galician translations

M	po/gl.po

commit 5ba208ded410db5b48800c85efe980ab404e594e
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:	2011-02-12

    Updated Indonesian translation

M	po/id.po

commit 76ba346f2712b339d9302e59d5c721b78912e2e3
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:	2011-02-11

    Updated Dutch translation by Wouter Bolsterlee

M	po/nl.po

commit cda7d96e13edd9ca8539b303d77d79ddffca5a1f
Author: Dan Winship <danw@gnome.org>
Date:	2011-02-07

    na: copy a fix from gnome-shell

    gdk_window_set_background_pattern()'s behavior has changed; use cairo
    drawing functions instead.

    https://bugzilla.gnome.org/show_bug.cgi?id=614711

M	applets/notification_area/na-tray-child.c

commit 6f9a60b4b810f224b31a5c0ffca4792a107a6d6d
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-02-06

    Updated Norwegian bokmål translation.

M	po/nb.po

commit fb81799ec9b60e246c5954eb69fe2625e13dd080
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2011-02-05

    [l10n] Updated German translation

M	po/de.po

commit 406c83bf4f8725a2ba31ae6eb6c9474aa5df9860
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-04

    build: Add ${ACLOCAL_FLAGS} to ACLOCAL_AMFLAGS

    This is used by gnome-autogen.sh, and we need it when aclocal.m4 is
    to be rebuilt by make, to avoid losing some aclocal paths.

M	Makefile.am

commit 09a5b73b4920f79c9f94eb53e1d3895b83773a16
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-04

    panel: Stop using magic append functions to create menu items

    We really want to have the widgets and add them ourselves, since this
    will enable us to do nice things later on with the widgets
    (g_settings_bind(), eg).

M	gnome-panel/panel-menu-items.c

commit c1cf8851bd7cb952c4497cc12476a8156a0697f2
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2011-02-04

    Updated Hebrew translation.

M	po/he.po

commit 0648b894ebebb3cc386daa855ec6d6bbca931453
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2011-02-04

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 8a8c60f1d7e66d2479019be2e3d3a227c9bbb3f4
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-03

    wncklet: Remove switching workspace on scroll events

    This is now done by WnckPager itself.

M	applets/wncklet/workspace-switcher.c

commit f0f91805a1e39543487cfe67dfc47129e45e76f3
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-02

    fish: Free the fish! (Fix wrong size allocation)

    There was an issue where Wanda appeared as a thin line. The reason is
    that calling gtk_widget_set_size_request() in a size_allocate()
    handler
    doesn't work. So use an idle function for this.

    Also, only call gtk_widget_set_size_request() if really needed.

M	applets/fish/fish.c
M	gnome-panel/libpanel-util/panel-error.c
M	gnome-panel/nothing.cP
M	gnome-panel/nothing.h
M	gnome-panel/panel-properties-dialog.c
M	gnome-panel/panel-run-dialog.c
M	gnome-panel/panel-util.c
M	icons/Makefile.am
D	icons/gnome-gegl2-2.png
D	icons/gnome-gegl2.png
M	po/POTFILES.in

commit 35be535c63748a24ed6bbfa391bb261feb55f2d1
Author: A S Alam <aalam@users.sf.net>
Date:	2011-02-03

    update Punjabi Translation by A S Alam

M	po/pa.po

commit 6f282652ede1f80b6649765cf82c1ee667b39aee
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2011-02-02

    Updated Arabic translation

M	po/ar.po

commit c3574c18524f03587af8b65c038bde90a3f7ce1f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2011-02-02

    Updated Spanish translation

M	po/es.po

commit c42823abd4c94a4e43fcb4b3919091d97da2e68a
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-02

    release: post-release bump to 2.91.90

M	configure.ac

commit e76e3f7c71f66d9851065c7325f7fbef4351ac16
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-02

    release: 2.91.6

M	NEWS
M	configure.ac

commit 6966dac262561076b29f7ca14f76268fecfdf760
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-02

    build: Fix distcheck

    Overriding input files with AC_CONFIG_FILES does not play well with
    distcheck, apparently.

M	configure.ac
R100	libpanel-applet/libpanelapplet-uninstalled.pc.in
libpanel-applet/libpanelapplet-4.0-uninstalled.pc.in
R100	libpanel-applet/libpanelapplet.pc.in
libpanel-applet/libpanelapplet-4.0.pc.in

commit 1bded9e6b48f08df12a3ce5422d4e5ca7b2dbe78
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-02

    build: Require gtk+ 2.99.3

    With all the API changes in GTK+, it's just safer this way.

M	configure.ac

commit aebca052ec7dac896e406ad0018c907783070104
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-02

    libpanel-applet: Drop usage of GdkNativeWindow

    It got removed from gtk+ 3.

    https://bugzilla.gnome.org/show_bug.cgi?id=641199

M	libpanel-applet/panel-applet.c

commit c0aec6f4a6a896fe95ab02a114fe5224eadb261c
Author: Dan Winship <danw@gnome.org>
Date:	2011-02-01

    na: add support for _NET_SYSTEM_TRAY_COLORS

    This adds support for setting _NET_SYSTEM_TRAY_COLORS value, but does
    not include a call to set it to match the theme/panel colors.

    https://bugzilla.gnome.org/show_bug.cgi?id=614711

M	applets/notification_area/na-tray-manager.c
M	applets/notification_area/na-tray-manager.h
M	applets/notification_area/na-tray.c
M	applets/notification_area/na-tray.h

commit 63aefb2f33ba1815607c0cc015b449c9e054074f
Author: Dan Winship <danw@gnome.org>
Date:	2011-02-01

    na: warn if trying to set tray properties before realizing

    Previously, na_tray_manager_set_orientation_property() and
    na_tray_manager_set_visual_property() would silently no-op if you
    called them before realizing the tray. Make them g_return_if_fail()
    instead.

    https://bugzilla.gnome.org/show_bug.cgi?id=614711

M	applets/notification_area/na-tray-manager.c

commit 1540c6b2e80f9dc94fd26a4350f043473e5bcb08
Author: Dan Winship <danw@gnome.org>
Date:	2011-02-01

    na: remove unneeded includes

    gnome-panel and gnome-shell differed as to whether these files should
    include g18n.h or g18n-lib.h, but there are no translated strings in
    them anyway, so it doesn't matter.

    https://bugzilla.gnome.org/show_bug.cgi?id=614711

M	applets/notification_area/na-tray-child.c
M	applets/notification_area/na-tray-manager.c

commit 88b9beeb8ab69072fe6912af33c620143d17b0a3
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-01

    libpanel-applet: Fix crashes in applets on background changes

    We could return a random value from
    panel_applet_get_pattern_from_pixmap(), and that was very nasty.

M	libpanel-applet/panel-applet.c

commit 525549011ace18d7cbb233bee8d62bd8d70832c1
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-01

    fish, wncklet: Remove has-separator property from GtkBuilder files

    This property is gone, really.

M	applets/fish/fish.ui
M	applets/wncklet/window-list.ui
M	applets/wncklet/workspace-switcher.ui

commit de10b50e7934df38c375a2ae33f99d734db571a3
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-01

    clock: Use a lighter color to draw the outline of the map

M	applets/clock/clock-map.c

commit e870aaa4fa1d0ad2702f60fa53c52031634d0165
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-01

    panel: Fix ButtonWidget appearing as a thin line on creation

    It makes no sense to use the size of the icon to tell GTK+ about our
    preferred width/height: what we really care about is the size of our
    parent, since we're filling it anyway.

M	gnome-panel/button-widget.c

commit 3ca84e0b7bad51f7ab2003d3e3a5ef96025fc367
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-01

    panel: Support adding launchers (and menu buttons) from gnomecc.menu

    Even though we don't want to expose the control center menu by
    default,
    some advanced users might want to add launchers for some specific
    control center panels, so support this in the Addto dialog. Note that,
    like in the gnome-control-center shell, we do not display entries that
    are directly at the root level of gnomecc.menu.

    This also means we can have gnomecc: menu buttons, so support this.

M	gnome-panel/panel-addto.c
M	gnome-panel/panel-menu-button.c

commit 5a661d79dab91a24de783094e0a9077dbacecfbb
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-01

    panel: Migrate settings: menu buttons to gnome-control-center launcher

    Since we don't use a menu structure for the capplets, it makes
    no sense
    to keep supporting the settings: menu buttons.

    This is based on 15dae2739023ba5da982520ef089618fe36be6e9 (which was
    reverted in ee28fd5510514f0061722d09e9ef6757f81a4562): we already did
    that a few years ago :-)

M	gnome-panel/panel-compatibility.c
M	gnome-panel/panel-compatibility.h
M	gnome-panel/panel-menu-button.c

commit bead7c5c222d8c161d9409ff3ae8b481c895ad9d
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-01

    panel: Stop using gdk_display_add_client_message_filter()

    We were already ready to use gdk_window_add_filter() anyway.

    Also, double-check that the events are sent on root windows before
    accepting them.

M	gnome-panel/panel-action-protocol.c

commit 8ff843458425d525b10fc5d9b7bb357248c637c8
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-01

    na: Fix handling of SYSTEM_TRAY_CANCEL_MESSAGE

    We were not looking at the right field for the message ID: the ID
    is in
    the 4th field for BEGIN_MESSAGE, but 2nd field for CANCEL_MESSAGE.

M	applets/notification_area/na-tray-manager.c

commit c09ad34c379be17dbac79640b15a2c9f782ec009
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-01

    na: Stop using gdk_display_add_client_message_filter()

    It just got removed in GTK+ 3, and we actually don't need it since we
    look for ClientMessage in na_tray_manager_window_filter() anyway.

M	applets/notification_area/na-tray-manager.c
M	applets/notification_area/na-tray-manager.h

commit de38836779962b3da4ea6a2513ee84cc2f65a86c
Author: Ivar Smolin <okul@linux.ee>
Date:	2011-02-01

    [l10n] Updated Estonian translation

M	po/et.po

commit 4ca833f219316852459a5a77502803e1fc935c8d
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-01

    clock: Drop the Set Time dialog

    Instead, start the datetime panel in the control center when
    clicking on
    "Time Settings" button.

M	applets/clock/clock.c
M	applets/clock/clock.ui

commit f4257092eda9b2aad9fdc2a1c0e38d754b6ff46d
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-02-01

    Updating Galician translations

M	po/gl.po

commit 6c3d90e7a4cfdcddb1b0966262975724893d904e
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-01

    panel: Do not show settings.menu in System menu, but just g-c-c

    We don't use a menu structure anymore for the control center, so just
    display the gnome-control-center launcher in System menu.

M	gnome-panel/panel-menu-items.c

commit 0d85b88b5b7d2a798cb1d9cb6dd45e43a7bc8b51
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-01

    panel: Remove About GNOME menu item

    GNOME About is dead.

M	gnome-panel/panel-menu-items.c

commit 08fb6ef9c9e9290a8e8172a2e98ee1b688d203b6
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-01

    clock: Show appointments from local/mapi eds providers

    Thanks to Milan Crha <mcrha@redhat.com> and Kåre Fiedler
    Chrisitiansen
    <gnome@kaarefc.dk>.

    https://bugzilla.gnome.org/show_bug.cgi?id=633566

M	applets/clock/calendar-window.c

commit d01c8c37e290c3ffd47098e5781229d6c899ae4d
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-01

    panel: Create better launchers for home/trash/computer/network on dnd

    Instead of creating URI launchers with ugly name/comments, we can use
    the same mechanism as the one we use for x-nautilus-desktop drops.

M	gnome-panel/panel.c

commit f4485defc7352d89a7a901b2b4ffcfe1a57dba42
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-11

    panel: Don't create launchers on DnD using nautilus desktop files

    As they're going away for 3.0.

    https://bugzilla.gnome.org/show_bug.cgi?id=639234

M	gnome-panel/panel.c

commit 09273fc30dfcb815f9856e8c473136810a53e0e1
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-01-11

    panel: Don't rely on nautilus desktop files, as they're going away

    https://bugzilla.gnome.org/show_bug.cgi?id=639234

M	gnome-panel/panel-menu-items.c

commit 1f772850d0f38fe4847e0d7b9633d2dcbaa7bc96
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-01

    bonobo: Drop this, it will be moved to a new module if maintained

    With the gtk3 branch merged in, it makes no sense to keep the bonobo
    support in the gnome-panel module itself.

    It's worth keeping the bonobo support in some way, I believe, but it
    should be in an external module. Note that some work is needed:
    we need
    a small server that would sit between gnome-panel and the bonobo
    applets
    to make sure that the gnome-panel process doesn't use gtk+ 2.x at all.

M	Makefile.am
D	bonobo/Makefile.am
D	bonobo/idl/GNOME_Panel.idl
D	bonobo/idl/Makefile.am
D	bonobo/libpanel-applet/GNOME_Panel_TestApplet.server.in
D	bonobo/libpanel-applet/Makefile.am
D	bonobo/libpanel-applet/TODO
D	bonobo/libpanel-applet/libpanelapplet-2.0-uninstalled.pc.in
D	bonobo/libpanel-applet/libpanelapplet-2.0.pc.in
D	bonobo/libpanel-applet/panel-applet-gconf.c
D	bonobo/libpanel-applet/panel-applet-gconf.h
D	bonobo/libpanel-applet/panel-applet-marshal.list
D	bonobo/libpanel-applet/panel-applet-private.h
D	bonobo/libpanel-applet/panel-applet-shell.c
D	bonobo/libpanel-applet/panel-applet-shell.h
D	bonobo/libpanel-applet/panel-applet.c
D	bonobo/libpanel-applet/panel-applet.h
D	bonobo/libpanel-applet/panel-test-applets-bonobo.c
D	bonobo/libpanel-applet/panel-test-applets-bonobo.ui
D	bonobo/libpanel-applet/test-bonobo-applet.c
D	bonobo/panel-module/GNOME_Panel_Popup.xml
D	bonobo/panel-module/Makefile.am
D	bonobo/panel-module/panel-applet-frame-bonobo.c
D	bonobo/panel-module/panel-applet-frame-bonobo.h
D	bonobo/panel-module/panel-applets-bonobo-module.c
D	bonobo/panel-module/panel-applets-manager-bonobo.c
D	bonobo/panel-module/panel-applets-manager-bonobo.h
M	configure.ac
M	po/POTFILES.in

commit 4d98bcf724b83846e9457d55bc8d2c51a36f46e2
Merge: a7d21dc cef832d
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-01

    Merge branch 'gtk3'

    Conflicts:
	applets/notification_area/Makefile.am
	configure.ac

commit cef832d3729250af58477833408efd6ebddc1171
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-01

    panel, libpanel-applet: Cleanup the background code a bit

    Explicitly check for CAIRO_STATUS_SUCCESS return value after calls to
    cairo_pattern_get_surface() and cairo_surface_status().

    Make the utility functions to set background on a widget a bit more
    useful, and document some tricks I learnt by playing with things:
    calling gtk_style_context_add_provider() again instead of just once is
    the right thing to do, else it doesn't work well.

    Drop trivial functions, and variables that track a state that we don't
    care about.

M	gnome-panel/panel-background.c
M	gnome-panel/panel-background.h
M	libpanel-applet/panel-applet.c

commit d9f9948a9bf5389250c52e770c1c80c17e655c08
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-01

    panel: Don't query screen depth when we don't need it when drawing
    zoom

M	gnome-panel/xstuff.c

commit c8d23ed1ba6e66c04807b0594133977b9d6235fc
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-01

    misc: Small code cleanups

M	applets/clock/clock-face.c
M	applets/wncklet/workspace-switcher.c
M	gnome-panel/libpanel-applet-private/panel-applet-container.c
M	gnome-panel/menu.c
M	gnome-panel/panel-widget.c

commit 8a942d16378f62015f302357e0e5b6f61b5713b3
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-01

    panel: focus-line-width is not needed when drawing ButtonWidget

M	gnome-panel/button-widget.c

commit c16ff67569010856b444b0f60cc9a06a49d703a4
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-01

    build: Fix a path to use $(top_srcdir)

M	bonobo/libpanel-applet/Makefile.am

commit a74630d75c521ffa241e1afe3b186bce66f7c38a
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-01-31

    panel: Do not overwrite opacity on gconf change notification for color

    Yes, we save rgba, and we still keep opacity in a different key. We're
    amazing.

M	gnome-panel/panel-profile.c

commit 70b5d9e57451dff3a25b3fbcc8dec671cac469cb
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-01-31

    panel, clock: Synchronize calculate_minimum_height() code

    Also change the panel version to use the padding instead of the
    border.
    We're interested in the padding here. I believe.

M	applets/clock/clock.c
M	gnome-panel/panel-toplevel.c

commit 412ac2e4fa6a19c454b7046b9f57b9622a7b97d0
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-01-31

    panel: Add panel_run_dialog_get_combo_text() helper

    Instead of writing some long line again and again, use a small helper.

M	gnome-panel/panel-run-dialog.c

commit ac5c8c291a801fd7f7ba133b11740c350ea8a0e3
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-01-31

    panel: Do not unref GAppInfo if there was an error when creating it

    Also move some code around in the function.

M	gnome-panel/panel-action-button.c

commit f56a0964159e4776c60f05cb47a96fc092bb5e02
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-01-31

    fish: Save Wanda a bit more

    Use draw instead of expose-event.
    Use gtk_widget_set_size_request() on the drawing area, instead of
    connecting to the size-request signal that doesn't exist anymore.

M	applets/fish/fish.c

commit 4729df0cda021c27b76be072023dbee082e49e47
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-01-31

    clock: Do not try to get width/height of non-existing GdkPixbuf

M	applets/clock/clock-map.c

commit 777b913142e61378e60c217c7c609e181202704c
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-01-31

    na: Move creating of GtkBox for NaTray

    Do it in init() instead of constructor(), for consistency. It
    shouldn't
    matter much, really.

M	applets/notification_area/na-tray.c

commit 74b4a5232480f62bb72234367a4cc80ace13d518
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-01-31

    panel: Use gnome_bg_get_surface_from_root() from libgnome-desktop

    The code was duplicated in the background monitor.

    Also, fix a bug where cairo_image_surface_get_width() was used instead
    of cairo_xlib_surface_get_width().

M	gnome-panel/Makefile.am
M	gnome-panel/panel-background-monitor.c
M	gnome-panel/panel-run-dialog.c

commit be822666a99680e5cd34c02ad2e35bea81f4a7d8
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-01-31

    panel: Draw the separator line where it should

    The calculation wasn't done right. At least, I think so :-)
    Also cleanup a bit some code in the file.

M	gnome-panel/panel-separator.c

commit d376b00a0a5856b3d5eb20a7dc1b39440d2f3938
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-01-31

    panel: Explicitly check return value of cairo_surface_status()

    Do not assume that CAIRO_STATUS_SUCCESS == 0. This clarifies the code.

M	gnome-panel/panel-background.c

commit 1def05b1b87adf59769d5758f3f1a672b402ad01
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-01-31

    panel: Fix changing background color having side-effect on opacity

    We were just losing the opacity setting. When the color or the opacity
    is changed, base the new RGBA setting on the old setting so we don't
    lose the previous state.

M	gnome-panel/panel-properties-dialog.c

commit 7230bad1c3bf2623d7fe2922422758ce56c95b16
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-01-31

    panel: Do not link the custom CSS for PanelMenuBar to one screen only

    Instead of calling gtk_style_context_add_provider_for_screen() in the
    class init method (where we don't have a widget), call
    gtk_style_context_add_provider in object init method.

M	gnome-panel/panel-menu-bar.c

commit 80e550d7c8b424c1c7a6fd9793fd5183d95c473a
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-01-31

    panel: Remove has_separator properties from GtkBuilder files

    This property doesn't exist anymore in GTK+ 3.

M	gnome-panel/panel-properties-dialog.ui
M	gnome-panel/panel-run-dialog.ui
M	gnome-panel/panel-test-applets.ui

commit 2e0bff49bbe76b037dc5606b578cb166aa7d217c
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-01-31

    panel: Update smclient code from libegg

M	gnome-panel/libegg/eggdesktopfile.c
M	gnome-panel/libegg/eggdesktopfile.h
M	gnome-panel/libegg/eggsmclient-private.h
M	gnome-panel/libegg/eggsmclient-xsmp.c

commit f05130552f28011aac5c79e5c9f01c08d81bc5d0
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-01-31

    build: Reset libtool versioning to 0

    We changed the library name so we can reset.

M	configure.ac

commit 2adbcc5308577d864b09062a3343b9f8dbcdcd7f
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-01-31

    na: Synchronize code with gnome-shell

    The code is not exactly the same, but it's close enough now.

M	applets/notification_area/na-tray-child.c
M	applets/notification_area/na-tray-manager.c

commit ba232b6260caa64d5e0962973ad09312dbf2e6f2
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-01-31

    build: Do not redefine where .panel-applet files get installed

    We have a variable from the configure script for this.

M	applets/clock/Makefile.am
M	applets/fish/Makefile.am
M	applets/notification_area/Makefile.am
M	applets/wncklet/Makefile.am

commit beb8d95da743086f42ae9ddc74d88419188de6c4
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-01-31

    all: Small code beautification for gtk_css_provider_load_from_data()

    Put closing bracket on its own line.

M	applets/clock/clock.c
M	applets/notification_area/main.c
M	applets/wncklet/showdesktop.c
M	applets/wncklet/window-menu.c
M	gnome-panel/panel-menu-bar.c

commit 6ffeb295bd712342483a5404987f5a2b2b1c59dc
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-01-31

    gir: Require g-i 0.9.5 and stop using deprecated --strip-prefix option

    We can now use --identifier-prefix and --symbol-prefix with
    g-ir-scanner.

M	configure.ac
M	libpanel-applet/Makefile.am

commit c45e8043dc107a7dff1c7eb46074f6d85724ad13
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-01-31

    libpanel-applet: Add libpanel_applet_dir variable in
    libbpanelapplet.pc

    This makes it easier for applet developers to know where to install
    the
    .panel-applet files.

M	configure.ac
M	libpanel-applet/libpanelapplet.pc.in

commit 09fa68b0b4d9ae185ad0ac703cbaafe9eb052124
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-01-31

    panel: Drop gnome-panelrc

    It was deprecated already, and it won't work with GTK+ 3 anyway.

M	gnome-panel/Makefile.am
D	gnome-panel/gnome-panelrc

commit 0d882c64ee081aa4427d0359d560b824b40e9d92
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-31

    Revert "wnck: Fix arguments for wnck_pager_new and wnck_tasklist_new"

    This reverts commit f3559e74f98d3935a732f454fedee2c4ad25dc9f.

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	applets/wncklet/window-list.c
M	applets/wncklet/workspace-switcher.c

commit 19cf39616bcd34a9117ed8fc76c5e4585f05a122
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-30

    fish: Restored Wanda to the build system

    So long, and thanks for all the fish.

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	applets/Makefile.am
M	applets/fish/Makefile.am

commit db3941743dad49675f79124980e6b09771ba79b1
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-30

    fish: Port to g_spawn_async_with_pipes()

    Port gdk_spawn_on_screen_with_pipes() to
    g_spawn_async_with_pipes()

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	applets/fish/fish.c

commit 25825f544c217228ea5ea499decc922951d5903c
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-30

    fish: Removed deprecated gtk_dialog_set_has_separator

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	applets/fish/fish.c

commit 06ba8baca99792601715a0fdc6f04811f66fa4af
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-30

    fish: Removed unused and deprecated variables/functions

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	applets/fish/fish.c

commit 609c7df3ae5119950371f77641519af72ae349ef
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-30

    God save the fish!

    Initial port of fish applet (aka Wanda) to gtk3

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	applets/fish/fish.c

commit 7f9470c42ba1264667e8b4f916b3f157c6cd1e54
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-30

    calendar-window: Port 'size-request' signal

    Use gtk_widget_set_size_request() instead of handling
    "size-request" signal

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	applets/clock/calendar-window.c

commit f3559e74f98d3935a732f454fedee2c4ad25dc9f
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-30

    wnck: Fix arguments for wnck_pager_new and wnck_tasklist_new

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	applets/wncklet/window-list.c
M	applets/wncklet/workspace-switcher.c

commit 6f6bae0a710b1f6d8e3d13f4b4e8ec027637bd25
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-30

    Fix requirements for evolution-data-server and gnome-desktop

    Only libedataserverui has bumped to 3.0, libecal and
    evolution-data-server pc files are still 1.2.

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	configure.ac

commit 0a72d76b85d2cfe4ef535b8eb30a9d21f4549fbf
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-30

    calendar-window: Port to gtk_widget_get_preferred_size()

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	applets/clock/calendar-window.c

commit 692264bdc7e33f3e034506440191212c0f9787f6
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-30

    calendar-window: Port gdk_spawn_on_screen to g_spawn_async

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	applets/clock/calendar-window.c

commit c0ca282d06f0ed8a59f5ef5ff4e62b18291c9a05
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-01-31

    wncklet: Update after API change and single-include change in libwnck

M	applets/wncklet/Makefile.am
M	applets/wncklet/showdesktop.c
M	applets/wncklet/window-list.c
M	applets/wncklet/window-menu.c
M	applets/wncklet/wncklet.c
M	applets/wncklet/wncklet.h
M	applets/wncklet/workspace-switcher.c

commit 807eed08f5b1c71a3ce11b957e54a862884e5a2e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-30

    Fix the build with recent GTK+

M	applets/notification_area/na-tray-child.h
M	gnome-panel/libpanel-applet-private/panel-applet-container.c
M	gnome-panel/panel-widget.c
M	gnome-panel/panel.c
M	libpanel-applet/panel-applet.c

commit 6dae521ff187dcb2da1969ad017cf5b9e1bcb8f2
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-30

    showdesktop: Fix the size of the icon

M	applets/wncklet/showdesktop.c

commit d98b58770dec2f1434cb0acce487e85514ca9bb0
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-30

    clock: Check allocated size before creating the shadow pixbuf

    Fixes a runtime critical warning because it tried to create a 0 width
    pixbuf.

M	applets/clock/clock-map.c

commit 968d6127aabfb933daa5984861d590730bbe029b
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-30

    clock: Remove unused xid parameter of clock_location_make_current()

    It causes a crash when getting the xid of the window before the applet
    is realized. Checking if the applet is realized before calling
    get_window() would fix the issue, but since the xid parameter is not
    used anyway.

M	applets/clock/clock-location-tile.c
M	applets/clock/clock-location.c
M	applets/clock/clock-location.h
M	applets/clock/clock.c

commit 40391453286cce55039932d6dc3f741bb74e385f
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-30

    clock-map: Port to GtkStyleContext

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	applets/clock/clock-map.c

commit 2760d89026ea5cf5bf25a4b8ceaf9f6dd2651043
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-30

    force-quit: Port gdk_keyboard_grab()

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	gnome-panel/panel-force-quit.c

commit e0bf14009416f19484bd0431a85744db7d907eb9
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-30

    panel-toplevel: Port gdk_keyboard_grab()

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	gnome-panel/panel-toplevel.c

commit 434e491bc4a280037638fb828529856276de3512
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-29

    menu: Port gdk_keyboard_grab()

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	gnome-panel/menu.c

commit a7d21dc602ebc0f319df8f97d4424c99ad796a1d
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-29

    gnome-panel-desktop: Fix the Categories key

    gnome-panel is not an utility, it is part of the core.  Hence,
    the Categories reflects panel is part of System.

    https://bugzilla.gnome.org/show_bug.cgi?id=640690

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	gnome-panel/gnome-panel.desktop.in.in

commit 7eb79c3d2006d3d538da714dfdbf61e77fe62e1e
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-29

    gnome-panel-desktop: Fix the Categories key

    gnome-panel is not an utility, it is part of the core.  Hence,
    the Categories reflects panel is part of System.

    https://bugzilla.gnome.org/show_bug.cgi?id=640690

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	gnome-panel/gnome-panel.desktop.in.in

commit 7af044a7f3240329a7a5b053b361e62615216e4d
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-29

    force-quit: Use gdk_error_trap_pop_ignored() to fix compile warnings

    Use the new gdk_error_trap_pop_ignored() function instead of
    gdk_error_trap_pop() when there is no need of the returned
    value.

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	gnome-panel/panel-force-quit.c

commit d27ef4de9ba872e5afc5e60430c7a16549158f61
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-29

    showdesktop: Port gtk_widget_get_style to GtkStyleContext

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	applets/wncklet/showdesktop.c

commit 71c3290e3895b71be6bce0e909c4b414bd190b5e
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-29

    clock: Port gtk_rc_parse_string to GtkCssProvider

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	applets/clock/clock.c

commit c28ed51852a629884ce9ad8acc7924680c35854c
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-29

    clock: Port to GtkStyleContext

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	applets/clock/clock.c

commit 86bb94be4cd857fd726c46fd0bc621525688ddbb
Author: David Planella <david.planella@gmail.com>
Date:	2011-01-29

    Updated Catalan translation

M	po/ca.po

commit fc57c7931094aef9e82d16a8669f2d651736923a
Author: A S Alam <aalam@users.sf.net>
Date:	2011-01-29

    update Punjabi Translation by A S Alam

M	po/pa.po

commit 7ddb5260c2d5be4ea1a70d484a5a5a41058b7306
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-28

    panel-xutils: Use gdk_error_trap_pop_ignored() to fix compile warnings

M	gnome-panel/panel-xutils.c

commit 652a565205e7b0e93a22b460676dd8909eb5cc6c
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-28

    panel-background-monitor: Initialize pwidth and pheight when there's
    a monitor surface

M	gnome-panel/panel-background-monitor.c

commit 6f13318fa892afde6ff35b6784217121481e3963
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-28

    button-widget: Use gtk_widget_render_icon_pixbuf() instead of
    gtk_widget_render_icon()

M	gnome-panel/button-widget.c

commit d312f1e4f2b8a251ead9dc4263dfaf4776def6f9
Author: Mahyar Moghimi <mahyar.moqimi@gmail.com>
Date:	2011-01-28

    Updating Persian Translation

M	po/fa.po

commit 60cb9c798ed25868c1c07b73fa08aabbb5892d2c
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-27

    window-menu: Don't change selector style since it's already changed
    by libwnck

    Fixes window menu background in panels with transparency.

M	applets/wncklet/window-menu.c

commit a226c17989cfee355f6b6d423172203742d4a9ca
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-01-27

    QA of Galician translations

M	po/gl.po

commit fb1fa7ef2087b68fc7e7a01050e4c6747e8771e8
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-26

    showdesktop: Port to GtkStyleContext

M	applets/wncklet/showdesktop.c

commit 621169ef1c0a79a0ca4c23c06ce4c5ec64419f97
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:	2011-01-25

    Updated Dutch translation by Wouter Bolsterlee

M	po/nl.po

commit eab5174e71e705331c53482b7eecb56c1dc3ef6c
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-23

    window-menu: Use gtk_render_focus() instead of gtk_paint_focus()

M	applets/wncklet/window-menu.c

commit 6d390be628ce8fccbfee5c5cca4e240fa391cdda
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-23

    notification_area: Port to GtkStyleContext

M	applets/notification_area/fixedtip.c
M	applets/notification_area/main.c

commit 625b6979a25cd7c4b605cde785f2ab6928695dc9
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-23

    na-tray-child: Use cairo_paint() instead of cairo_fill() since
    there's no path to fill

M	applets/notification_area/na-tray-child.c

commit 9313543ecf3f8de10cb14977cd2eccd17e654968
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-23

    na-tray: Remove unneeded type NaBox

    GtkBox is not abstract anymore.

M	applets/notification_area/na-tray.c

commit edafe0cbdca84009b90a74f35ad226e017e0662e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-23

    na-tray: Set allocation to tray widget

    This makes the icons visible again since the clip region is not empty
    anymore.

M	applets/notification_area/na-tray.c

commit 07949e2b4c695d45c710ead42f284dac6b427176
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-22

    notification-area: Fix creation of tray child objects

    XGetWindowAttributes() returns 0 when it fails, we were comparing the
    result with "Sucess".

M	applets/notification_area/na-tray-child.c

commit 8211f19c2c331b1502694a03e1b5abfdc793b56b
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-22

    applet: Disconnect show and deactivate menu signals before destroying
    the applet menu

    Fixes crash while removing the menu bar or a drawer.
    https://bugzilla.gnome.org/show_bug.cgi?id=639029

M	gnome-panel/applet.c

commit 6b3833a484e086cfe21b8b8030ca1e0ebba3215e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-21

    panel-widget: Port to GtkStyleContext

    Use GdkRGBA for the default color in panel-background instead of
    GdkColor

M	gnome-panel/panel-background.c
M	gnome-panel/panel-background.h
M	gnome-panel/panel-widget.c

commit 45c30bc316db49b52bcacabcaa2e7977b63318cc
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-21

    panel-frame: Fix padding handling

M	gnome-panel/panel-frame.c

commit 75e5bc6a50ef7ecc3cbb9f7833132cec900ff5c8
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-21

    panel-toplevel: Port to GtkStyleContext

M	gnome-panel/panel-toplevel.c

commit f2ff0440223641d7495560ef2bf99b2b61895cac
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-21

    panel-separator: Port to GtkStyleContext

M	gnome-panel/panel-separator.c

commit b4deac9d217b4785d2c930a2deb2d94f5e4878d9
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-21

    panel-run-dialog: Use style-updated signal instead of style-set

M	gnome-panel/panel-run-dialog.c

commit a72bbe49c5f5f3fe17c7a25794f7b6e83cb60b5f
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-21

    panel-action-button: Fix typo in signal name

M	gnome-panel/panel-action-button.c

commit e75d7861c293be48a8e10ebbb1e0ab405be0bc7e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-21

    panel-menu-bar: Use gtk_render_focus() instead of gtk_paint_focus()

M	gnome-panel/panel-menu-bar.c

commit 8e36c34e6f356b0f49a044a5b54125dce4661f7c
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-21

    panel-frame: Port to GtkStyleContext

M	gnome-panel/panel-frame.c

commit 0dc1773bd599d0cdcae2198ced7fa6d394fb759d
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-21

    panel-applet-frame: Use gtk_render_handle() instead of
    gtk_paint_handle()

M	gnome-panel/panel-applet-frame.c

commit 3507d3ca74233d88f83df5f3f43a52ae2bc306d3
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-21

    panel-action-button: Port to GtkStyleContext

M	gnome-panel/panel-action-button.c

commit bdacac33908ad8046ffd38d553ce634285d011aa
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-21

    menu: Port to GtkStyleContext

M	gnome-panel/menu.c

commit ee0fcd193030b433b5aa1785a864f89e25345f01
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-21

    button-widget: Port to GtkStyleContext

M	gnome-panel/button-widget.c

commit fc689a95aea200039fbb80a036b4d881d550c15f
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-21

    libpanel-applet: Use gtk_render_focus() instead of gtk_paint_focus()

M	libpanel-applet/panel-applet.c

commit 1f086d72760569bc466de082e99a55a82ac06014
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-20

    Remove frame of window-menu applet

M	applets/wncklet/window-menu.c

commit 77a45f0abf8d0db41bb4b99e08dfbdd968cb6be8
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-19

    window-list: Don't use deprecated size-allocate signal

M	applets/wncklet/window-list.c

commit ce25692dba6e2a26b10c0d9227453904d696ea2f
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-19

    menu: Use gtk_widget_set_size_request() instead of handling
    "size-request" signal

M	gnome-panel/menu.c

commit ba72ab472ace2ea38d0bdda73ce11b8cd991f498
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-19

    Add a variable with the libpanel-applet API version to pkg-config
    files

M	libpanel-applet/libpanelapplet-uninstalled.pc.in
M	libpanel-applet/libpanelapplet.pc.in

commit c759c43eed120caa012f5b6524ef9109308576d3
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:	2011-01-18

    [l10n] Updated German translation

M	po/de.po

commit d47c8957a1b7079891dee37b361694fce17b6b53
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-18

    Remove border of panel menu bar

M	gnome-panel/panel-menu-bar.c

commit 3f840779fe3cb4fa239afb4f98f9237d9155e4d2
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-18

    Fix background of panel internal objects

M	gnome-panel/panel-background.c

commit 2522d65b6d0bb66b18e2ba4585ae3b2e07856bb8
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-18

    Reset style provider for applets when no background is used

M	libpanel-applet/panel-applet.c

commit 322dc162364d7383885d87ef500e22802b5c5c7b
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-18

    Remove unneeded cairo_pattern_destroy()

M	libpanel-applet/panel-applet.c

commit dbb3f74a0a2e349672fe08bce235a358e9054afc
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-18

    Fix applets background

M	gnome-panel/panel-background.c
M	libpanel-applet/panel-applet.c

commit 4c9b1ceae41d7dae48febba1638b9770bd8aa863
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:	2011-01-18

    Updated Ukrainian translation

M	po/uk.po

commit fe52d2c15fde6748b7f408e42eb4cad549dc5a19
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-18

    Use xlib surface instead of image for composited pattern when panel
    background is an image

M	gnome-panel/panel-background.c

commit d181633ddc11462c104441851cb66ef3860974fc
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-17

    Let cairo/pixman allocate the surface memory

M	gnome-panel/panel-background.c

commit 469c30f3ebac2cc525839ce1022765e4f63cfd15
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-17

    Use a GdkPixbuf instead of a cairo surface for the transformed image

    We are using gdk-pixbuf api to scale and rotate the image, so
    instead of
    converting it to a cairo surface use gdk_cairo_set_source_pixbuf()
    with
    the transformed pixbuf in composite_image_onto_desktop().

M	gnome-panel/panel-background.c
M	gnome-panel/panel-background.h

commit f86c5c14a3c2e14f0fcce5fb609e1b899e41fc30
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-17

    Fix transparency for panels with solid color background

M	gnome-panel/panel-background.c

commit c78acd1548fae57f9211ae6019ea957a37cd66da
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-17

    Handle opacity for solid color backgrounds again

M	gnome-panel/panel-profile.c
M	gnome-panel/panel-profile.h
M	gnome-panel/panel-properties-dialog.c

commit a3a45469ed96d0047fe834bbdf107731ead23459
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-17

    Remove unneeded method free_prepared_resources()

    It breaks the background when it's a solid color without alpha
    resetting
    the color to 0,0,0

M	gnome-panel/panel-background.c

commit 42eaac42594a23f3ec11d15e7a403eda99d4a98d
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-17

    Fix panel_background_update_has_alpha() when background is solid color

M	gnome-panel/panel-background.c

commit 3f0f656cc6c65fe45ddf3f089592945360ed7bc0
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-17

    Remove unneeded cairo_rectangle() in button_widget_draw()

M	gnome-panel/button-widget.c

commit 2172112cabb9636f96890217c5deaa4c23a3c03e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-17

    Do not render launchers as pressed when hovered

M	gnome-panel/button-widget.c

commit 0b8ace11087855d741cdeed97dc839db50319ae8
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-17

    Add a gtkimage with the current pixbuf to button-widget

    We need to add a child to the button to get the right allocation
    of the
    pixbuf. When the button is created without a pixbuf,
    get_preferred_width/height are called the first time when the
    widget is
    allocated and 0x0 size is cached by gtksizerequest. Since the widget
    doesn't change its size when a pixbuf is set,
    gtk_widget_queue_resize()
    always uses the cached values instead of calling
    get_preferred_width_height() again. So the actual size, based
    on pixbuf
    size, is never used. We are overriding the draw() method, so having a
    child doesn't affect the widget rendering anyway.

M	gnome-panel/button-widget.c

commit e739e206c89ee3aebd4a209db4df45831fce30d4
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-17

    Fix child size request of panel-widget

    It was using get_preferred_width() to get both preferred with and
    height of its children, use get_preferred_size() instead.

M	gnome-panel/panel-widget.c

commit ae0ebb873a8cbdb54252f6f505463f953c62f80c
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-17

    Update appletsdir variable to use the versioned dir

M	configure.ac

commit 72edc66ccd11b8d81978fe7c439aa04123d7d21e
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:	2011-01-16

    Added da to list of languages

M	help/fish/Makefile.am

commit cc0bce90afa9070624b4d70b72ba14bf994620ab
Author: Gitte Illum Petersen <pillum@msn.com>
Date:	2011-01-16

    Added Danish translation

A	help/fish/da/da.po

commit ff4718e97d7745ed053e248241f130a376e5f415
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-16

    Use versioned directory for in-process applets and .panel-applet files

M	applets/clock/Makefile.am
M	applets/fish/Makefile.am
M	applets/notification_area/Makefile.am
M	applets/wncklet/Makefile.am

commit 0ac55c5650f15c4c1608ce64b5f66cccad621adc
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-01-15

    Updated Norwegian bokmål translation

M	po/nb.po

commit d38052d38469a71a616a307403695daac6101cc3
Author: Marek Černocký <marek@manet.cz>
Date:	2011-01-13

    Updated Czech translation

M	po/cs.po

commit 7d51f56fc84f6639c7874236bcff9e0566bafccb
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2011-01-12

    Updated Arabic translation

M	po/ar.po

commit eb16494cabb98d0f1e7731fe6aca9c2dda9f4ffe
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2011-01-12

    Updated Bulgarian translation

M	po/bg.po

commit 1facb24f22d972f48ff8f36ed3887d6651b8b308
Author: Andika Triwidada <andika@gmail.com>
Date:	2011-01-11

    Updated Indonesian translation

M	po/id.po

commit 53408762fbb6ddd2c936bf023fa3a00631e4db8c
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-10

    Fix build with -DGSEAL_ENABLED

    Wanda: don't forget to port me.

    https://bugzilla.gnome.org/show_bug.cgi?id=612481

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	applets/wncklet/window-menu.c
M	gnome-panel/menu.c
M	gnome-panel/panel-menu-bar.c

commit 94c1c4f2103ca01a3fae07956b01d58c35afe3b5
Author: Daniel Nylander <po@danielnylander.se>
Date:	2011-01-09

    Updated Swedish translation

M	po/sv.po

commit ec95bf4069fb6546c60980e1c84f38e23ce0504b
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-01-09

    Updated Slovenian translation

M	po/sl.po

commit 636773d4db979debd4d701a81abea1e908a272e1
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2011-01-09

    Updated Hebrew translation.

M	po/he.po

commit 1c2601daa2f2a5c451500f85580ea2e7875b021a
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2011-01-09

    Updated Russian translation

M	po/ru.po

commit 0529f08bbeb7b6d9c126c1468d7d939cdb704da2
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-01-09

    Updated Galician translations

M	po/gl.po

commit 0ff95c36336f1444fad6741bd1896bc5341ed9a4
Author: Ivar Smolin <okul@linux.ee>
Date:	2011-01-08

    [l10n] Updated Estonian translation

M	po/et.po

commit f23731390cc52cfb0eb04ee865f7c5ea28c8d41e
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2011-01-08

    Updated Spanish translation

M	po/es.po

commit eff5d569c162d508f996678f0d1ea8647c1b810d
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-08

    Fix use of pending deprecated gdk_pointer_grab()/_ungrab()

    Replaced gdk_pointer_grab() and gdk_pointer_ungrab()
    by gdk_device_grab() and gdk_device_ungrab(), respectively.

    https://bugzilla.gnome.org/show_bug.cgi?id=627455

    Wanda: Fixing a mistake!? If I were ported to gtk3...

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	gnome-panel/menu.c

commit 98da5c1953ab90cc5581c1858d7a9c3d3cf796eb
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-08

    Fix use of deprecated gdk_pointer_grab()/_ungrab()

    Replaced gdk_pointer_grab() and gdk_pointer_ungrab()
    by gdk_device_grab() and gdk_device_ungrab(), respectively.

    https://bugzilla.gnome.org/show_bug.cgi?id=627455

    Wanda: Do not overtax your powers.

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-force-quit.c
M	gnome-panel/panel-toplevel.c
M	gnome-panel/panel-widget.c

commit fd23e0e3f434c26926b2f22e72d48fff19845079
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-07

    Fix use of deprecated gdk_display_pointer_ungrab()

    Replaced gdk_display_pointer_ungrab() by gdk_device_ungrab()

    https://bugzilla.gnome.org/show_bug.cgi?id=627455

    Wanda: are you going to free me?

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	libpanel-applet/panel-applet.c

commit c5111b57d5241f8e4e9f420df1a904f66fa2e89d
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-07

    Fix use of deprecated gdk_display_get_pointer()

    Replaced gdk_display_get_pointer() by gdk_device_get_position()

    https://bugzilla.gnome.org/show_bug.cgi?id=627455

    Wanda: when are you going to free me?

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	gnome-panel/panel-toplevel.c

commit 76989dba36efdb55ba6b8c86d7f852f7e87766d2
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-01-07

    Change references from bonobo-applet to external-applet in gconf

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	gnome-panel/gnome-panel-add.in
M	gnome-panel/panel-default-setup.entries
M	gnome-panel/panel-object.schemas.in
M	gnome-panel/panel-profile.c

commit 243b4f7165bc8714cbe13f87aa75eee6d8c552c2
Author: Mattias Põldaru <mahfiaz gmail com>
Date:	2011-01-07

    [l10n] Updated Estonian translation

M	po/et.po

commit a7ead59faa2f5208b2704dace1d555e39a0850d7
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-07

    Fix use of deprecated gtk_widget_size_request()

    Replaced gtk_widget_size_request() by
    gtk_widget_get_preferred_size()

    https://bugzilla.gnome.org/show_bug.cgi?id=627455

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	applets/clock/clock.c
M	applets/notification_area/fixedtip.c
M	gnome-panel/applet.c
M	gnome-panel/panel-toplevel.c
M	libpanel-applet/panel-applet.c

commit fb1ca6bfbe40f2bd171a4dfda8b060bf5242b2a7
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-07

    Fix use of deprecated gdk_cursor_unref()

    Replaced gdk_cursor_unref() by g_object_unref()

    https://bugzilla.gnome.org/show_bug.cgi?id=627455

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	gnome-panel/menu.c
M	gnome-panel/panel-force-quit.c
M	gnome-panel/panel-toplevel.c
M	gnome-panel/panel-util.c
M	gnome-panel/panel-widget.c

commit 5979390ad5912b29bb24c85e84aa015216af0e98
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-07

    Fix use of deprecated gtk_widget_get_child_requisition()

    Replaced gtk_widget_get_child_requisition() by
    gtk_widget_get_preferred_size().

    https://bugzilla.gnome.org/show_bug.cgi?id=627455

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	applets/wncklet/window-list.c
M	gnome-panel/panel-widget.c

commit f32c697c0d4e0a3043f2f61f62dad2402698976d
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-07

    Fix use of deprecated gdk_app_launch_context_new()

    https://bugzilla.gnome.org/show_bug.cgi?id=627455

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	gnome-panel/libpanel-util/panel-launch.c
M	gnome-panel/panel-action-button.c
M	gnome-panel/panel-util.c

commit 7a22d71c25851166d1570bf9fb7c267136c7565f
Author: Wei-Lun Chao <chaoweilun@gmail.com>
Date:	2011-01-07

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 2bb85029c2c85e2b9b05b6d96458adcedecdbd94
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-06

    Fix layout of Addto panel dialog

    With the previous vbox, the list of applets was not being
    expanded in the dialog box.  It was also redundant.

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	gnome-panel/panel-addto.c

commit 1b9742c37fcc0680b1976f9a3f847d486bc952a0
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-01-05

    Change references from bonobo-applet to external-applet in gconf

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	gnome-panel/gnome-panel-add.in
M	gnome-panel/panel-default-setup.entries
M	gnome-panel/panel-object.schemas.in
M	gnome-panel/panel-profile.c

commit ac92f86e36d643dd34021ec0cdbb00e26c1983fb
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-05

    Fix sealed field parent_menu_shell

    Replaced parent->parent_menu_shell by
    gtk_menu_shell_get_parent_shell()

    https://bugzilla.gnome.org/show_bug.cgi?id=627455

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	gnome-panel/menu.c

commit 20ae5529e1aa2c82775ec24a6533f5809759af8f
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-05

    Fix sealed field children

    Replaced iteration to destroy every menu children data
    (which used menu->children->data) by the use of a
    glist and gtk_container_get_children()

    https://bugzilla.gnome.org/show_bug.cgi?id=627455

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	gnome-panel/menu.c

commit 692d224b864f06acafe31b59af9c1e477c3198d0
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2011-01-05

    Fix use of sealed field active_menu_item

    Replaced menu_shell->active_menu_item by
    gtk_menu_shell_get_selected_item() and
    menu_shell->active_menu_item_submenu by
    gtk_menu_item_get_submenu().

    https://bugzilla.gnome.org/show_bug.cgi?id=627455

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	gnome-panel/menu.c

commit 71e451ec577394aadfe8863703b215888829fd0e
Author: Milan Bouchet-Valat <nalimilan@club.fr>
Date:	2011-01-05

    Don't access GtkTreeViewColumn->editable_widget directly

    This member has been sealed. Use gtk_cell_area_get_edit_widget()
    instead.

    https://bugzilla.gnome.org/show_bug.cgi?id=627455

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	applets/wncklet/workspace-switcher.c

commit 6b64b529938e7f7dbb179e1f705fb3529d2568e8
Author: Milan Bouchet-Valat <nalimilan@club.fr>
Date:	2011-01-05

    Swap arguments passed to gdk_rgba_parse()

    Order of arguments has changed, and previous commit missed 3
    occurences.

M	gnome-panel/panel-profile.c

commit 96a159cecf80ccbf7f0225403f305456299ee7a8
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2011-01-02

    Updated Norwegian bokmål translation from Torstein Adolf Winterseth

M	po/nb.po

commit 757682e5c760274f959868fee57fa2b9e45be9dd
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2010-12-31

    Fix user_data parameter when launch g_spawn_async



    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	gnome-panel/libpanel-util/panel-launch.c
M	gnome-panel/panel-run-dialog.c

commit 2edaeb4abbc8ec6714aefd1fb83df9011d8a42a5
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2010-12-31

    Fix warning in size request when there is no pixbuf

    This patch fix a regression introduced in #beec7ccc.
    Without the condition, the width returned is -1, which
    produces a warning on every action that involves an
    applet.

    Also fixed format.

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	gnome-panel/button-widget.c

commit a2a50ed8e0a5a3c205ec2055784914e541ffa629
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2010-12-30

    Fix gdk_xid_table_lookup_for_display deprecated.

    According to the documentatiom, GTK+ only stores windows
    in its X id table nowadays and the recomendation is to use
    gdk_x11_window_lookup_for_display() instead of
    gdk_xid_table_lookup_for_display().

    This fixes commit #620e660f89

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	gnome-panel/panel-force-quit.c

commit 60ffb648c3b0e2dfc188cb79431e98ed4859c373
Author: David Ronis <david.ronis@mcgill.ca>
Date:	2010-12-29

    Use gtk_widget_unset_state_flags() instead of sealed GtkButton fields

    Previous commit missed that occurrence.

    https://bugzilla.gnome.org/show_bug.cgi?id=627455

M	gnome-panel/panel-menu-button.c

commit 620e660f892b981235e9e4a639fd9789ea91cdc4
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2010-12-30

    Removed gdk_xid_table_lookup_for_display()

    According to the documentatiom, GTK+ only stores windows
    in its X id table nowadays and the recomendation is to use
    gdk_x11_window_lookup_for_display() which was already in
    use.  Hence, if the returned value is != NULL then is a window
    and we can ask to the user to kill the application.



    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	gnome-panel/panel-force-quit.c

commit bcf55f738ee93e877faa842464776a71d5304da1
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2010-12-30

    Fix gdk_spawn_on_screen deprecated

    Replaced by g_spawn_async.
    https://bugzilla.gnome.org/show_bug.cgi?id=627455

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	gnome-panel/libpanel-util/panel-launch.c

commit bf9cce40c8735b53d724f77ab182944367c4ece9
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2010-12-30

    Fix gdk_set_sm_client_id deprecated

    Replaced by gdk_x11_set_sm_client_id.
    https://bugzilla.gnome.org/show_bug.cgi?id=627455

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	gnome-panel/panel-session.c

commit 5585a51bded5b2733dc8a0f7b6f42afec5312669
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2010-12-30

    Fix gdk_spawn_* by g_spawn_* and GdkApp

    Use GdkAppLaunchContext instead of gdk_spawn_command_line_on_screen()
    and use of
    g_spawn_async instead of gdk_spawn_on_screen().

    https://bugzilla.gnome.org/show_bug.cgi?id=627455

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	gnome-panel/panel-run-dialog.c
M	gnome-panel/panel-util.c

commit 71598eaf1a8de8034527f16275cb10e2bfb1f3bd
Author: Germán Póo-Caamaño <gpoo@gnome.org>
Date:	2010-12-30

    Fix libegg according to GDK deprecations

    Signed-off-by: Germán Póo-Caamaño <gpoo@gnome.org>

M	gnome-panel/libegg/eggsmclient-private.h
M	gnome-panel/libegg/eggsmclient-xsmp.c

commit b26b90f86163d70f2d28161cd73ce7f2d7a62bf6
Author: Milan Bouchet-Valat <nalimilan@club.fr>
Date:	2010-12-29

    Remove unused xstuff_net_wm_supports()

    This function isn't used anywhere and calls gdk_net_wm_supports(),
    which has been removed in GDK 3. If needed, it could be changed to
    use gdk_x11_screen_supports_net_wm_hint(), but for now better remove
    it altogether.

    https://bugzilla.gnome.org/show_bug.cgi?id=627455

M	gnome-panel/xstuff.c
M	gnome-panel/xstuff.h

commit 30ac93e4edc44bb34b0135de7804a17e7b12c664
Author: Milan Bouchet-Valat <nalimilan@club.fr>
Date:	2010-12-29

    Adapt to arguments changes in gdk_rgba_parse() and
    gdk_window_get_geometry()

    Prototypes for these two functions have changed in GDK
    3. gdk_rgba_parse()
    has swapped color and spec, and gdk_window_get_geometry() has
    lost it's
    depth argument.

    https://bugzilla.gnome.org/show_bug.cgi?id=627455

M	gnome-panel/panel-background-monitor.c
M	libpanel-applet/panel-applet.c

commit 85d692916af45a1805acb952fe48bfc0be7999b5
Author: Milan Bouchet-Valat <nalimilan@club.fr>
Date:	2010-12-29

    Use gdk_x11_window_lookup_for_display() instead of gdk_window_lookup()

    The latter has been removed in GDK 3, use the new X11-specific
    equivalent.

    https://bugzilla.gnome.org/show_bug.cgi?id=627455

M	gnome-panel/panel-action-protocol.c

commit 53ee7d2f39a30df4559920bb8044d9ac3b17ee97
Author: Milan Bouchet-Valat <nalimilan@club.fr>
Date:	2010-12-29

    Use GdkAppLaunchContext instead of gdk_spawn_command_line_on_screen()

    The latter has been removed in GDK 3, so use GIO's GAppLaunchContext
    and GAppInfo.

    https://bugzilla.gnome.org/show_bug.cgi?id=627455

M	gnome-panel/panel-action-button.c

commit aa29cbcf811c574afed6503781b67b7a56ddfb77
Author: Milan Bouchet-Valat <nalimilan@club.fr>
Date:	2010-12-29

    Use GtkStateFlags instead of sealed GtkButton fields

    GTK_STATE_FLAG_ACTIVE means that the button is pressed, and
    GTK_STATE_FLAG_PRELIGHT that pointer is over it.

    https://bugzilla.gnome.org/show_bug.cgi?id=627455

M	gnome-panel/button-widget.c

commit cdeb367f196ddaa59fb2516404e7c4f951b31312
Author: Milan Bouchet-Valat <nalimilan@club.fr>
Date:	2010-12-29

    Don't include gdkconfig.h

    No need to include it directly, and it makes the build fail.

    https://bugzilla.gnome.org/show_bug.cgi?id=627455

M	applets/notification_area/na-tray-manager.c

commit 5c44951d6e399cc2d7424dab360d627a6142a7e2
Author: Milan Bouchet-Valat <nalimilan@club.fr>
Date:	2010-12-29

    Fix includes from libgnome-desktop

    Path has changed with gnome-desktop 3.0.

    https://bugzilla.gnome.org/show_bug.cgi?id=627455

M	applets/clock/calendar-window.c
M	gnome-panel/panel-run-dialog.c

commit ec1d200d170d1ab0c4a5081296ea9f082a6cad0d
Author: Milan Bouchet-Valat <nalimilan@club.fr>
Date:	2010-12-29

    Use GDK_WINDOW_XID instead of deprecated GDK_WINDOW_XWINDOW

    Required to build with recent GDK3.

    https://bugzilla.gnome.org/show_bug.cgi?id=627455

M	applets/clock/clock-location-tile.c
M	applets/clock/clock.c
M	applets/notification_area/na-tray-child.c
M	applets/notification_area/na-tray-manager.c
M	gnome-panel/panel-background-monitor.c
M	gnome-panel/panel-multiscreen.c
M	gnome-panel/panel-xutils.c
M	gnome-panel/xstuff.c
M	libpanel-applet/panel-applet.c

commit beec7ccc7f7448f2a30da3be9a3bb86a5d59eab0
Author: Milan Bouchet-Valat <nalimilan@club.fr>
Date:	2010-12-29

    Move widgets to get_preferred_width/height() API instead of
    size_request()

    This is how current GTK+3 handles size requisitions. Most of the time,
    it simply means splitting the function between height and width. When
    possible, we ask children for minimal and natural sizes, but when it's
    too complex, we just set minimal_size = natural_size.

    This raises GTK+ 3 requirement to 2.91.7.

    https://bugzilla.gnome.org/show_bug.cgi?id=627455

M	applets/clock/clock-face.c
M	applets/clock/clock-map.c
M	applets/notification_area/na-tray.c
M	configure.ac
M	gnome-panel/button-widget.c
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-frame.c
M	gnome-panel/panel-separator.c
M	gnome-panel/panel-toplevel.c
M	gnome-panel/panel-widget.c

commit 51f043f3382fbde9479a874d91a19ccd8f736dde
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	2010-12-28

    Updated Slovenian translation

M	po/sl.po

commit a0139a3dfab346fc3c705637edcd6ed03212012f
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:	2010-12-23

    Added UG translation

M	po/ug.po

commit deb479ad094174c7e0efa7b89bea098fe50db8c3
Author: Mattias Põldaru <mahfiaz gmail com>
Date:	2010-12-20

    [l10n] Updated Estonian translation

M	po/et.po

commit c64104b27dfab6fe3054d7b09ca84400abf97b69
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2010-12-19

    po/vi.po: import some translations from Ubuntu/Maverick

M	po/vi.po

commit 10f6c7764dd69a24eb2a7d45d234ea3f69f228d0
Author: Adi Roiban <adi@roiban.ro>
Date:	2010-12-06

    Updated Romanian translation

M	po/ro.po

commit 9cbae555115013bc7946e2ce3584d40639248f14
Author: Rodrigo Moya <rodrigo@gnome-db.org>
Date:	2010-11-29

    libpanel-applet: Add introspection annotations

    panel_applet_factory_main was being generated with introspectable="0"
    because of missing annotations

M	libpanel-applet/panel-applet.c

commit 68bd4cb937f039e75f0e0ab9440492f12c87be5d
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:	2010-11-20

    Added UG translation

M	po/ug.po

commit 76dc5a00044de3076fe7117ff9944e4c5660e5ba
Author: Sebastien Bacher <seb128@ubuntu.com>
Date:	2010-11-17

    build: list the objects before the libraries to fix build with
    --as-needed

M	applets/notification_area/Makefile.am

commit 6bbeeba93cbd8c399c223206086f0361fcb651c1
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-11-17

    release: post-release bump to 2.32.2

M	configure.ac

commit 7ebd3d31709f110d0252945f12b2dbc439106c4c
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-11-17

    release: 2.32.1

M	NEWS
M	configure.ac

commit 2c28780a2652eeeee80a1e84327dfe11cfadbdd4
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-11-17

    libpanel-applet: Fix build by using "" instead of <> for an include

M	libpanel-applet/panel-applet-gconf.h

commit 15d030803903b6294eb6a50d887130ff154102f8
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:	2010-11-13

    Added UG translation

M	po/ug.po

commit b20af7b14d0e14d11f445e536fa054289afef5cd
Author: Christian Persch <chpe@gnome.org>
Date:	2010-10-28

    Initial port to gtk3

    It Compiles!
    It shows some problems at runtime.

    This commit also contains the patches from Benjamin Otte from bug
    #627455.

M	Makefile.am
M	applets/Makefile.am
M	applets/clock/Makefile.am
M	applets/clock/calendar-window.c
M	applets/clock/clock-face.c
M	applets/clock/clock-face.h
M	applets/clock/clock-location.c
M	applets/clock/clock-map.c
M	applets/clock/clock.c
M	applets/fish/fish.c
M	applets/notification_area/Makefile.am
M	applets/notification_area/fixedtip.c
M	applets/notification_area/main.c
M	applets/notification_area/na-tray-child.c
M	applets/notification_area/na-tray-manager.c
M	applets/notification_area/na-tray.c
M	applets/notification_area/testtray.c
M	applets/wncklet/Makefile.am
M	applets/wncklet/window-list.c
M	applets/wncklet/window-menu.c
M	applets/wncklet/workspace-switcher.c
M	bonobo/libpanel-applet/Makefile.am
M	configure.ac
M	doc/reference/panel-applet/Makefile.am
M	doc/reference/panel-applet/tmpl/panel-applet-unused.sgml
M	doc/reference/panel-applet/tmpl/panel-applet.sgml
M	gnome-panel/button-widget.c
M	gnome-panel/drawer.c
M	gnome-panel/libpanel-util/panel-icon-chooser.c
M	gnome-panel/menu.c
M	gnome-panel/nothing.cP
M	gnome-panel/panel-action-protocol.c
M	gnome-panel/panel-addto.c
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-background-monitor.c
M	gnome-panel/panel-background.c
M	gnome-panel/panel-background.h
M	gnome-panel/panel-context-menu.c
M	gnome-panel/panel-ditem-editor.c
M	gnome-panel/panel-frame.c
M	gnome-panel/panel-frame.h
M	gnome-panel/panel-menu-bar.c
M	gnome-panel/panel-menu-button.c
M	gnome-panel/panel-profile.c
M	gnome-panel/panel-profile.h
M	gnome-panel/panel-properties-dialog.c
M	gnome-panel/panel-run-dialog.c
M	gnome-panel/panel-run-dialog.ui
M	gnome-panel/panel-separator.c
M	gnome-panel/panel-toplevel.c
M	gnome-panel/panel-types.h
M	gnome-panel/panel-widget.c
M	gnome-panel/panel.c
M	gnome-panel/xstuff.c
M	libpanel-applet/Makefile.am
D	libpanel-applet/libpanelapplet-3.0.pc.in
R061	libpanel-applet/libpanelapplet-3.0-uninstalled.pc.in
libpanel-applet/libpanelapplet-uninstalled.pc.in
A	libpanel-applet/libpanelapplet.pc.in
M	libpanel-applet/panel-applet-marshal.list
M	libpanel-applet/panel-applet.c
M	libpanel-applet/panel-applet.h
M	libpanel-applet/test-dbus-applet.c

commit 4641d42fcd54287f99f4ba3dae062cf3b87a51e8
Author: Christian Persch <chpe@gnome.org>
Date:	2010-10-26

    gtk3: Make configure check for gtk-3.0

M	configure.ac
M	doc/reference/panel-applet/Makefile.am
M	libpanel-applet/Makefile.am
M	libpanel-applet/libpanelapplet-3.0-uninstalled.pc.in
M	libpanel-applet/libpanelapplet-3.0.pc.in

commit fb2e59d2a323a19e22c595e2f8a6bf635a6728f9
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2010-10-29

    Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 7a3d04155eef7353da5b4832cfda6ffb72a8f4fc
Author: Mattias Põldaru <mahfiaz gmail com>
Date:	2010-10-28

    [l10n] Updated Estonian translation

M	po/et.po

commit fc08cf1a76c1dc5ff941ce52b93676aaf4661276
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-10-24

    Updated Spanish translation

M	po/es.po

commit 1280b9604515917ac739fa24d94a216a3ed4f9f2
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:	2010-10-20

    Updated Japanese translation

M	po/ja.po

commit 0a6519b5bf0cbb2b76dead44df4d1f3704b6cc5b
Author: Ray Strode <rstrode@redhat.com>
Date:	2010-10-18

    util: don't hardcode .gnome2

    libgnome supports relocating the .gnome2 directory with an environment
    variable.

    This commit makes gnome-panel look at that environment variable.

    Related Bug: http://bugzilla.gnome.org/614032

M	gnome-panel/panel-util.c

commit 21488ec42f83a5e8226b1016148d8bcdea131604
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-10-17

    Added sl for Slovenian translation

M	help/clock/Makefile.am

commit 76b3021736b86ff3e837145ada3550820e551121
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-10-17

    Updated Slovenian translation

A	help/clock/sl/sl.po

commit fbf4568d65e3fb516acda0758ca50ed856faa546
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-10-17

    Added sl for Slovenian translation

M	help/fish/Makefile.am

commit 60b8dd1ecec754ded0078cc1abbd78c3f24ca152
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-10-17

    Updated Slovenian translation

A	help/fish/sl/sl.po

commit 081bccc1c0c2ccdb2b1532a321e66d282f8cbb3f
Author: Sahran <sahran@live.com>
Date:	2010-10-16

    Added UG translation

M	po/ug.po

commit f127235eda9ab13c7cf55c6ba5a1edad3f980bda
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-10-09

    build: Update git.mk from pango

M	git.mk

commit 75722e8f88e36df2c7be54f8f3ae4d92ee232f9a
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2010-10-08

    Updated Hebrew translation.

M	po/he.po

commit e381ce719617bf35bf1385a78e2568359235adbf
Author: Daniel S. Koda <danielskoda@gmail.com>
Date:	2010-10-06

    Fixed typo in Brazilian Portuguese translation

M	po/pt_BR.po

commit 078aa5a5165547f773c9f3dc9bb0ede50a487e3c
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2010-09-30

    Updated Basque language

M	po/eu.po

commit d38428d78ca5a3e51e0cf472875652fd2d787ada
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-29

    build: Link gnome-desktop-item-edit against X libs too

M	gnome-panel/Makefile.am

commit b30ae2b790002c65c083a9915c16ce7e3df3109f
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2010-09-28

    Updated Basque language

M	po/eu.po

commit 2cd70dadbf31e4029003d96c477d647b0b8f65dd
Author: Gintautas Miliauskas <gintautas@miliauskas.lt>
Date:	2010-09-28

    Updated Lithuanian translation.

M	po/lt.po

commit 8125bcb23277ac01aae3463afa6b6ad2e0af3301
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-27

    release: post-release bump to 2.32.1. For the last time. Hopefully.

M	configure.ac

commit 1c85819b0a267d936cbb12c5a2fe1ae4d795d5d6
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-27

    release: 2.32.0.2

M	NEWS
M	configure.ac

commit 26023c98e4911b7114c853c329401577615f6496
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-27

    panel: Build panel with -export-dynamic

    Else, we fail badly at runtime.

    https://bugzilla.gnome.org/show_bug.cgi?id=630744

M	gnome-panel/Makefile.am

commit 41153a46133de19d434dc2c1ac95f9ccfc486d0d
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-27

    release: post-release bump to 2.32.1. Again.

M	configure.ac

commit 67851ca28fe83179fb70679e7fe1f125982a89b1
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-27

    release: 2.32.0.1

M	NEWS
M	configure.ac

commit 944c1932077d91af8bc709138af5e995cb8f04a8
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-27

    build: Fix build with --as-needed

M	applets/clock/Makefile.am
M	configure.ac

commit 746dcc245e375f0fa36622a3453785642b991be2
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-27

    release: post-release bump to 2.32.1

M	configure.ac

commit cf7f18b3802911bec0bcd3337455e9362e5b9ef3
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-27

    release: 2.32.0

M	NEWS
M	configure.ac

commit 164e4699dee5394bbde7677362e46d7a2d7b44b0
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-27

    misc: Rename --enable-deprecations to --enable-deprecation-flags

    This is a better name for this configure option, since it's really
    about
    enabling the use of the deprecation flags, not allowing the use of
    deprecated API.

M	configure.ac

commit 429e8c38022b7390af7f3b23bf6deb78db8a28bf
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-27

    introspection: Associate .gir with pkg-config file

M	libpanel-applet/Makefile.am

commit 4dc1d013b404f9c628a03b5557c60d74d766b76d
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2010-09-26

    Updated Korean translation

M	po/ko.po

commit ab95cd37ce873052fcbb66b9f4713c027eefd15d
Author: Yuri Myasoedov <ymyasoedov@src.gnome.org>
Date:	2010-09-25

    Updated Russian translation

M	po/ru.po

commit 55397a2a03c4c8b50b5bf115932811db3c6a606e
Author: Petr Kovar <pknbe@volny.cz>
Date:	2010-09-22

    Update Czech translation

M	po/cs.po

commit d921d01d847d750c9402ecba59ae13bd4007115f
Author: Jonh Wendell <jwendell@gnome.org>
Date:	2010-09-21

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit ae6be22c37e19782f26032d42e4b9868ebfac988
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-20

    build: Update all Makefile.am to more recent standards

M	Makefile.am
M	applets/Makefile.am
M	applets/clock/Makefile.am
M	applets/clock/pixmaps/Makefile.am
M	applets/fish/Makefile.am
M	applets/notification_area/Makefile.am
M	applets/wncklet/Makefile.am
M	bonobo/idl/Makefile.am
M	bonobo/libpanel-applet/Makefile.am
M	bonobo/panel-module/Makefile.am
M	gnome-panel/Makefile.am
M	gnome-panel/libegg/Makefile.am
M	gnome-panel/libpanel-applet-private/Makefile.am
M	gnome-panel/libpanel-util/Makefile.am
M	icons/16x16/Makefile.am
M	icons/22x22/Makefile.am
M	icons/24x24/Makefile.am
M	icons/32x32/Makefile.am
M	icons/48x48/Makefile.am
M	icons/Makefile.am
M	icons/scalable/Makefile.am
M	libpanel-applet/Makefile.am
M	man/Makefile.am

commit 996efbd1191ecc8efdd501df5ca67362fd5f535b
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-20

    icons: Drop world_map-960.png

    This was used by the old timezone support in the clock, and is not
    needed anymore.

M	icons/Makefile.am
D	icons/world_map-960.png

commit 693c2e2869574f648c7f1e62498c36f55b4a9d0d
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-20

    misc: Update instructions for commit messages

    We're switching to "tag:" instead of "[tag]".

M	ChangeLog

commit 1f0014843ee5dd684dc3749902a169267554ec91
Author: Bakaoukas Nikolaos <nikolaos.x1@gmail.com>
Date:	2010-09-20

    Updated Greek translation

M	po/el.po

commit 326f5160ec463f54004324c8ff3516f387f551ef
Author: Vincent van Adrighem <adrighem@gnome.org>
Date:	2010-09-19

    Updated Dutch translation

M	po/nl.po

commit d305446196f9793951a5ac5e08597b16964fdeca
Author: Ivar Smolin <okul@linux.ee>
Date:	2010-09-19

    [l10n] Updated Estonian translation

M	po/et.po

commit 8022a9589c4235705997b7195b61ee18c30e99d2
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:	2010-09-15

    Updated Danish translation

M	po/da.po

commit 50446cdc7d5e858ae2fd08e72974194d571a1dfb
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	2010-09-15

    Initial translation to Kazakh

M	po/LINGUAS
A	po/kk.po

commit a9d831f923075ab187878d65811596a336aaaf39
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2010-09-15

    Fixed a wrong translation of a shortcut in gnome-panel for Kannada(kn)

M	po/kn.po

commit 8e4f074a52c4c7f746bcd97ec32b56e3cdfafd94
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-14

    release: post-release bump to 2.32.0

M	configure.ac

commit d1c2784c7a52e21fdf115001b548c78bc52890b5
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-14

    release: 2.31.92

M	NEWS
M	configure.ac

commit d783d589b387ed5a16ad347591dcc9edf9f638b5
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-14

    bonobo: Stop using deprecated gdk_display

M	bonobo/libpanel-applet/panel-applet.c

commit 787dc4c9b1d433829de03b6c89df3a748bddc31d
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-14

    build: explicitly link to xrandr

    https://bugzilla.gnome.org/show_bug.cgi?id=629562

M	configure.ac
M	gnome-panel/Makefile.am

commit ad0897b8fae20f11de77921c48cfba986e816d2c
Author: Colin Walters <walters@verbum.org>
Date:	2010-09-14

    libpanel-applet: Fix build with gobject-introspection 0.9.5

    Use --strip-prefix=Panel. Note that this technically breaks the API
    proposed by the introspection, but since nothing depends on it...

    Also pass --warn-all to the scanner, so we can see missing
    annotations.

    https://bugzilla.gnome.org/show_bug.cgi?id=629355

M	libpanel-applet/Makefile.am

commit 0ace553ed8b0a28ac538c4d970dbe7a6d52d7529
Author: Ray Strode <rstrode@redhat.com>
Date:	2010-09-10

    Prevent modules from being unloadable

    The bonobo compatibility module doesn't support unloading.
    In general, it's really hard to write a module that can be
    safely unloaded and then reloaded later. Also, there's not
    much point in supporting it for the panel's use case.  Therefore,
    we won't anymore.  That solves the bonobo issue and any future
    issues that could potentially crop up.

    http://bugzilla.gnome.org/show_bug.cgi?id=629535

M	gnome-panel/panel-modules.c

commit 7fda665fa6b1c552a3b3cf954fcd1d78a110e87e
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:	2010-09-12

    Updated Japanese translations.

M	help/clock/ja/ja.po
M	help/fish/ja/ja.po
M	po/ja.po

commit 79db993fb64b252ab99e2aeec957d6fb58b5acd6
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-11

    [panel] Stop using deprecated gdk_display/GDK_DISPLAY()

M	gnome-panel/panel-force-quit.c
M	gnome-panel/panel-xutils.c
M	gnome-panel/xstuff.c

commit 85cdc50ff77c2995d7d7bcd98c713181dd75d301
Author: Dr.Tirumurti Vasudevan <vasudeven@git.gnome.org>
Date:	2010-09-11

    Updated Tamil translation

M	po/ta.po

commit f5686e7b151b48a6f655ecfd7fd3667bc825efda
Author: Yasumichi Akahoshi <yasumichi@vinelinux.org>
Date:	2010-09-10

    Updated Japanese translation.

M	help/clock/ja/figures/clock_applet.png
M	help/clock/ja/ja.po

commit 065ddf42d82c5e86baa619ffd6d9e7f622cf701d
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-10

    [doc] Rewrite gnome-panel man page

M	man/gnome-panel.1

commit 9a871f2d3499155286897131e9fa288f83430428
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-08

    [misc] Update AUTHORS, HACKING, README

    Nothing new, but make sure this is up-to-date.

    Also tweak a bit autogen.sh and Makefile.am to make them look
    similar in
    all my modules.

M	AUTHORS
M	HACKING
M	Makefile.am
M	README
M	autogen.sh

commit f077446bb066318c37a18922a771061d43745f07
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-08

    [misc] Update license files to latest text

    Note that this doesn't change the license. The license text was
    updated
    for the latest FSF address, for example.

M	COPYING
M	COPYING-DOCS
M	COPYING.LIB

commit 08a679723341134cc403f469675edc773802da36
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-08

    [build] Rename configure.in to configure.ac

M	autogen.sh
R100	configure.in	configure.ac

commit f6526a92eb6feb8995224f1bd3b7249ce7b20211
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-08

    [build] Remove configure checks that were needed for polkit helper

M	configure.in

commit 74470215083737e5371b4954bcb9e4e637fa7dea
Author: Luca Ferretti <lferrett@gnome.org>
Date:	2010-09-07

    Updated Italian translation

M	po/it.po

commit 9e18ad6a0809969c6c6592f07d6930ef140bc0c8
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2010-09-07

    Updated Polish translation

M	po/pl.po

commit 116252beafebab6c8564fc7745b1abf668a239ec
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-07

    [panel] Revert changes that shouldn't have been committed

M	gnome-panel/panel-default-setup.entries
M	gnome-panel/panel-object.schemas.in
M	gnome-panel/panel-profile.c

commit 79be3791b07dbda11be8b73116a31dbcb1118bff
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-07

    [panel] Add back optional support for bonobo applets to
    gnome-panel-add

    The support for bonobo is found at runtime: we just check if we
    have the
    bonobo python bindings. If we don't have the bindings, then we just
    fail for bonobo applets.

M	gnome-panel/gnome-panel-add.in
M	gnome-panel/panel-default-setup.entries
M	gnome-panel/panel-object.schemas.in
M	gnome-panel/panel-profile.c

commit 00a0c32e231e4266228e152c3d6cdc81414168fa
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-07

    [panel] Update default setup to use applet_iid keys and dbus IID

M	gnome-panel/panel-default-setup.entries

commit 42ac5abaa2c881c4645497e884facc4597fe3ded
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-07

    [panel] Understand bonobo IID in applet_iid keys

    When fetching an applet IID from gconf, we were blindly assuming that
    applet_iid is always a dbus-style IID. This is wrong since there are
    still applets in the wild not migrated to the dbus library, and this
    applet_iid key can contain references to bonobo IID.

    So we always need to try to translate the IID we get to a current IID,
    as if it was an old IID before using it.

    Concretely, this will help people who added an applet from
    gnome-applets
    2.31.90 or earlier with gnome-panel 2.31.x, who then use gnome-applets
    2.31.90.1 (where applets were ported to dbus).

M	gnome-panel/panel-compatibility.c

commit 185327fc3de31d6f931852ceb48c8fd17fef065b
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-06

    [bonobo] Fix loading of bonobo applets that are already configured

    If the user has a bonobo applet in his configuration, we need to tell
    the applet manager that we know this old ID, instead of just returning
    NULL.

M	bonobo/panel-module/panel-applets-manager-bonobo.c

commit 6c662513f7d79f540d4cd8a708dffb2bbf977b73
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	2010-09-05

    Add missing m4 files to MAINTAINERCLEANFILES

    Helps: bgo#591305

M	Makefile.am

commit 9a0bc67850d096726b770c0dc99c542832ccfe0c
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	2010-09-05

    Update git.mk from Pango master

    Helps: bgo#591305

M	git.mk

commit 53998ae038e38e2a19409381194fb07a246a60d0
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-06

    [panel] Do not queue load of an applet if it's already being loaded

    This avoids an issue where an applet is added to the load queue each
    time a panel is created (or for other events), which will result later
    on in having this applet listed several times in the list of loading
    applets.

M	gnome-panel/applet.c

commit 7fb83c6776dc864f02945ac944869e12876342e8
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-06

    [panel] Do not limit the initial unhide timeout to initial load

    There's no reason to limit the initial unhide timeout of toplevels to
    the initial load: a panel created later (with a script that would also
    populate it with applets) could also have applets that fail to
    load. So
    we need a timeout there too.

    Instead, just don't add the timeout if we already have one.

M	gnome-panel/applet.c

commit 5b2900e4ea5967dfbc3db3bafd93d95d94b1d8dc
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-06

    [panel] Fix typo in function names

    compatiblity should be spelled compatibility :-)

M	gnome-panel/panel-action-button.c
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-compatibility.c
M	gnome-panel/panel-compatibility.h

commit 0eb05c74421d29eed4c92653387ba06d17542b82
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-06

    [panel] Do not forget to call panel_applet_stop_loading() on issues

    When we don't load an applet because it's on the no-reload list,
    because
    it's disabled in by lockdown keys or because we can't find the
    compatibility iid, we still have to call panel_applet_stop_loading().

    If we don't do so, new panels will not get unhidden, since they will
    wait for this applet to stop loading -- while it didn't even start
    loading.

M	gnome-panel/panel-applet-frame.c

commit b6877b265b998b47f949c808a40bed14c9a4c382
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2010-09-05

    Updated Portuguese translation

M	po/pt.po

commit f46091c359631dbc93b4a6a28f9bb15813271c40
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	2010-09-01

    Update British English translation

M	po/en_GB.po

commit 10a0c1d17920f147d5b8d34825564e44d19d2844
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:	2010-09-01

    Updated Indonesian translation

M	po/id.po

commit eb31662bea7b3be5cf76c79302ac6dd532857970
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2010-08-29

    Updated Hungarian translation

M	po/hu.po

commit 1504f740741bdac2f66e71eb42a64f355c07fd8b
Author: Ivar Smolin <okul@linux.ee>
Date:	2010-08-27

    [l10n] Updated Estonian translation

M	po/et.po

commit 0de9bb8100011e8ed669f43c6f4f751730a6a091
Author: Bruno Brouard <annoa.b@gmail.com>
Date:	2010-08-26

    Updated French translation

M	po/fr.po

commit 86f682b39a31860a4899787e422a1621571cf4e4
Author: Милош Поповић <gpopac@gmail.com>
Date:	2010-08-24

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit e08b9754227464285401006bf69fa6c382df2a9f
Author: Dan Winship <danw@gnome.org>
Date:	2010-08-19

    [notification_area] Fix some bugs from the GSEALing

    na-tray-child.c had C99 mixed code and declarations.
    na-tray-manager.c was calling methods on an object before checking
    that
    it was non-NULL

    Noticed while syncing the code to gnome-shell, bug 627306

    https://bugzilla.gnome.org/show_bug.cgi?id=627368

M	applets/notification_area/na-tray-child.c
M	applets/notification_area/na-tray-manager.c

commit a1dbedb234f41b429ca4fb6ec2cfac80aa232378
Author: Yasumichi Akahoshi <yasumichi@vinelinux.org>
Date:	2010-08-23

    Added Japanese translation.

M	help/fish/Makefile.am
A	help/fish/ja/ja.po

commit ba44bdc4259d5e9e12ef1a87a3d35a8dc913ecf2
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2010-08-23

    Add back dbus-glib-1 to make this build again

M	configure.in

commit cdb8281751bc84abff05546677450a89e0f4961d
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2010-08-23

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit c90e3a95c502c5084f8dab87d00ec89c00088041
Author: Alexander Shopov <ash@contact.bg>
Date:	2010-08-23

    Updated Bulgarian translation

M	po/bg.po

commit 8cc4f8fd581702a2581002af18d7354dd5ad82e0
Author: David Planella <david.planella@gmail.com>
Date:	2010-08-22

    Updated Catalan translation

M	po/ca.po

commit f9cd8d87cfc874f9774d74b4bca696142fa7c2f1
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-08-18

    [release] post-release bump to 2.31.91

M	configure.in

commit e2e95ce27e565578c04686239752d7e2a0a0702b
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-08-18

    [release] 2.31.90

M	NEWS
M	README
M	configure.in

commit aebd4204ec6813316be4af82001c1046e58e44bf
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-08-18

    [build] Fix distcheck

    Remove removed file from POTFILES.in.

M	po/POTFILES.in

commit 5528170a8ebf31a01163a5ffe8126b46353f7a9b
Author: Sahran <sahran@live.com>
Date:	2010-08-08

    Added UG translation

M	po/LINGUAS

commit 6ae9005a69b523f3eb0030737b93aeca90097613
Author: Sahran <sahran@live.com>
Date:	2010-08-08

    Added UG translation

A	po/ug.po

commit 4362e6cfafee8aebc2778ae97134406e23b1e59e
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-08-08

    [clock] Use the polkit helper from g-s-d to set time/timezone

    gnome-clock-applet-mechanism has moved to gnome-settings-daemon (since
    2.31.4) and is now named gsd-datetime-mechanism. The D-Bus interface
    is
    the same, except for the name of the service and the name of the
    interface. So we simply need to remove a lot of code that is now
    duplicated.

    Note that this means polkit is not needed anymore to build
    gnome-panel.

M	applets/clock/Makefile.am
D	applets/clock/gnome-clock-applet-mechanism-main.c
D	applets/clock/gnome-clock-applet-mechanism.c
D	applets/clock/gnome-clock-applet-mechanism.h
D	applets/clock/gnome-clock-applet-mechanism.xml
D	applets/clock/org.gnome.ClockApplet.Mechanism.conf
D	applets/clock/org.gnome.ClockApplet.Mechanism.service.in
D	applets/clock/org.gnome.clockapplet.mechanism.policy.in
D	applets/clock/set-timezone-dummy.c
M	applets/clock/set-timezone.c
M	configure.in

commit 2543d346bcc04b6d5b52dd0ac294a9874861d92a
Author: Reuben Potts <reuben03@live.com>
Date:	2010-08-05

    Added Manx translation

M	po/LINGUAS
A	po/gv.po

commit d6d35412502dc22e7088a0f61b014e393c6f25f2
Author: Sense Hofstede <sense@ubuntu.com>
Date:	2010-08-04

    Updated Frisian translation

M	po/LINGUAS
A	po/fy.po

commit 4b3a8cbe56e31dc2c4992dc5ff07e3d60a2c511a
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-08-04

    [release] post-release bump to 2.31.90

M	configure.in

commit a9bf55f2a65ba6e24cc9761a62e052a0ad359314
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-08-04

    [release] 2.31.6

M	NEWS
M	README
M	configure.in

commit 4fed5f212d57cda3e0db896fa1d9f32df712c083
Author: Rajesh Ranjan <rranjan@rranjan.csb>
Date:	2010-08-04

    hindi update

M	po/hi.po

commit 8919b2717d2bda39f2691278fe44d5a68866a62d
Author: Rajesh Ranjan <rranjan@rranjan.csb>
Date:	2010-08-04

    hindi update

M	po/hi.po

commit 2d0f133ad977c202c006591467f3234e8e9a2b16
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:	2010-08-04

    Updated Indonesian translation

M	po/id.po

commit 56b0e3f4884cacc68b3ac044e489f70fe128b1cd
Author: Runa Bhattacharjee <runab@redhat.com>
Date:	2010-07-30

    Updated Bengali India Translation

M	po/bn_IN.po

commit 93d9b7ec76f612f767c3c11fe3277e1d187168d7
Author: krishnababu k <kkrothap@redhat.ocm>
Date:	2010-07-28

    Updated Telugu Translations

M	po/te.po

commit dc8560f145dc9fc0e1ee0f885c16cf0f91301198
Author: Daniel Nylander <po@danielnylander.se>
Date:	2010-07-27

    Updated Swedish translation

M	po/sv.po

commit 7797be3bdfd748e1b17207db181d7b05f130a7ec
Author: Shankar Prasad <sprasad@git.gnome.org>
Date:	2010-07-23

    Updated Kannada translations

M	po/kn.po

commit 8e6fd83e5953e29011f21d6628d9ae5501e04674
Author: Sandeep Shedmake <sshedmak@redhat.com>
Date:	2010-07-22

    Updated Marathi Translations

M	po/mr.po

commit f69c2980694948c656bd63aa1d5707d02de223f1
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2010-07-22

    Updated Gujarati Translations

M	po/gu.po

commit 86465c42e6d93b393b477a3b5935110aec9fb184
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-07-21

    Updated Slovenian translation

M	po/sl.po

commit 00f3df53c74c37f48221fb8f59770129987782fa
Author: Frédéric Péters <fpeters@0d.be>
Date:	2010-07-20

    Update to latest gdbus API change

M	configure.in
M	gnome-panel/libpanel-applet-private/panel-applet-container.c
M	gnome-panel/panel-shell.c

commit 0efbc70fddd2ddd26b281cde8b7634cf80815544
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2010-07-20

    Updated Galician translations

M	po/gl.po

commit 9901313b29a51188fe5da2280487c14b1cf1f614
Author: Teliute <teliute@163.com>
Date:	2010-07-20

    Update Simplified Chinese help translation.

M	help/clock/zh_CN/zh_CN.po

commit e5d7a17fb7fa028e618f3728d06770a26d3cb29f
Author: Ray Strode <rstrode@redhat.com>
Date:	2010-07-15

    Allow Windows key as valid mouse modifier

    gnome-panel uses metacity's mouse modifier gconf key to figure
    out which key to listen to when moving panels around.  This
    works fine for Alt, but the more exotic "virtual" modifiers fall
    over.

    This commit fixes that problem by mapping the virtual modifiers back
    to their real counterparts. This gives us a value that can be
    directly compared with the event->state field from button press
    events.

    https://bugzilla.gnome.org/show_bug.cgi?id=624572

M	gnome-panel/panel-bindings.c
M	gnome-panel/panel-toplevel.c
M	gnome-panel/panel-xutils.c
M	gnome-panel/panel-xutils.h

commit 2d32e6075259c9280e697319630b5d69d708dc56
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-07-18

    [i18n] Updated German translation

M	po/de.po

commit d11d4ea3d1a525aa82ab4ec086b91144be0bea3f
Author: Kristjan Schmidt <kristjan.schmidt@googlemail.com>
Date:	2010-07-10

    Updated Esperanto translation

M	po/eo.po

commit 607e8079fa6f076c9995a4ff9e0f4956219f0c51
Author: Kristjan Schmidt <kristjan.schmidt@googlemail.com>
Date:	2010-07-10

    Updated Esperanto translation

M	po/eo.po

commit c8e023e8f18b1d170b83a2273e1ba907e5fe90b3
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-07-05

    Updated Slovenian translation

M	po/sl.po

commit fd58962a3d64300cccc18df74f1058f9cc2a7c93
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-07-02

    [build] Add introspection status in configure output

M	configure.in

commit aff48c71e427d074b74fba0b2323dcbf88c20859
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-07-01

    [bonobo] More GSeal work

M	bonobo/libpanel-applet/panel-applet.c
M	bonobo/libpanel-applet/test-bonobo-applet.c

commit 819b938de2b1c1805e2dc6b69866418a361c5244
Author: Ray Strode <rstrode@redhat.com>
Date:	2010-07-01

    Drop up front call to pager_update

    It's going to get called at realize time anyway,
    and calling it early can actually be counter-productive,
    since it checks state that may not be properly
    initialized yet.

    https://bugzilla.gnome.org/show_bug.cgi?id=472773

M	applets/wncklet/workspace-switcher.c

commit 3e79c8a5255cbfdd9dc9af65266c5e24b8452243
Author: Aron Xu <aronxu@gnome.org>
Date:	2010-06-29

    Update Simplified Chinese translation.

M	po/zh_CN.po

commit 5c3030cbd747e9e300b9ef188e79013e0abd83f4
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-06-29

    [release] post-release bump to 2.31.5

M	configure.in

commit eedaaea096355ee38ce60a64045e98d785b2a094
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-06-29

    [release] 2.31.4

M	NEWS
M	README
M	configure.in

commit ca4dab9b6fa9efaed2f3530ced7c6f878ba54c8d
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-06-29

    [libpanel-applet] Fix distcheck issue caused by introspection

M	libpanel-applet/Makefile.am

commit 04123bbe6af15190a779ebbaf5627159598e7a07
Author: Kristjan Schmidt <kristjan.schmidt@googlemail.com>
Date:	2010-06-23

    Updated Esperanto translation

M	po/eo.po

commit 07faf6a141d830447bcbd044e9531c6ba41cabcc
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-06-23

    [all] Stop using deprected GTK+ API

    https://bugzilla.gnome.org/show_bug.cgi?id=615557

M	applets/notification_area/fixedtip.c
M	bonobo/libpanel-applet/panel-applet.c

commit 4e9028582f9abee3e4080d90fa0d5abeed9eb33b
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-06-23

    [panel] More GSeal work

M	gnome-panel/launcher.c
M	gnome-panel/menu.c
M	gnome-panel/panel-addto.c
M	gnome-panel/panel-ditem-editor.c
M	gnome-panel/panel-force-quit.c
M	gnome-panel/panel-frame.c
M	gnome-panel/panel-toplevel.c
M	gnome-panel/panel.c

commit ee22097fbcd9196932b74313aa9807987de8557d
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-06-22

    [all] More GSeal work

M	applets/clock/calendar-window.c
M	applets/clock/clock-face.c
M	applets/clock/clock-location-tile.c
M	applets/clock/clock-map.c
M	applets/clock/clock.c
M	applets/fish/fish.c
M	applets/notification_area/fixedtip.c
M	applets/notification_area/na-tray-child.c
M	applets/notification_area/na-tray-manager.c
M	applets/notification_area/na-tray.c
M	applets/notification_area/testtray.c
M	applets/wncklet/showdesktop.c
M	applets/wncklet/window-menu.c
M	libpanel-applet/panel-applet.c
M	libpanel-applet/test-dbus-applet.c

commit 4955d74f0953ad58aad461beba455b3e259a13c2
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-06-22

    [build] Make automatic detection of bonobo work in configure

    It was supposed to work, but if bonobo was not explicitly disabled and
    it was missing, configure failed.

M	configure.in

commit cd686e7922f79867181373a4a2106bdb998c76e2
Author: Ray Strode <rstrode@redhat.com>
Date:	2010-06-14

    [na] Defer tray setup until after it's added to panel

    The code calls gtk_widget_get_screen which isn't reliable
    until after the widget is in the widget hierarchy.

    By defering until widget realization, we prevent a crash
    in old-style "zaphod mode" multi-screen setups

M	applets/notification_area/main.c

commit e41f428c68687ece6612da000e906533899acbd0
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-06-22

    [panel] Fix errors in previous commit (5dc31a77)

    Some fixes were wrong, and coding style needed some update.

M	gnome-panel/applet.c
M	gnome-panel/button-widget.c
M	gnome-panel/nothing.cP
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-background.c
M	gnome-panel/panel-menu-bar.c
M	gnome-panel/panel-menu-button.c
M	gnome-panel/panel-run-dialog.c
M	gnome-panel/panel-separator.c
M	gnome-panel/panel-toplevel.c
M	gnome-panel/panel-util.c
M	gnome-panel/panel-widget.c
M	gnome-panel/panel.c

commit 5dc31a779af68d49d6b74fa5b7d881dcd1571225
Author: Andre Klapper <a9016009@gmx.de>
Date:	2010-05-29

    [panel] Fix a bunch of issues when compiling with -DGSEAL_ENABLE

    https://bugzilla.gnome.org/show_bug.cgi?id=612481

M	gnome-panel/applet.c
M	gnome-panel/button-widget.c
M	gnome-panel/drawer.c
M	gnome-panel/launcher.c
M	gnome-panel/menu.c
M	gnome-panel/nothing.cP
M	gnome-panel/panel-action-button.c
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-background.c
M	gnome-panel/panel-frame.c
M	gnome-panel/panel-menu-bar.c
M	gnome-panel/panel-menu-button.c
M	gnome-panel/panel-run-dialog.c
M	gnome-panel/panel-separator.c
M	gnome-panel/panel-struts.c
M	gnome-panel/panel-toplevel.c
M	gnome-panel/panel-util.c
M	gnome-panel/panel-widget.c
M	gnome-panel/panel.c
M	gnome-panel/xstuff.c

commit a0e9fefaa7c1a80bae34c5e9b1671798178ab89d
Author: Javier Jardón <jjardon@gnome.org>
Date:	2010-06-22

    [libpanel-applet] Add gobject-introspection support

    https://bugzilla.gnome.org/show_bug.cgi?id=622341

M	Makefile.am
M	configure.in
M	libpanel-applet/Makefile.am

commit 0ef41fcc8d27521c91343cb17220191ab0b3adeb
Author: Dan Horak <dan@danny.cz>
Date:	2010-06-22

    [build] Add -lm when linking the clock applet

    The code uses fmod, so we have to link to libm.

    https://bugzilla.gnome.org/show_bug.cgi?id=621864

M	applets/clock/Makefile.am

commit d8c95c6da117e514fb40583be99e433a67f18cf3
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2010-06-20

    Added Norwegian bokmål translation

M	po/nb.po

commit 1ded2dc9102b4314af86748fb67fce8cae3bf34a
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2010-06-18

    Remove unneeded duplicate line

M	gnome-panel/libpanel-applet-private/panel-applet-container.c

commit eb9b57ea502c268f2e4eddacc1c2cfb5283a407d
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2010-06-18

    Update to GDBus API change

    Fixes bug #621766.

M	configure.in
M	gnome-panel/libpanel-applet-private/panel-applet-container.c

commit 1106a25266b571c6d42e69bb4ba568e799fdc755
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:	2010-06-14

    Updated Thai translation.

M	po/th.po

commit 9189c08ee87335a73f062bcd59ac4e03382c28e6
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2010-06-13

    Updated Galician translations

M	po/gl.po

commit cdb171ff69fcb2b43938216f51bb3fefb53291c3
Author: Rajesh Ranjan <rranjan@rranjan.csb>
Date:	2010-06-11

    Hindi bug correction in one string

M	po/hi.po

commit 4a11baa58bfd7df3eda1233bc785f4a6056726bc
Author: A S Alam <aalam@users.sf.net>
Date:	2010-06-09

    update Punjabi Translation

M	po/pa.po

commit 951ca051c778c36812387e3342d99bf4360e4a59
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2010-06-01

    Updated Norwegian bokmål translation

M	po/nb.po

commit 082b20cc880ccd5dfc38f7b6b2c82e0dfc840fea
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2010-05-29

    Updated Galician translations

M	po/gl.po

commit 99d41ece0457a829216e290364573498126f01cd
Author: Andre Klapper <a9016009@gmx.de>
Date:	2010-05-28

    Fix two alignment issues of previous commit

M	gnome-panel/panel-widget.c

commit 27fd93eb63e76ef09e2ad5982a8d34b5c4141e0d
Author: Andre Klapper <a9016009@gmx.de>
Date:	2010-05-27

    Some more GSeal fixing. See bug 612481.

M	gnome-panel/libpanel-applet-private/panel-applet-frame-dbus.c
M	gnome-panel/panel-widget.c

commit dcfff5495cd41ce31f834ec4c8d9531e8b9bdcdd
Author: Ivar Smolin <okul@linux.ee>
Date:	2010-05-27

    Estonian translation updated

M	po/et.po

commit ea36c132e4bc6593978a3b849b521fc98a89a4c6
Author: Liel Fridman <lielft@ubuntu.com>
Date:	2010-05-27

    Updated Hebrew translation

M	po/he.po

commit 823d01cc0865472e229d7635eef351f4ff81a871
Author: Ivar Smolin <okul@linux.ee>
Date:	2010-05-27

    Estonian translation updated

M	po/et.po

commit 54e24900d26d0734fb4e9ed8501d679369c6c303
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-05-26

    [release] post-release bump to 2.31.3

M	configure.in

commit 4f7d97f86536e6afcff7d6eefbaaeb235daa032f
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-05-26

    [release] 2.31.2

M	NEWS
M	README
M	configure.in
M	doc/reference/panel-applet/tmpl/panel-applet-gconf.sgml
M	doc/reference/panel-applet/tmpl/panel-applet-unused.sgml
M	doc/reference/panel-applet/tmpl/panel-applet.sgml

commit 25256403b78b9da5c7d113df064c5aa2a7ef41d8
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-05-26

    [build] Fix distcheck

    This includes removing a translatable string that has no interest, and
    using the ustar format for tar to have long filenames.

M	bonobo/panel-module/panel-applet-frame-bonobo.c
M	configure.in
M	doc/reference/panel-applet/Makefile.am
M	gnome-panel/libpanel-applet-private/Makefile.am
M	po/POTFILES.in

commit 2f788b897fabf5baed5d28522f346112b7f7a351
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-05-26

    Updated Spanish translation

M	po/es.po

commit 2de4df8952253cc70397fc07197e86475dbbd56d
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-05-26

    [panel] Fix removing applets that fail to load

    We were using freed memory...

M	gnome-panel/panel-applet-frame.c

commit 1f823129dc3b9c8d4c5b5b46f9efe9a93793b9d4
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-05-26

    [panel] Make sure that newly-created panels become unhidden

    The patch from a7412dfa introduces a bug where new panels will
    never get
    notified that they should start doing their initial animation; they'll
    always stay hidden.

M	gnome-panel/applet.c

commit 96fa5d9b7c84d266a840d5b68608af3a560ebde0
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-05-26

    [panel] Fix a crash when an applet cannot be loaded

    We load applets asynchronously, so we specifically don't call
    panel_applet_stop_loading() for this type. However, in case of failure
    during the load, we might call panel_applet_stop_loading()
    synchronously, which will make us lose the content of the applet
    variable. So we save the type to be sure we always ignore the applets.

M	gnome-panel/applet.c

commit 044ec26e33553cb16c31d1df0eb9fa1bde83a5d2
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-05-26

    [panel] PanelAppletFrame needs to be a subclass of GtkEventBox

    It was a subclass of GtkBin, which made it impossible to catch
    right-click button events on the handles.

    This also fixes the annoying bug where applets are not always visible
    (this was an issue caused by the way the allocation was used when an
    applet has a handle -- apparently, GtkBin doesn't work as I thought in
    this case).

M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-applet-frame.h

commit cacf025a7ac48fa4c2279a13d4c3c2905af38842
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-05-26

    [libpanel-applet-bonobo] Add a module to load bonobo applets

    So I'm adding back a temporary bonobo dependency (optional)
    because it's
    easier to test things this way -- in the long term, all the
    bonobo-related code will move to a separate module.

    We can load both dbus and bonobo applets now. There are a few bugs to
    fix, though.

M	Makefile.am
A	bonobo/Makefile.am
A	bonobo/idl/GNOME_Panel.idl
A	bonobo/idl/Makefile.am
A	bonobo/libpanel-applet/GNOME_Panel_TestApplet.server.in
A	bonobo/libpanel-applet/Makefile.am
A	bonobo/libpanel-applet/TODO
A	bonobo/libpanel-applet/libpanelapplet-2.0-uninstalled.pc.in
A	bonobo/libpanel-applet/libpanelapplet-2.0.pc.in
A	bonobo/libpanel-applet/panel-applet-gconf.c
A	bonobo/libpanel-applet/panel-applet-gconf.h
A	bonobo/libpanel-applet/panel-applet-marshal.list
A	bonobo/libpanel-applet/panel-applet-private.h
A	bonobo/libpanel-applet/panel-applet-shell.c
A	bonobo/libpanel-applet/panel-applet-shell.h
A	bonobo/libpanel-applet/panel-applet.c
A	bonobo/libpanel-applet/panel-applet.h
A	bonobo/libpanel-applet/panel-test-applets-bonobo.c
A	bonobo/libpanel-applet/panel-test-applets-bonobo.ui
A	bonobo/libpanel-applet/test-bonobo-applet.c
A	bonobo/panel-module/GNOME_Panel_Popup.xml
A	bonobo/panel-module/Makefile.am
A	bonobo/panel-module/panel-applet-frame-bonobo.c
A	bonobo/panel-module/panel-applet-frame-bonobo.h
A	bonobo/panel-module/panel-applets-bonobo-module.c
A	bonobo/panel-module/panel-applets-manager-bonobo.c
A	bonobo/panel-module/panel-applets-manager-bonobo.h
M	configure.in
M	gnome-panel/libpanel-applet-private/panel-applets-manager-dbus.c
M	gnome-panel/panel-applet-info.c

commit 9082d7e6eb268b4709d856387e874a2daf5c56e7
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-05-26

    [build, libpanel-applet] Rename the library to libpanel-applet-3

    The library has changed and applets need to be ported; and this will
    make it possible to have libpanel-applet-2 parallel-installable.

M	applets/clock/Makefile.am
M	applets/fish/Makefile.am
M	applets/notification_area/Makefile.am
M	applets/wncklet/Makefile.am
M	configure.in
M	libpanel-applet/Makefile.am
D	libpanel-applet/libpanelapplet-2.0.pc.in
R061	libpanel-applet/libpanelapplet-2.0-uninstalled.pc.in
libpanel-applet/libpanelapplet-3.0-uninstalled.pc.in
A	libpanel-applet/libpanelapplet-3.0.pc.in

commit 8d3aacc8ebca0a7d0f3899fbeefc2e09364e8220
Merge: 73ffa70 4bfab5e
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-05-26

    Merge remote branch 'origin/bonobo-less' into bonobo-less

commit 73ffa70ae87590118f470887232e2e567765d8c6
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-05-26

    [all] Various cleanups/tiny fixes

    Those are all small changes I want to do before the merge.

M	applets/clock/Makefile.am
R100	applets/clock/GNOME_ClockApplet.xml
applets/clock/clock-menu.xml
M	applets/clock/clock.c
R082	applets/clock/GNOME_ClockApplet.panel-applet.in.in
applets/clock/org.gnome.panel.ClockApplet.panel-applet.in.in
M	applets/fish/Makefile.am
R100	applets/fish/GNOME_FishApplet.xml	applets/fish/fish-menu.xml
M	applets/fish/fish.c
R092	applets/fish/GNOME_FishApplet.panel-applet.in.in
applets/fish/org.gnome.panel.FishApplet.panel-applet.in.in
M	applets/notification_area/Makefile.am
M	applets/notification_area/main.c
R100	applets/notification_area/GNOME_NotificationAreaApplet.xml
applets/notification_area/notification-area-menu.xml
R090
applets/notification_area/GNOME_NotificationAreaApplet.panel-applet.in.in
applets/notification_area/org.gnome.panel.NotificationAreaApplet.panel-applet.in.in
M	applets/wncklet/Makefile.am
R094	applets/wncklet/GNOME_Wncklet.panel-applet.in.in
applets/wncklet/org.gnome.panel.Wncklet.panel-applet.in.in
R100	applets/wncklet/GNOME_ShowDesktopApplet.xml
applets/wncklet/showdesktop-menu.xml
M	applets/wncklet/showdesktop.c
R100	applets/wncklet/GNOME_WindowListApplet.xml
applets/wncklet/window-list-menu.xml
M	applets/wncklet/window-list.c
R100	applets/wncklet/GNOME_WindowMenuApplet.xml
applets/wncklet/window-menu-menu.xml
M	applets/wncklet/window-menu.c
M	applets/wncklet/wncklet.c
R100	applets/wncklet/GNOME_WorkspaceSwitcherApplet.xml
applets/wncklet/workspace-switcher-menu.xml
M	applets/wncklet/workspace-switcher.c
M	configure.in
M	gnome-panel/applet.c
M	gnome-panel/gnome-panel-add.in
M	gnome-panel/libpanel-applet-private/panel-applet-container.c
M	gnome-panel/libpanel-applet-private/panel-applet-frame-dbus.c
M	gnome-panel/libpanel-applet-private/panel-applets-manager-dbus.c
M	gnome-panel/main.c
M	gnome-panel/panel-object.schemas.in
M	gnome-panel/panel-shell.c
M	gnome-panel/xstuff.c
M	libpanel-applet/Makefile.am
M	libpanel-applet/libpanelapplet-2.0-uninstalled.pc.in
M	libpanel-applet/libpanelapplet-2.0.pc.in
R052	libpanel-applet/GNOME_Panel_TestApplet.panel-applet.in
libpanel-applet/org.gnome.panel.TestApplet.panel-applet.in
M	libpanel-applet/panel-applet-factory.c
M	libpanel-applet/panel-applet-factory.h
M	libpanel-applet/panel-applet.c
M	libpanel-applet/panel-applet.h
M	libpanel-applet/test-dbus-applet.c
M	po/POTFILES.in

commit 4bfab5ed8466cc7b58114c338fdf184771bc36c9
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2010-05-26

    Update to new GDBus API

M	configure.in
M	gnome-panel/panel-applet-container.c
M	gnome-panel/panel-shell.c

commit bd8305fde4c52f6766d13fdac4842f95ecd78cc1
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-05-26

    [panel] Use a gio extension point to handle applets

    This way, we can have an external module to load bonobo applets.

M	configure.in
M	gnome-panel/Makefile.am
A	gnome-panel/libpanel-applet-private/Makefile.am
R100	gnome-panel/panel-applet-container.c
gnome-panel/libpanel-applet-private/panel-applet-container.c
R100	gnome-panel/panel-applet-container.h
gnome-panel/libpanel-applet-private/panel-applet-container.h
A	gnome-panel/libpanel-applet-private/panel-applet-frame-dbus.c
A	gnome-panel/libpanel-applet-private/panel-applet-frame-dbus.h
A	gnome-panel/libpanel-applet-private/panel-applet-mini.c
C059	gnome-panel/panel-applets-manager.c
gnome-panel/libpanel-applet-private/panel-applets-manager-dbus.c
A	gnome-panel/libpanel-applet-private/panel-applets-manager-dbus.h
M	gnome-panel/main.c
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-applet-frame.h
A	gnome-panel/panel-applet-info.c
C060	gnome-panel/panel-applets-manager.h
gnome-panel/panel-applet-info.h
M	gnome-panel/panel-applets-manager.c
M	gnome-panel/panel-applets-manager.h
A	gnome-panel/panel-modules.c
A	gnome-panel/panel-modules.h
M	gnome-panel/panel-test-applets.c

commit 4ec6c71ffbea8c3ee2702aa7bdb2805863bc22c4
Merge: d5d4824 76aef11
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-05-25

    Merge branch 'master' into bonobo-less

commit 76aef11152756e66ce5a0064c3ec195317b33f81
Author: Alan Monfort <alan.monfort@free.fr>
Date:	2010-05-22

    updated breton translation

M	po/br.po

commit fd633c296ae7940bc1bcc7e0c662b891a00b830a
Author: Alan Monfort <alan.monfort@free.fr>
Date:	2010-05-22

    updated breton translation

M	po/br.po

commit 2aa0f6dc92d5f395069f499fc0c08873e219270b
Author: Thomas Thurman <tthurman@gnome.org>
Date:	2010-05-20

    Updated Shavian translation

M	po/en@shaw.po

commit d5d482400f0f7a544c74d4625e578af1164dde3a
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2010-05-19

    Port panel shell to GDBus

M	configure.in
M	gnome-panel/panel-shell.c

commit 892473505cf3f026a785142060c773abbb640fb6
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2010-05-19

    Do not unwatch name when factory name appears

    I forgot to remove it.

M	gnome-panel/panel-applet-container.c

commit 28b98072b81be05911989c1b1c5d2fc09430c202
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2010-05-18

    Bump glib requirements and use GDBus instead of eggdbus

M	Makefile.am
M	configure.in
D	data/Makefile.am
D	data/panel-applet.xml
M	gnome-panel/Makefile.am
M	gnome-panel/panel-applet-container.c
M	gnome-panel/panel-applet-container.h
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-marshal.list
R092	libpanel-applet/panel-test-applets.c
gnome-panel/panel-test-applets.c
R100	libpanel-applet/panel-test-applets.ui
gnome-panel/panel-test-applets.ui
M	libpanel-applet/Makefile.am
M	libpanel-applet/panel-applet-factory.c
D	libpanel-applet/panel-applet-factory.xml
M	libpanel-applet/panel-applet.c
M	libpanel-applet/panel-applet.h

commit 85dd3c67cdfa0230a2e04ef5b9add020c9aee327
Author: Rajesh Ranjan <rranjan@rranjan.csb>
Date:	2010-05-13

    Updated Hindi Translations

M	po/hi.po

commit 2397835cbdecfa7d04589f1b68f5d49a2f17f283
Author: Thomas Thurman <tthurman@gnome.org>
Date:	2010-05-12

    Updated Shavian transliteration

M	po/en@shaw.po

commit d0f7bbee043097cae9da7201382830c6313bd6d5
Author: Sandeep Shedmake <sshedmak@redhat.com>
Date:	2010-05-12

    Updated Marathi Translations

M	po/mr.po

commit f1f997e575c184d5201462bcf4b27fc946e73096
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2010-05-11

    Updated Norwegian bokmål translation

M	po/nb.po

commit 99b75dd4ff065b4edd02722aa390226071ece212
Author: IWAI, Masaharu <iwaim.sub@gmail.com>
Date:	2010-05-05

    Fix Japanese translation.

M	po/ja.po

commit d8f7ff1ade1c6ba7d1922c4a4f34a998897b0405
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:	2010-05-04

    Updated Latvian translation.

M	po/lv.po

commit 546f5cc7f295f54f8cb46c0c1b7cdf7a0079f09d
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2010-04-28

    Fixed bugs #569604 and #571929 for be.po

M	po/be.po

commit 14c72a98febc4ed5f145342e2530cec38ecf19be
Author: Norayr Chilingaryan <norayr@arnet.am>
Date:	2010-04-28

    Updated Armenian translation.

M	po/hy.po

commit a83bb8a5ac772e7a0ec2d4a3a16926b7c964d0ab
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2010-04-26

    Updated Arabic translation

M	po/ar.po

commit 67c5de886c35985b9e9626a0de68cf71ce184907
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2010-04-21

    Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit a1dad2c90802f35c437cc7692f77190a7d011bab
Author: Shankar Prasad <svenkate@svenkate.pnq.redhat.com>
Date:	2010-04-21

    Updated Kannada translations

M	po/kn.po

commit aa159daaecfc7ad5577e1ce150ef4f59f937ad77
Author: Sandeep Shedmake <sshedmak@redhat.com>
Date:	2010-04-13

    Updated Marathi Translations

M	po/mr.po

commit e287cbf79cfe2e7eb7d05ce8e3e59b80bfe45246
Author: Andika Triwidada <andika@gmail.com>
Date:	2010-04-12

    Updated Indonesian translation

M	po/id.po

commit 1c5cf5b44c5dd0c644f31e8cd6d56a453e18dccd
Author: Thierry Randrianiriana <randrianiriana@gmail.com>
Date:	2010-04-11

    Updated Malagasy translation

M	po/mg.po

commit 6e31ace10643fe357b7c8cc49daae1ac1fc692c1
Author: Thierry Randrianiriana <randrianiriana@gmail.com>
Date:	2009-08-13

    Updated Malagasy translation

M	po/mg.po

commit ec1fcdadcc70a91c06c7f912af9907631d5984e5
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2010-04-09

    Updated Arabic translation

M	po/ar.po

commit 3355e01aae4826063be711425024420d5d39f9f0
Author: Jordi Serratosa <jordis.lists@gmail.com>
Date:	2010-04-02

    Fixes to Catalan translation

M	po/ca.po

commit 703594e82bf27c367895027d342f62cd8e3e546d
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2010-03-31

    Updated Basque language

M	po/eu.po

commit b7f42bac6db2b798feb71e31c67ba21fbf9bacde
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-03-30

    [release] post-release bump to 2.30.1

M	configure.in

commit 0d5840c1d7893100ac854738df1a7ff8d9d6cfb2
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-03-30

    [release] 2.30.0

M	NEWS
M	README
M	configure.in

commit f32a67c4953a570256e235fb923f0c4b8e95f90f
Author: Ani Peter <apeter@redhat.com>
Date:	2010-03-29

    Updated Malayalam Translations

M	po/ml.po

commit ee8e74099f6c437ae8b3ee1f90fc61eb9c879181
Author: Nikos Bakaoukas <nikolaosx1@gmail.com>
Date:	2010-03-29

    Updated Greek translation for fish documentation

M	help/fish/el/el.po

commit c03e055a4b3c35b1b9e83d2f48a45e5aa39844db
Author: Reşat SABIQ <tilde.birlik@gmail.com>
Date:	2010-03-28

    Updated Crimean Tatar (Crimean Turkish) translation

M	po/crh.po

commit dbb78136ec6aa566137c48679bbe25ea32e9c8db
Author: Petr Kovar <pknbe@volny.cz>
Date:	2010-03-28

    Fix Czech translation

    Thanks goes to Marek Cernocky.

M	po/cs.po

commit 47151ee27082e230c2610bc9e992480242e15803
Author: Nikos Bakaoukas <nikolaosx1@gmail.com>
Date:	2010-03-28

    Updated Greek translation for clock documentation

M	help/clock/el/el.po

commit 8464553d1ec6eab615e92d2788db8e3c3e0962b2
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:	2010-03-27

    Updated Danish translation of clock documetation

M	help/clock/da/da.po

commit 8c54fc5662629f853b6b82aaa1a1862198bf16d1
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:	2010-03-28

    Updated Bengali translation

M	po/bn.po

commit e22284a8139cec855b0c63d28914028e5eae49de
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2010-03-27

    Updated Basque language

M	po/eu.po

commit 6cb42678383e0d067cddcbec3c4413ce0a795a2d
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	2010-03-27

    Updated Danish translation

M	po/da.po

commit 18b0870ee42ec31b2b46abfacf6ea7c33ce15ef9
Author: Kevin_Wei_2 <kevin_wei3@yahoo.com.tw>
Date:	2010-03-27

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	help/clock/Makefile.am
A	help/clock/zh_HK/zh_HK.po
M	help/clock/zh_TW/zh_TW.po

commit fe946024d775fe98fb3166973a718cecf8728706
Author: parimbra <parimbra@redhat.com>
Date:	2010-03-26

    Malayalam translation updated by Praveen Arimbrathodiyil

M	po/ml.po

commit dee7aa243cc8bc91f0efe75d14fa4372f5d39804
Author: Bakaoukas Nikolaos <nikolaosx1@gmail.com>
Date:	2010-03-25

    Updated Greek translation

M	po/el.po

commit 22e2f1828926c90151b9c756a1eff43e4bf63146
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2010-03-24

    Updated Gujarati Translations

M	po/gu.po

commit 1a8ff56f7d0f893e392d7ecd8ee5b5db49c8d231
Author: Gil Forcada <gforcada@gnome.org>
Date:	2010-03-23

    Minor Catalan update

M	po/ca.po

commit d8c9052df94e5c23ad024eb0272adf5f3e3efcd6
Author: David Planella <david.planella@gmail.com>
Date:	2010-03-23

    Updated Catalan translation

M	po/ca.po

commit 0961be61178c221b023e2cc66ef40c50eb3676f7
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2010-03-23

    Updated Basque language

M	po/eu.po

commit b078e34999565224f321216d99d9b1caf9733896
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2010-03-23

    Updated Gujarati Translations

M	po/gu.po

commit 7259ca358f6c2eec10b8326b4f8d8d9ee81e7b56
Author: Miloš Popović <mpopovic@src.gnome.org>
Date:	2010-03-23

    Updated Serbian translations

M	po/sr.po
M	po/sr@latin.po

commit 3c7b44bb067e6e912be5e78836d3e32f917ad26b
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2010-03-22

    Updated Hungarian translation

M	po/hu.po

commit a8a820c5d26348c427080601d35b5424eae46da0
Author: Tomasz Dominikowski <dominikowski@gmail.com>
Date:	2010-03-22

    Updated Polish translation

M	po/pl.po

commit 39d6996066d492805f0968315e4ea49c3c7a871b
Author: David Planella <david.planella@gmail.com>
Date:	2010-03-21

    Catalan translation changes

M	po/ca.po

commit 9a1f0728d44e3fac1dc7dab94328686a5a7e0d93
Author: Pavol Šimo <palo.simo@gmail.com>
Date:	2010-03-21

    Updated Slovak translation

M	po/sk.po

commit 40bb3f22dcf50120f0791fd5a6aae53a33bdee26
Author: Bruno Brouard <annoa.b@gmail.com>
Date:	2010-03-21

    Updated Doc French translation

    Contributed by Laurent Coudeur <laurentc@iol.ie>

M	help/clock/fr/fr.po

commit 7b8efd2ea1f1813fdddb384d6429b00fe1433a9f
Author: Hideki Yamane (Debian-JP) <henrich@debian.or.jp>
Date:	2010-03-19

    Updated Japanese translation.
    Reviewed by Kiyotaka NISHIBORI.

M	po/ja.po

commit 00d4531299222bcb3a0e094f9cf9292e6964c117
Author: Reşat SABIQ <tilde.birlik@gmail.com>
Date:	2010-03-18

    Updated Crimean Tatar (Crimean Turkish) translation

M	po/crh.po

commit 52be94c3386c3b3e63999a549fe72ce73eb4cbfd
Author: Tommi Vainikainen <thv@iki.fi>
Date:	2010-03-18

    Updated Finnish translation

M	po/fi.po

commit fd9f10166a7b7b9f1bb2b0171be07a570446ece0
Author: A S Alam <aalam@users.sf.net>
Date:	2010-03-17

    updating for Punjabi by A S Alam

M	po/pa.po

commit 175ced6384b97f87fb8e750ac069a20e93bdfda0
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:	2010-03-16

    Dutch translation updated by Wouter Bolsterlee

M	po/nl.po

commit fcf68fd2f6db227568c6808a74d86f862fd3c8c8
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2010-03-15

    Updated Arabic translation

M	po/ar.po

commit 487520d5224343562b89f8a1b94eb11f42c99950
Author: Friedel Wolff <friedel@translate.org.za>
Date:	2010-03-14

    Update Afrikaans translation

M	po/af.po

commit 4218e671092653325af3682101e1c9bbe27a5a21
Author: Praveen Arimbrathodiyil <pravi.a@gmail.com>
Date:	2010-03-13

    gnome-panel Malayalam translations updated

M	po/ml.po

commit ea869d011ab25a592a7c7918fadbbe39cfe648b5
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2010-03-12

    Updated Basque language

M	po/eu.po

commit eae25dbf9100e467ee354f3ad030f55424c2e733
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2010-03-11

    Updated Basque language

M	po/eu.po

commit 1c8b42e38ef81f8b2530f67ef49d10831063e569
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:	2010-03-11

    Updated Ukrainian translation

M	po/uk.po

commit a01e4b55e90eca329124b2a668b0aa6a53a904bd
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-03-10

    [panel] Some GSeal work, for fun

M	gnome-panel/nothing.cP

commit 5dae8fcf741d575770f39d5003e01b5da2728a6f
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-03-10

    [release] post-release bump to 2.30.0

M	configure.in

commit d0dd07a6e877f70bd929800b2ec779ebc777df0e
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-03-10

    [release] 2.29.92.1

M	NEWS
M	README
M	configure.in

commit f5680f766a78f35f9e7ac41b0c23769a9ceabe2c
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-03-09

    [panel] Fix crash when using the main menu

    Replacing gtk_button_released() with a button-release-event in commit
    13b2f9cd causes crashes, because we probably need to pass an event as
    argument to the signal. But we don't have this.

    However, it turns out that we don't need that call at all: this was
    probably needed for the released signal in ButtonWidget, but on
    2004-01-19, it got removed (commit 50855ce2). So the fix is to just
    remove this line.

M	gnome-panel/panel-menu-button.c

commit 549cd638f96e1899b0c1e1c800dad62cfa29362f
Author: Marek Černocký <marek@manet.cz>
Date:	2010-03-09

    Update Czech translation

M	help/clock/cs/cs.po

commit c487fc10c75b2d9b6650da2449c157bef6793ddc
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-03-09

    [build] Add configure summary

M	configure.in

commit 9352dab1421a9d751a05b9f233664a0721c7b391
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-03-09

    [release] post-release bump to 2.30.0

M	configure.in

commit f543279cf8fc4c0b6160e9c4c44f844ae8ba8e4b
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-03-09

    [release] 2.29.92

M	NEWS
M	README
M	configure.in

commit dd041a313fa563ae9a01dccdca0509fae1efbdb1
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2010-03-09

    [na] Make location of standard status icons predictable

    We define a list of known standard status icons, and we make sure they
    always appear in the same order in the notification area.

    All other icons appear on the left (in LTR environments) of those
    known
    standard status icons.

    More information on this can be found at:
      http://live.gnome.org/Features/StandardIconOrdering

    https://bugzilla.gnome.org/show_bug.cgi?id=583115

M	applets/notification_area/na-tray-child.c
M	applets/notification_area/na-tray-child.h
M	applets/notification_area/na-tray.c

commit 6478fe0099de086a7a6df0c2111a4848c7a5fdfa
Author: Philippe Gauthier <philippe.gauthier@deuxpi.ca>
Date:	2010-02-02

    [clock] Validate input in add location dialog

    Make the OK button sensitive only when a city name and a timezone are
    defined.

    https://bugzilla.gnome.org/show_bug.cgi?id=608830

M	applets/clock/clock.c

commit 732fbca9bb3f3143c2e721884ca1e570929c81f5
Author: Marcel Stimberg <marcelcoding@googlemail.com>
Date:	2010-03-09

    [panel] Use special XDG directory icon names

    https://bugzilla.gnome.org/show_bug.cgi?id=586695

M	gnome-panel/panel-icon-names.h
M	gnome-panel/panel-menu-items.c
M	gnome-panel/panel-util.c
M	gnome-panel/panel.c

commit bb948e60ef2b310515ba9c446c9c51057cfa275f
Author: Kyle Pelton <peltonkyle@gmail.com>
Date:	2010-03-09

    [panel] Make email addresses hyperlinks in about dialog

    https://bugzilla.gnome.org/show_bug.cgi?id=607310

M	gnome-panel/panel-context-menu.c

commit 51fd73ddd980a81c65b3f0c68cf6f700c1e76e16
Author: Frank Solensky <frank@src.gnome.org>
Date:	2009-11-29

    [clock] Use icon fallbacks if the theme does not include phases
    of moon

    The changes for bgo#564958 (gweather doesn't show phase of moon) will
    allow weather_info_get_icon_name() to return values that aren't
    expected
    to be provided in all themes.

    We now use the GTK_ICON_LOOKUP_GENERIC_FALLBACK flag so that the
    application will fallback to a full moon if a shaded moon isn't
    available.

    https://bugzilla.gnome.org/show_bug.cgi?id=603306

M	applets/clock/clock-location-tile.c
M	applets/clock/clock.c

commit 8871b8e00929df310936f0d6ba8b7b88044e2e4f
Author: Mark McLoughlin <mark@skynet.ie>
Date:	2010-03-09

    [panel] Fix applet right-sticking on screen resolution change

    https://bugzilla.gnome.org/show_bug.cgi?id=314235
    https://bugzilla.gnome.org/show_bug.cgi?id=341441

M	gnome-panel/panel-widget.c

commit 36b2f812d578cc2ac1314cf88ac5bb69c48562ee
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2010-03-09

    Updated Portuguese translation

M	po/pt.po

commit 91e58f76c4ef371529192b5f494f1642f2bac4a4
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-03-08

    [panel] Display GenericName in tooltip if there's no Comment

    This can help users get a good idea of what the application is about.

    https://bugzilla.gnome.org/show_bug.cgi?id=605817

M	gnome-panel/menu.c

commit 6411961aaed46cee266a0e41442b1f309b38b60a
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-03-08

    Updated German doc translation

M	help/clock/de/de.po

commit ed378264884b7b3fc69283499f68a40098c5069e
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-03-08

    Updated Spanish translation

M	help/clock/es/es.po

commit 1d50342f1bcffb51fe6a0f3e751a94350b154220
Author: Andre Klapper <a9016009@gmx.de>
Date:	2010-03-07

    Fix wrong string: "Speed" instead of "Temperature". Fixes bug 612068.

M	help/clock/C/clock.xml

commit 402a9e51c2753484e82074f800af3c1046a3f8b6
Author: Marek Černocký <marek@manet.cz>
Date:	2010-03-07

    Update Czech translation

M	help/clock/cs/cs.po
A	help/clock/cs/figures/clock_applet.png

commit 928d0efee2c8cf0376fa4866d2a85fb7eb9636bd
Author: Luca Ferretti <lferrett@gnome.org>
Date:	2010-03-06

    Updated Italian translation

M	po/it.po

commit cab61352b5b615dad9b7516339f27dd4d5219a6d
Author: Gintautas Miliauskas <gintautas@miliauskas.lt>
Date:	2010-03-05

    Updated Lithuanian translation.

M	po/lt.po

commit 13b2f9cdf708856655bb797f24704d9938b5942a
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-03-04

    [all] Build with latest GSeal'ed gtk+

    This means we now require gtk+ 2.19.7.

M	applets/clock/clock-location-tile.c
M	applets/clock/clock.c
M	applets/fish/fish.c
M	applets/notification_area/na-tray-child.c
M	applets/notification_area/na-tray-manager.c
M	applets/notification_area/na-tray.c
M	applets/notification_area/testtray.c
M	applets/wncklet/window-menu.c
M	configure.in
M	gnome-panel/applet.c
M	gnome-panel/button-widget.c
M	gnome-panel/drawer.c
M	gnome-panel/libpanel-util/panel-icon-chooser.c
M	gnome-panel/menu.c
M	gnome-panel/nothing.cP
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-ditem-editor.c
M	gnome-panel/panel-frame.c
M	gnome-panel/panel-menu-bar.c
M	gnome-panel/panel-menu-button.c
M	gnome-panel/panel-separator.c
M	gnome-panel/panel-struts.c
M	gnome-panel/panel-toplevel.c
M	gnome-panel/panel-widget.c
M	gnome-panel/xstuff.c
M	libpanel-applet/panel-applet.c

commit 99153119ef6c7f5b84b8768c718898960fd3f5aa
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2010-03-02

    Updated Korean translation

M	po/ko.po

commit a284c7c9ca76041f03785ae241b44a72cdfcec13
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:	2010-02-27

    Updated German translation

M	po/de.po

commit 1ebb7a48d978feae662097e6d05dbe0c40b8849c
Author: Torstein Adolf Winterseth <kvikende@yahoo.no>
Date:	2010-02-27

    Updated Norwegian Nynorsk translation

M	po/nn.po

commit 9a93e1fda49a9c4e6e9fbfbe5fb6fcb5d18f65bf
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2010-02-26

    Remove bonobo from gnome-panel-add script too

M	gnome-panel/Makefile.am
M	gnome-panel/gnome-panel-add.in

commit f03b5a779103d32fda703697c2605966dce812c5
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2010-02-26

    Rename PANEL_OBJECT_BONOBO as PANEL_OBJECT_APPLET

M	gnome-panel/applet.c
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-compatibility.c
M	gnome-panel/panel-enums.h
M	gnome-panel/panel-profile.c
M	gnome-panel/panel-widget.c
M	gnome-panel/panel.c

commit 8ddaa9e161ce0e9b60424b0def2b2166b00feb5e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2010-02-26

    [applets-manager] Check directory when updating an applet file

    Make sure we don't update an applet that has changed in another source
    dir unless it takes precedence over the current one.

M	gnome-panel/panel-applets-manager.c

commit 6b05adbaa99cfff27b78901e39f71a9e77eef1d8
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2010-02-26

    [applets-manager] Applet paths that appear first should take
    precedence

M	gnome-panel/panel-applets-manager.c

commit dd76f03f0a8509fb4f457ef16f9bc6096f6e7ab5
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2010-02-26

    [applets-manager] Make sure there aren't duplicated applet dirs

M	gnome-panel/panel-applets-manager.c

commit 9c7b461783c855feccb4e79ace4e5729ff02159d
Author: Leonid Kanter <leon@asplinux.ru>
Date:	2010-02-25

    Update Russian translation by Yuri Kozlov <yuray@komyakino.ru>

M	po/ru.po

commit 929badb1f22d04de5dbfda9748eaecc698b6c97b
Author: Nikos Charonitakis <nikosx@gmail.com>
Date:	2010-02-25

    Updated Greek translation

M	po/el.po

commit 05e92fc8ba9197f6b8924d1f7f34d88c347ef1c3
Author: Bruce Cowan <bcowan@fastmail.co.uk>
Date:	2010-02-24

    Updated British English translation

M	po/en_GB.po

commit 1180627404e3a9ae0da75bdff85188adce7fff37
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:	2010-02-23

    Updated Danish translation

M	help/clock/da/da.po

commit 057dc45e9967851ba6b75aab823ec881ac4124b4
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-22

    [release] post-release bump to 2.29.92

M	configure.in

commit 092287e0b538fa76a007c5f5f68c099718baa33b
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-22

    [release] 2.29.91

M	NEWS
M	README
M	configure.in

commit 060e36388809aa4a6ce35bd602ab865c47d3b529
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2010-02-20

    Remove bonobo dependency

    Libpanel-applet and gnome-panel have been ported to dbus and the
    applets
    have been migrated to the new libpanel-applet API.
    See bug #572131.

M	Makefile.am
A	applets/clock/GNOME_ClockApplet.panel-applet.in.in
M	applets/clock/GNOME_ClockApplet.xml
D	applets/clock/GNOME_ClockApplet_Factory.server.in.in
M	applets/clock/Makefile.am
M	applets/clock/clock.c
A	applets/clock/org.gnome.panel.applet.ClockAppletFactory.service.in
A	applets/fish/GNOME_FishApplet.panel-applet.in.in
M	applets/fish/GNOME_FishApplet.xml
D	applets/fish/GNOME_FishApplet_Factory.server.in.in
M	applets/fish/Makefile.am
M	applets/fish/fish.c
A	applets/fish/org.gnome.panel.applet.FishAppletFactory.service.in
A
applets/notification_area/GNOME_NotificationAreaApplet.panel-applet.in.in
D
applets/notification_area/GNOME_NotificationAreaApplet.server.in.in
M	applets/notification_area/GNOME_NotificationAreaApplet.xml
M	applets/notification_area/Makefile.am
M	applets/notification_area/main.c
A
applets/notification_area/org.gnome.panel.applet.NotificationAreaAppletFactory.service.in
M	applets/wncklet/GNOME_ShowDesktopApplet.xml
M	applets/wncklet/GNOME_WindowListApplet.xml
M	applets/wncklet/GNOME_WindowMenuApplet.xml
A	applets/wncklet/GNOME_Wncklet.panel-applet.in.in
D	applets/wncklet/GNOME_Wncklet_Factory.server.in.in
M	applets/wncklet/GNOME_WorkspaceSwitcherApplet.xml
M	applets/wncklet/Makefile.am
A	applets/wncklet/org.gnome.panel.applet.WnckletFactory.service.in
M	applets/wncklet/showdesktop.c
M	applets/wncklet/window-list.c
M	applets/wncklet/window-menu.c
M	applets/wncklet/wncklet.c
M	applets/wncklet/workspace-switcher.c
M	configure.in
A	data/Makefile.am
A	data/panel-applet.xml
D	gnome-panel/GNOME_Panel_Popup.xml
M	gnome-panel/Makefile.am
M	gnome-panel/main.c
M	gnome-panel/panel-addto.c
A	gnome-panel/panel-applet-container.c
A	gnome-panel/panel-applet-container.h
M	gnome-panel/panel-applet-frame.c
M	gnome-panel/panel-applet-frame.h
A	gnome-panel/panel-applets-manager.c
A	gnome-panel/panel-applets-manager.h
M	gnome-panel/panel-compatibility.c
M	gnome-panel/panel-compatibility.h
M	gnome-panel/panel-object.schemas.in
M	gnome-panel/panel-types.h
M	gnome-panel/xstuff.c
D	idl/ChangeLog.pre-git
D	idl/GNOME_Panel.idl
D	idl/Makefile.am
A	libpanel-applet/GNOME_Panel_TestApplet.panel-applet.in
D	libpanel-applet/GNOME_Panel_TestApplet.server.in
M	libpanel-applet/Makefile.am
M	libpanel-applet/libpanelapplet-2.0-uninstalled.pc.in
M	libpanel-applet/libpanelapplet-2.0.pc.in
A	libpanel-applet/panel-applet-factory.c
A	libpanel-applet/panel-applet-factory.h
A	libpanel-applet/panel-applet-factory.xml
M	libpanel-applet/panel-applet-gconf.c
D	libpanel-applet/panel-applet-private.h
D	libpanel-applet/panel-applet-shell.c
D	libpanel-applet/panel-applet-shell.h
M	libpanel-applet/panel-applet.c
M	libpanel-applet/panel-applet.h
M	libpanel-applet/panel-test-applets.c
R058	libpanel-applet/test-bonobo-applet.c
libpanel-applet/test-dbus-applet.c
M	po/POTFILES.in

commit 032315edb36ac7e321ebc48c3f37ad845e07afbb
Author: Petr Kovar <pknbe@volny.cz>
Date:	2010-02-21

    Update Czech translation

M	po/cs.po

commit b249dc49a3605979be704c9a8c3e04b82e92daf7
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2010-02-21

    Updated Polish translation

M	po/pl.po

commit 5bcc53dd936b07c0835b96f36f95f978f24601bc
Author: Henrique P. Machado <hpmachado@gnome.org>
Date:	2010-02-19

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 169390d367683bf8aabf4009fd50174559d70fc1
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-02-19

    Updated German translation

M	po/de.po

commit c90fe9c751d45b3eb3dbb37de2fa815329c28439
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2010-02-16

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 92cc5385c24593f6ea03ae2a3f094727a08586a7
Author: Fran Diéguez <frandieguez@ubuntu.com>
Date:	2010-02-15

    Updated Galician Translation.

M	po/gl.po

commit e08cecc6256758c541d0dd8e6d5ea28cac8c1704
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:	2010-02-13

    Update Romanian translation

M	po/ro.po

commit d4e59f5f48fbfb27e25a0a9e9a80dfc80a8f3cf3
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2010-02-11

    Hungarian translation updated

M	po/hu.po

commit 67fd15da344e590314b92147382d2cc37f074136
Author: Chris Coulson <chrisccoulson@googlemail.com>
Date:	2010-02-10

    Add X-GNOME-AutoRestart to desktop file

    We don't set the restart style to SmRestartImmediately since the
    migration to EggSMClient. This fixes that.

M	gnome-panel/gnome-panel.desktop.in.in

commit e634f1351fce20be82ca2a063e46823367ccf070
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2010-02-09

    Make sunrise/sunset and other times follow the 12/24h preference

    Patch by Ted M Lin, see bug 520226.

M	applets/clock/clock-location-tile.c
M	applets/clock/clock-location-tile.h
M	applets/clock/clock.c

commit 497c55cef27d40c3dd5dac5339ee5583b15bba72
Author: Claude Paroz <claude@2xlibre.net>
Date:	2010-02-06

    Updated French translation

M	po/fr.po

commit af29bac93fd963af5542801ce8306bd2cdbf4bff
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-02-05

    Updated German doc translation

M	help/clock/de/de.po

commit 2a7f94f901455297f5d5c588a48f226bbfb446f3
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-01-31

    Updated Spanish translation

M	help/clock/es/es.po

commit 16ac2368184b7f61eda9139cc83f41946a32bc60
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:	2010-01-29

    Updated Thai translation.

M	po/th.po

commit 7cea7b0b0fe04a4bb6bfb394806ed0f9529c2e1f
Author: Ivar Smolin <okul@linux.ee>
Date:	2010-01-28

    Updating Estonian translation

M	po/et.po

commit 70e10a9f2fbddae4bab8740f482634f4678cab3d
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-01-28

    Updated Slovenian translation

M	po/sl.po

commit e7aed1a48c5c8aaca8e99cc5ee6611d31c72b060
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-01-27

    [release] post-release bump to 2.29.90

M	configure.in

commit 70a81c801f257a112bc6239c339e121dd094ae41
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-01-27

    [release] 2.29.6

M	NEWS
M	README
M	configure.in

commit c1aa24b09dddb57dd3b6142c02ed50fc7d6b5610
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-01-27

    [panel] Add missing include

M	gnome-panel/main.c

commit a7412dfa955f5f27550e160d00c1e980231b9126
Author: Sébastien Bacher <seb128@ubuntu.com>
Date:	2010-01-27

    [panel] Load applets in a high-priority idle loop on startup

    Since we don't care about the toplevel redraws at startup (they are
    hidden), this makes sense.

    https://bugzilla.gnome.org/show_bug.cgi?id=608254

M	gnome-panel/applet.c
M	gnome-panel/applet.h
M	gnome-panel/panel-profile.c

commit a511d24b9ac6b26bf7e311be92df306e33c0908f
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-01-27

    Updated Slovenian translation

M	po/sl.po

commit 9fc2af17539bdb8b595e377b4f8131799bd33971
Author: Alexander Shopov <ash@contact.bg>
Date:	2010-01-26

    Updated Bulgarian translation

M	po/bg.po

commit 7f69b353259da96dbff7ccb8e3e831f48beaddff
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:	2010-01-26

    Updated Bengali translation

M	po/bn.po

commit 5cc71a370ae0f85991b9eb3d73744a1698e511ee
Author: Paul Cutler <pcutler@gnome.org>
Date:	2010-01-25

    Remove preferences docs for features no longer in the clock; update
    docs for general prefs and add docs for location and weather prefs
    (fix BGO 581505)

M	help/clock/C/clock.xml

commit def1c640e539d49992c716ef8628671aa61058ce
Author: Aron Xu <aronxu@gnome.org>
Date:	2010-01-24

    Update Simplified Chinese translation.

M	po/zh_CN.po

commit 99b0a9a650e097451949ee840d4a637ee1348514
Author: Umarzuki bin Mochlis Moktar <umarzuki@gmail.com>
Date:	2010-01-23

    Updated Malay translation

M	po/ms.po

commit ba3ceebc63d8d6fbc69776a8cd8686419016c30c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2010-01-22

    Updated Norwegian bokmål translation

M	po/nb.po

commit 0f8a732cf45f78d9676fe72caeda8b2287ce52ff
Author: vasudeven <agnihot3@gmail.com>
Date:	2010-01-22

    updated Tamil translation

M	po/ta.po

commit 71a884c348b514c1dd22bc16f8fb3389cd7d7ad8
Author: Ivar Smolin <okul@linux.ee>
Date:	2010-01-17

    Updating Estonian translation

M	po/et.po

commit 0751b2e22c649879904fbd480b667229f33d80b5
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-01-14

    [release] post-release bump to 2.29.6

M	configure.in

commit d68e9ced9fa86b78f9c128fcbb37be8ad9b80fcf
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-01-14

    [release] 2.29.5.1

M	NEWS
M	README
M	configure.in

commit c390b0765038644e6e63b6ca250af2993f2a434f
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-01-14

    [panel] Initiliaze bonobo

    Apparently, calling bonobo_init() is really needed. At least for
    others,
    since it works fine for me without it. Weird. Anyway, it doesn't hurt.

M	gnome-panel/main.c

commit bf77817b69d0a96fa34ce8ba83f219d811fcf736
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-01-14

    [panel] Initialize GError to NULL in panel_launcher_create_from_info()

    Should fix https://bugzilla.gnome.org/show_bug.cgi?id=594054

M	gnome-panel/launcher.c

commit ad8d6aafc7a2557e3ee91ed28bf77cd8f4ede90a
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-01-14

    [misc] Require gnome-desktop >= 2.24.0

    https://bugzilla.gnome.org/show_bug.cgi?id=578548

M	configure.in

commit b0d742da06df69fd70fb38af927cada4cebcfca3
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-01-14

    [clock] Avoid unnecessary wakeups when monitoring non-existing files

    If the parent directory of a timezone-related file doesn't exist
    on the
    system, then it means the file is not useful to determine the timezone
    on this system.

    Since gio doesn't handle well monitoring files in non-existing
    directories (it polls every other second), this should avoid
    unnecessary
    wakeups.

    https://bugzilla.gnome.org/show_bug.cgi?id=580357

M	applets/clock/system-timezone.c

commit 33ba10e9aba8b5490ee3d749d8aa0f62e383d5a1
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-01-14

    [clock] Move the system-timezone tests to test-system-timezone

    Also add a monitor mode.

M	applets/clock/Makefile.am
M	applets/clock/system-timezone.c
A	applets/clock/test-system-timezone.c

commit f70c26439c626776756b326d6d145f650774d205
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2010-01-13

    Updated Norwegian bokmål translation

M	po/nb.po

commit 3d2dc42b4bfe3448a941af0dc1c1486ec3e28859
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-01-13

    [panel] Update to latest EggSMClient code, and adapt code

    We don't need egg_sm_client_startup() anymore: changing the mode
    will be
    enough now.

M	gnome-panel/libegg/eggsmclient.c
M	gnome-panel/libegg/eggsmclient.h
M	gnome-panel/panel-session.c

commit 21b457ed328f66a026de78f3939081bd32019d12
Author: Daniel Nylander <po@danielnylander.se>
Date:	2010-01-13

    Updated Swedish translation

M	po/sv.po

commit 3fa57248d31378fdd125e343121b4f94aad0f6a2
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2010-01-13

    Updated Arabic translation

M	po/ar.po

commit 6df62b27d86cb163087e2e5b0b8434105031fcdb
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-01-12

    Updated Spanish translation

M	po/es.po

commit 0e384e33587fe0e1bea11e5ecf7a0b11d629d3ca
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-01-12

    [release] post-release bump to 2.29.6

M	configure.in

commit bf1dd0f29a93e4a99f871f201a572dc6830c349a
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-01-12

    [release] 2.29.5

M	NEWS
M	README
M	configure.in

commit 62d2837fdbac3e9c0404b855c0d9dd556c508dc8
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-01-12

    [po] Update POTFILES.in

M	po/POTFILES.in

commit f24dbdbfb1ebb20a883089fb3282690a89abdc73
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-01-12

    [panel] Do not add (deprecated) Encoding key when creating desktop
    files

M	gnome-panel/libpanel-util/panel-keyfile.c

commit 77ccd4764928fe0cafed38aa3a370bd653a35193
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-01-12

    [panel] Get rid of the last bits of libgnome* (GnomeClient)

    Here's a summary of what was done here:
     - remove configure checks for libgnome and libgnomeui
     - add a copy of EggSMClient (and add configure checks for sm & ice)
     - patch the copy of EggSMClient to add egg_sm_client_startup. See
       https://bugzilla.gnome.org/show_bug.cgi?id=606786 for details
     - convert the GnomeClient code we were using to use EggSMClient
     - use egg_set_desktop_file(), so we don't have to manually set the
       application name and default window icon
     - replace GnomeProgam usage with GOption and gtk_init()
     - remove the gnome_disable_sound_events workaround in PanelToplevel
       (that was disabling libgnomeui sounds for those widgets)

    Note that we apparently don't need to call bonobo_init(), so we don't
    call it for now.

M	configure.in
M	gnome-panel/Makefile.am
A	gnome-panel/libegg/Makefile.am
A	gnome-panel/libegg/eggdesktopfile.c
A	gnome-panel/libegg/eggdesktopfile.h
A	gnome-panel/libegg/eggsmclient-private.h
A	gnome-panel/libegg/eggsmclient-xsmp.c
A	gnome-panel/libegg/eggsmclient.c
A	gnome-panel/libegg/eggsmclient.h
M	gnome-panel/main.c
M	gnome-panel/panel-session.c
M	gnome-panel/panel-toplevel.c

commit 4f278c623e5b0ad953f711ee49db0f5c714144a6
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-01-12

    [build] Remove useless crap from CFLAGS

M	gnome-panel/Makefile.am
M	gnome-panel/libpanel-util/Makefile.am

commit cda17068f4d1ebb97dc6059f5d53a2de950a55af
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-01-12

    [panel] Port away from GnomeSound to canberra

    Note that gnome-panel now requires libcanberra-gtk to compile.

M	configure.in
M	gnome-panel/gnome-desktop-item-edit.c
M	gnome-panel/nothing.cP

commit fe174bb7e97a787d2d841c3a251965b14ccf8b16
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-01-12

    [clock] Remove usage of gmt_time gconf key

    Using this key most probably breaks some part of the UI of the clock
    applet since quite some time. People can use the GMT timezone instead.

M	applets/clock/calendar-window.c
M	applets/clock/calendar-window.h
M	applets/clock/clock.c
M	applets/clock/clock.schemas.in

commit d75a184548b97203b0ff2ff26348bfe40a2ca286
Author: Javier Jardón <jjardon@gnome.org>
Date:	2010-01-12

    [panel] Remove libgnomeui dependency from gnome-desktop-item-edit

    Replace gnome_program_init() with gtk_init_with_args()

    https://bugzilla.gnome.org/show_bug.cgi?id=586846

M	gnome-panel/gnome-desktop-item-edit.c

commit 93d07aae99349c37730e509a2ab4906885ad3bae
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-01-12

    [panel] Port away from GnomeIconEntry

    We add a new PanelIconChooser widget, which is a simple button
    opening a
    GtkFileChooser.

    Some code is also factored in libpanel-util:
     - API to easily add an image preview to a file chooser (moved
     away from
       gnome-panel-properties.c)
     - some XDG-related icon theme API (moved away from panel-util.c:
       panel_util_icon_remove_extension is renamed to
       panel_xdg_icon_remove_extension)

    The new PanelIconChooser is now used in panel-ditem-editor.c and
    panel-properties-dialog.c. This enables us to remove some workaround
    to
    handle icon themes in a hacky way -- this is now hidden in
    PanelIconChooser.

M	gnome-panel/libpanel-util/Makefile.am
A	gnome-panel/libpanel-util/panel-gtk.c
M	gnome-panel/libpanel-util/panel-gtk.h
A	gnome-panel/libpanel-util/panel-icon-chooser.c
A	gnome-panel/libpanel-util/panel-icon-chooser.h
A	gnome-panel/libpanel-util/panel-xdg.c
C073	gnome-panel/libpanel-util/panel-gtk.h
gnome-panel/libpanel-util/panel-xdg.h
M	gnome-panel/menu.c
M	gnome-panel/panel-ditem-editor.c
M	gnome-panel/panel-properties-dialog.c
M	gnome-panel/panel-util.c
M	gnome-panel/panel-util.h

commit ed98774a1116a8ec3868615d9d8723ff9c832f6d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2010-01-12

    Check errors returned by PolicyKit

    Not checking them could lead to crashes. See bug 604678.

M	applets/clock/gnome-clock-applet-mechanism.c

commit 5ff272ab5dbdfd3a0c259e333a9dfe006ed0e431
Author: Gustavo Noronha Silva <gns@gnome.org>
Date:	2010-01-06

    Impose a limit on the size of the bookmarks file

    This is to avoid users shooting themselves in the foot, and to avoid
    having gnome-panel become unusable if a bad application creates a big
    bookmarks file.

    https://bugzilla.gnome.org/show_bug.cgi?id=606280

M	gnome-panel/panel-menu-items.c

commit 2754ba11918ddd399ee2ff23ea2e4f19175ec43e
Author: Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>
Date:	2010-01-06

    Make sure URI has been converted to path

    https://bugzilla.gnome.org/show_bug.cgi?id=606277

M	gnome-panel/panel-util.c

commit 415a173d884bd11090fd4fd50c15adae9ad9420b
Author: Fotis Tsamis <ftsamis@gmail.com>
Date:	2010-01-03

    Updated Greek translation

M	help/clock/el/el.po

commit ab22a5aef9c68368bf3db07731134c0f22b40fea
Author: Carlos Manuel <crolidge@gmail.com>
Date:	2009-12-05

    Updated Portuguese translation

M	help/clock/Makefile.am
A	help/clock/pt/pt.po

commit 81622731da4eff6924869aba43315b2cbf741705
Author: Aron Xu <aronxu@gnome.org>
Date:	2009-11-30

    Update Simplified Chinese translation

M	po/zh_CN.po

commit 1f1de00bd09b7a37608edc98114d2f229ae66d89
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2009-11-27

    Updated Slovenian translation

M	po/sl.po

commit e3efcb3220ed17f8006553f209407b8c63c004bf
Author: Nils-Christoph Fiedler <fiedler@medienkompanie.de>
Date:	2009-11-25

    Updated LowGerman translation

M	po/nds.po

commit 2baca3d5d9e522c0e1f665b1675ea94a85b5cf79
Author: Nils-Christoph Fiedler <fiedler@medienkompanie.de>
Date:	2009-11-22

    Updated Low German translation

M	po/nds.po

commit c7544feadeffae808da568dc75b0cae76dacf55f
Author: Aron Xu <aronxu@gnome.org>
Date:	2009-11-19

    Update Simplified Chinese translation.

M	po/zh_CN.po

commit 68e427d3575a90b368130403992cd605482a7475
Author: Nils-Christoph Fiedler <fiedler@medienkompanie.de>
Date:	2009-11-15

    Updated Low German translation

M	po/nds.po

commit 32c7579bab074958c3b77fd2706cb223952788b0
Author: Aron Xu <aronxu@gnome.org>
Date:	2009-11-13

    Update Simplified Chinese translation.

M	po/zh_CN.po

commit 03e74c8639ddd86ee32b1066456b086ebcc6c020
Author: David Planella <david.planella@gmail.com>
Date:	2009-11-10

    Fix a string translation in Catalan

M	po/ca.po
M	po/ca@valencia.po

commit 0b9dcfb5f66fc264e4744b6a1833979adaa93f86
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:	2009-11-08

    Added Danish translation

A	help/clock/da/da.po

commit 3d43d45f38b665223b9d0cef29ab2beff59f8187
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:	2009-11-08

    Added da to list of languages

M	help/clock/Makefile.am

commit 64a9828c557a5c3de97f02545c791ad3c33fc52c
Author: arccos(L.Q) <boyermoore@gmail.com>
Date:	2009-11-06

    Updated Simplified Chinese translations.

M	po/zh_CN.po

commit c5adf2e5a3cd4a3d7cc199299117ab25c169d450
Author: Gil Forcada <gforcada@gnome.org>
Date:	2009-11-05

    Minor fixes to Catalan translation

M	po/ca.po

commit e44e18fb9abda354c86d9b55cb3d7e7c63c11e82
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2009-11-05

    Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 3381ff7f3aa453b0317fc89506a9c774e335ac32
Author: Thomas Thurman <tthurman@gnome.org>
Date:	2009-10-31

    Shavian translation

M	po/LINGUAS
A	po/en@shaw.po

commit bde70c5faccb7fd36f858ccfbafbd805be94f0dc
Author: Nils-Christoph Fiedler <linux@medienkompanie.de>
Date:	2009-10-22

    Added Low German translation

M	po/LINGUAS
A	po/nds.po

commit d043a9f363ac6493634e0c5c7c71a3fbbcdc9287
Author: Reşat SABIQ <tilde.birlik@gmail.com>
Date:	2009-10-21

    Update for Crimean Tatar (Crimean Turkish) translation

M	po/crh.po

commit 9a82dcd4941a8f340b94aca8252b04a8b350e4bf
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2009-10-17

    Update a bit.

M	po/nn.po

commit e204371f85b1b1f0e7ce56e59ffa09954f8e8ff1
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2009-10-13

    po/vi.po: update translation of "Places"

M	po/vi.po

commit 50391e488d20c1a70a31d6652a56c1cda1872190
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2009-10-13

    Small update

M	po/hu.po

commit b7608aaae89f898fc52ab240f4254542d4ca134d
Author: Dan Winship <danw@gnome.org>
Date:	2009-06-12

    Fix important regression

    https://bugzilla.gnome.org/show_bug.cgi?id=578529

M	gnome-panel/nothing.cP

commit 103d9f79d128c9a163c8769ede7e7b7d142d0691
Author: Leonid Kanter <leon@asplinux.ru>
Date:	2009-10-09

    Updated Russian translation by Dmitry Yacenko <d.yacenko@gmail.com>

M	po/ru.po

commit 8fdf78414496e7d9bcb07e3e5c09c1a8e43d33bb
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-10-06

    [clock] Remove hack for gravity that was needed with earlier pango

    Behdad says it's not needed anymore, so I'll trust him.

    https://bugzilla.gnome.org/show_bug.cgi?id=596215

M	applets/clock/clock.c

commit b70067b06edb18d33d3405a93bc464120ef75bef
Author: Rui Matos <tiagomatos@gmail.com>
Date:	2009-10-06

    [build] Add pkg-config requires on gnome-desktop for the clock applet

    https://bugzilla.gnome.org/show_bug.cgi?id=597479

M	configure.in

commit 36a5b038671b1b59da2bc3ce37e98327531b108d
Author: Gil Forcada <gforcada@gnome.org>
Date:	2009-10-06

    Updated Catalan translation

M	po/ca.po

commit 66b8e290bd0b767183cba583917907940b5b425a
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-10-06

    [panel] Fix crashes in various conditions with the new randr code

    If nothing had probed the randr screen resources before us and the X
    server is supporting randr 1.3, then we got no output, and therefore
    no
    monitor. The fix here is to actively probe for resources if we detect
    this case. See https://bugzilla.gnome.org/show_bug.cgi?id=597101

    Also, in some cases, all outputs appear disconnected. See
    https://bugzilla.novell.com/show_bug.cgi?id=543876

    To be completely on the safe side, if we get no monitor information
    from
    randr, even if it is successful, we fallback to the GTK+ method.

M	gnome-panel/panel-multiscreen.c

commit e3a52eb80913b5f4a1d39429cf2321d4870f2fea
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-10-05

    [panel] Use a native window for PanelWidget to fix uglyness on unhide

    Panels that are auto-hidden and with a colored background are not
    looking good during the unhide. Using a native window fixes this.

    Thanks to Alex Larsson.

M	gnome-panel/panel-widget.c

commit a1aa91d9df6e9208cf860f2531c5b864b0c8749b
Author: Zhang Miao <mymzhang@gmail.com>
Date:	2009-09-29

    Updated Simplified Chinese translation for fish help.

M	help/fish/zh_CN/zh_CN.po

commit 7fdde4c1b71d0d9a9fe042a2b19aefed178b266d
Author: Timo Jyrinki <timo.jyrinki@iki.fi>
Date:	2009-09-25

    Updated Finnish translation.

M	po/fi.po

commit f8b1ad81c145dacbd1914b0e8b9497d1906f9023
Author: Tomasz Dominikowski <dominikowski@gmail.com>
Date:	2009-09-25

    Updated Polish translation

M	po/pl.po

commit bbfea359ff157cc22af969ef81ec5458039571ef
Author: Tomasz Dominikowski <dominikowski@gmail.com>
Date:	2009-09-25

    Updated Polish translation

M	po/pl.po

commit e211a90dccd9a448be5d9b45e9601b8aeac222c0
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-09-21

    [release] post-release bump to 2.28.1

M	configure.in

commit 1849817edfa9501def8c016002895e8d789f994b
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-09-21

    [release] 2.28.0

M	NEWS
M	README
M	configure.in

commit d25df249143289834ba61cf1c501cd8fda7e2439
Author: Amitakhya Phukan <aphukan@fedoraproject.org>
Date:	2009-09-21

    Updating Assamese translations

M	po/as.po

commit b0578720772f4d9335a11dfbaa21f280df0fb5f1
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2009-09-21

    Updated Kannada(kn) translation

M	po/kn.po

commit f9379162806ed789566a0968342faf9b3275c916
Author: Petr Kovar <pknbe@volny.cz>
Date:	2009-09-21

    Updated Czech translation

M	po/cs.po

commit bdc539b55634c1b65503f0cd67e74c3079399ad2
Author: Manoj Kumar Giri <mgiri@mgiri.csb>
Date:	2009-09-18

    Upadated Oriya Translation

M	po/or.po

commit 937141b0a460f12966ba41f0e5f752844bd8d0df
Author: krishnababu k <kkrothap@redhat.ocm>
Date:	2009-09-17

    Updated Telugu Translation

M	po/te.po

commit a7b17693d0c1aef66477f166ff00dedae684ba41
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:	2009-09-17

    Added Ukrainian translation

M	po/uk.po

commit 518e43da4fa50c287479421e3bbade934fc8a6ac
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:	2009-09-16

    Update Japanese translation

M	po/ja.po

commit e050bf6c813fc999e25fffb8d622825625d6c876
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2009-09-16

    Updated Slovenian translation

M	po/sl.po

commit 5a150453611048ce03dd8b32c5498c6450610ec4
Author: Rajesh Ranjan <rranjan@rranjan.csb>
Date:	2009-09-16

    hindi update by Rajesh Ranjan

M	po/hi.po

commit c01791847a8a957d0ae08f81fa1726af0e421024
Author: Ani <peter.ani@gmail.com>
Date:	2009-09-14

    Updaeted Malayalam Translations

M	po/ml.po

commit c7be16d5f3c5320ce856167fb026f508068f0e90
Author: Ani <peter.ani@gmail.com>
Date:	2009-09-14

    Updaeted Malayalam Translations

M	po/ml.po

commit a7679b1400fb186440d3251b489fe51bb7127114
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	2009-09-12

    Updated British English translation

M	po/en_GB.po

commit 654aca2663af5230261d6a61d0b400ef260f498a
Author: Sandeep Shedmake <sshedmak@redhat.com>
Date:	2009-09-12

    Updated Marathi Translations

M	po/mr.po

commit a15079b90e488a1a96d399d05ec94417d648196d
Author: Kostas Papadimas <pkst@gnome.org>
Date:	2009-09-11

    Updated Greek translation.

M	help/fish/el/el.po
M	po/el.po

commit 0b7fb52922480b034ba952f3a51e45f542980e7c
Author: Adi Roiban <adi@roiban.ro>
Date:	2009-09-10

    Updated Romanian translation

M	po/ro.po

commit 4ff286ead5aecd477f9d551bc0240eac7a709804
Author: Adi Roiban <adi@roiban.ro>
Date:	2009-09-10

    Updated Romanian translation

M	po/ro.po

commit 977bde930b3f551bc1b731832ae64a54426ec441
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2009-09-10

    Updated German translation

M	po/de.po

commit cdb916487137c1ae821ab92e1ed3a13ff07202ad
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-09-09

    [release] post-release bump to 2.28.0

M	configure.in

commit a3f4985a7818d357193f7720ea67a417dbce29f4
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-09-09

    [release] 2.27.92

M	NEWS
M	README
M	configure.in

commit 88452ad663958f79788034a79ea344f58a6884c1
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2009-09-08

    Updated Arabic translation

M	po/ar.po

commit e5f89e0cee68bad5bb04f3caa980dcb3113ad3c3
Author: A S Alam <aalam@users.sf.net>
Date:	2009-09-08

    Updating for Punjabi Translaiton

M	po/pa.po

commit 19e8d22d3202964a8f74f102a5c0228590b8aec5
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-09-08

    [panel] Always show icons for categories in the applications menu

    After feedback from distributors, users and people from the usability
    team, it appears that it's better to keep the icons there. The
    rationale
    is that the categories are dynamic since they can appear/disappear
    depending on the applications you install.

    Note that Preferences/Administration in the System menu don't
    have icons
    because they are static.

M	gnome-panel/menu.c
M	gnome-panel/menu.h
M	gnome-panel/panel-menu-bar.c
M	gnome-panel/panel-menu-button.c
M	gnome-panel/panel-menu-items.c

commit bf628353b31092eb7a624af559b2d6193f1e67ab
Author: Sébastien Bacher <seb128@ubuntu.com>
Date:	2009-09-08

    [wncklet] Fix spin buttons not working in workspace switcher
    preferences

    There were missing GtkAdjustment objects in the ui file, probably lost
    during the conversion.

M	applets/wncklet/workspace-switcher.ui

commit 2e62fcb0cc16265d6a0ad3672552f2abf4bb1e4c
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-09-08

    [panel] Use X-GNOME-FullName in the desktop editor

    We show the content of X-GNOME-FullName as Name if present, and
    when the
    user modifies the name, we remove X-GNOME-FullName for compatibility
    with other desktops -- the full name actually becomes irrelevant since
    it's not what the user wants to see anymore.

M	gnome-panel/panel-ditem-editor.c

commit bd18a3e028e344e0f5359fc69f88ac667775ccbd
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-09-08

    [panel] Do not make the editor send signals after loading a desktop
    file

    We just block/unblock signals when updating the UI after loading the
    desktop file. All the changed signals from the widgets are irrelevant
    since they are simply initialized to the real value.

M	gnome-panel/panel-ditem-editor.c

commit fed921fa850d8dcbc423ef0975d4a7e76bf81f8d
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-09-07

    [panel] Use display name instead of name for menu items

    This enables us to display the X-GNOME-FullName key instead of
    the Name
    key when available.

    This change requires gnome-menus 2.27.92.

M	configure.in
M	gnome-panel/menu.c
M	gnome-panel/panel-addto.c
M	gnome-panel/panel-run-dialog.c

commit 83fd079633b1c500bb841d7216e63a979e6818dd
Author: Gintautas Miliauskas <gintautas@miliauskas.lt>
Date:	2009-09-07

    Updated Lithuanian Translation.

M	po/lt.po

commit 16bbea1465304368a23580a0226f4dba53182722
Author: Luca Ferretti <elle.uca@libero.it>
Date:	2009-09-05

    Updated Italian translation

M	po/it.po

commit 9bbe5b0332c5918b59cffc4f57d73ebb46e68c07
Author: Claude Paroz <claude@2xlibre.net>
Date:	2009-09-05

    Updated French manual translation

M	help/clock/fr/fr.po

commit fdefc526dcc4d0d66cda74c18f6e3df112331f3f
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:	2009-09-04

    Updated Bengali translation

M	po/bn.po

commit 3fed53a4b7a46066abb73d0188d47cd9011b0433
Author: Alexander Nyakhaychyk <nyakhaychyk@gmail.com>
Date:	2009-09-02

    Updated Belarusian translation

M	po/be.po

commit 8828de3500f88edf9d356902e341bbf984bf04e6
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-09-01

    [clock] Update the time when the user clicks to open calendar

    When the time in the clock is not right, the user might want to check
    what's going on by clicking on it. It's not a big cost to update the
    time if necessary there.

    A new function refresh_click_timeout_time_only() to only update
    the time
    if necessary, instead of updating the time format, requesting a new
    size, etc. is created and used in other parts of the code where
    refresh_clock_timeout() was used before.

    Closes: https://bugzilla.novell.com/show_bug.cgi?id=507316

M	applets/clock/clock.c

commit 8816b18d49bdb975618564006ea8808558a8b9ca
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2009-09-01

    Update Norwegian bokmål translation.

M	po/nb.po

commit 7748a3aadcf57fdd6b1d85e77e71a19962088efb
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2009-08-31

    Updated Portuguese translation

M	po/pt.po

commit c785cfc826d2fb13877f5e5eb2a3fab636a0dfd4
Author: Claude Paroz <claude@2xlibre.net>
Date:	2009-08-30

    Updated French translation

    Contributed by Bruno Brouard and Claude Paroz

M	po/fr.po

commit 3ddca0128e60b047cf9787a4d94157d21a22666e
Author: Miloš Popović <mpopovic@src.gnome.org>
Date:	2009-08-30

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 7ee080faf23404b6979e25e573b587caf57ee0ff
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2009-08-29

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 15f4a15ec00a4d02ef854e31ab336a7188d1a94e
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2009-08-29

    Hungarian translation updated

M	po/hu.po

commit 8f7979d8b71598abc53fe93df316344ec595e741
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2009-08-29

    Hungarian translation updated

M	po/hu.po

commit 07d7cbfa6e6d2c28f32c2c2f092fc8706ebc9e34
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	2009-08-29

    Updated Danish translation

M	po/da.po

commit 581e2975464315583e673cb4dff288b6956ac5b1
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-08-29

    [build] Ship the desktop.in files in tarball, not pre-build .desktop

M	gnome-panel/Makefile.am

commit afc85de83e0ae70f8b68498ddf60c3708bb6d1c9
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-08-29

    [panel] Add shebang to gnome-panel-add script

    We need to add AM_PATH_PYTHON to configure.in, and update the build
    system to generate gnome-panel-add from gnome-panel-add.in.

M	configure.in
M	gnome-panel/Makefile.am
R099	gnome-panel/gnome-panel-add	gnome-panel/gnome-panel-add.in

